from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ACMECholCodesBloodCode(FhirValueSetBase):
    """
    ACMECholCodesBlood
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/CodeSystem/example
    """
    codeset: FhirUri = "http://hl7.org/fhir/CodeSystem/example"


class ACMECholCodesBloodCodeValues:
    """
    Serum Cholesterol, in mmol/L
    """

    SChol_mmol_L_ = ACMECholCodesBloodCode("chol-mmol")
    """
    Serum Cholesterol, in mg/L
    """
    SChol_mg_L_ = ACMECholCodesBloodCode("chol-mass")
    """
    Serum Cholesterol
    """
    SChol = ACMECholCodesBloodCode("chol")
