from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActionTypeCode(FhirValueSetBase):
    """
    ActionType
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/action-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/action-type"


class ActionTypeCodeValues:
    """
    The action is to create a new resource.
    """

    Create = ActionTypeCode("create")
    """
    The action is to update an existing resource.
    """
    Update = ActionTypeCode("update")
    """
    The action is to remove an existing resource.
    """
    Remove = ActionTypeCode("remove")
    """
    The action is to fire a specific event.
    """
    FireEvent = ActionTypeCode("fire-event")
