from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActivityDefinitionCategoryCode(FhirValueSetBase):
    """
    ActivityDefinitionCategory
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/activity-definition-category
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/activity-definition-category"


class ActivityDefinitionCategoryCodeValues:
    """
    The activity is intended to provide or is related to treatment of the patient.
    """

    Treatment = ActivityDefinitionCategoryCode("treatment")
    """
    The activity is intended to provide or is related to education of the patient.
    """
    Education = ActivityDefinitionCategoryCode("education")
    """
    The activity is intended to perform or is related to assessment of the patient.
    """
    Assessment = ActivityDefinitionCategoryCode("assessment")
