from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AdditionalMaterialCodesCode(FhirValueSetBase):
    """
    AdditionalMaterialCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/additionalmaterials
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/additionalmaterials"


class AdditionalMaterialCodesCodeValues:
    """
    XRay
    """

    XRay = AdditionalMaterialCodesCode("xray")
    """
    Image
    """
    Image = AdditionalMaterialCodesCode("image")
    """
    Email
    """
    Email = AdditionalMaterialCodesCode("email")
    """
    Model
    """
    Model = AdditionalMaterialCodesCode("model")
    """
    Document
    """
    Document = AdditionalMaterialCodesCode("document")
    """
    Other
    """
    Other = AdditionalMaterialCodesCode("other")
