from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AllergyIntoleranceClinicalStatusCodesCode(FhirValueSetBase):
    """
    AllergyIntoleranceClinicalStatusCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/allergyintolerance-clinical
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/allergyintolerance-clinical"


class AllergyIntoleranceClinicalStatusCodesCodeValues:
    """
    The subject is currently experiencing, or is at risk of, a reaction to the identified substance.
    """

    Active = AllergyIntoleranceClinicalStatusCodesCode("active")
    """
    The subject is no longer at risk of a reaction to the identified substance.
    """
    Inactive = AllergyIntoleranceClinicalStatusCodesCode("inactive")
