from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AllergyIntoleranceSeverityCode(FhirValueSetBase):
    """
    AllergyIntoleranceSeverity
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/reaction-event-severity
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/reaction-event-severity"


class AllergyIntoleranceSeverityCodeValues:
    """
    Causes mild physiological effects.
    """

    Mild = AllergyIntoleranceSeverityCode("mild")
    """
    Causes moderate physiological effects.
    """
    Moderate = AllergyIntoleranceSeverityCode("moderate")
    """
    Causes severe physiological effects.
    """
    Severe = AllergyIntoleranceSeverityCode("severe")
