from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AssertionDirectionTypeCode(FhirValueSetBase):
    """
    AssertionDirectionType
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/assert-direction-codes
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/assert-direction-codes"


class AssertionDirectionTypeCodeValues:
    """
    The assertion is evaluated on the response. This is the default value.
    """

    Response = AssertionDirectionTypeCode("response")
    """
    The assertion is evaluated on the request.
    """
    Request = AssertionDirectionTypeCode("request")
