from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AuditEventActionCode(FhirValueSetBase):
    """
    AuditEventAction
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/audit-event-action
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/audit-event-action"


class AuditEventActionCodeValues:
    """
    Create a new database object, such as placing an order.
    """

    Create = AuditEventActionCode("C")
    """
    Display or print data, such as a doctor census.
    """
    Read_View_Print = AuditEventActionCode("R")
    """
    Update data, such as revise patient information.
    """
    Update = AuditEventActionCode("U")
    """
    Delete items, such as a doctor master file record.
    """
    Delete = AuditEventActionCode("D")
    """
    Perform a system or application function such as log-on, program execution or use of an object's method, or perform a query/search operation.
    """
    Execute = AuditEventActionCode("E")
