from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AuditEventEntityTypeCode(FhirValueSetBase):
    """
    AuditEventEntityType
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/audit-entity-type
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/audit-entity-type"


class AuditEventEntityTypeCodeValues:
    """
    Person
    """

    Person = AuditEventEntityTypeCode("1")
    """
    System Object
    """
    SystemObject = AuditEventEntityTypeCode("2")
    """
    Organization
    """
    Organization = AuditEventEntityTypeCode("3")
    """
    Other
    """
    Other = AuditEventEntityTypeCode("4")
