from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AuditEventOutcomeCode(FhirValueSetBase):
    """
    AuditEventOutcome
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/audit-event-outcome
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/audit-event-outcome"


class AuditEventOutcomeCodeValues:
    """
    The operation completed successfully (whether with warnings or not).
    """

    Success = AuditEventOutcomeCode("0")
    """
    The action was not successful due to some kind of minor failure (often equivalent to an HTTP 400 response).
    """
    MinorFailure = AuditEventOutcomeCode("4")
    """
    The action was not successful due to some kind of unexpected error (often equivalent to an HTTP 500 response).
    """
    SeriousFailure = AuditEventOutcomeCode("8")
    """
    An error of such magnitude occurred that the system is no longer available for use (i.e. the system died).
    """
    MajorFailure = AuditEventOutcomeCode("12")
