from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class BenefitCostApplicabilityCode(FhirValueSetBase):
    """
    BenefitCostApplicability
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/insuranceplan-applicability
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/insuranceplan-applicability"


class BenefitCostApplicabilityCodeValues:
    """
    Provider is contracted with the health insurance company to provide services to plan members for specific pre-negotiated rates
    """

    InNetwork = BenefitCostApplicabilityCode("in-network")
    """
    Provider is  not contracted with the health insurance company to provide services to plan members for specific pre-negotiated rates
    """
    OutOfNetwork = BenefitCostApplicabilityCode("out-of-network")
    """
    Other applicability
    """
    Other = BenefitCostApplicabilityCode("other")
