from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class BenefitTermCodesCode(FhirValueSetBase):
    """
    BenefitTermCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/benefit-term
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/benefit-term"


class BenefitTermCodesCodeValues:
    """
    Annual, renewing on the anniversary
    """

    Annual = BenefitTermCodesCode("annual")
    """
    Per day
    """
    Day = BenefitTermCodesCode("day")
    """
    For the total term, lifetime, of the policy or coverage
    """
    Lifetime = BenefitTermCodesCode("lifetime")
