from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class BiologicallyDerivedProductCategoryCode(FhirValueSetBase):
    """
    BiologicallyDerivedProductCategory
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/product-category
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/product-category"


class BiologicallyDerivedProductCategoryCodeValues:
    """
    A collection of tissues joined in a structural unit to serve a common function.
    """

    Organ = BiologicallyDerivedProductCategoryCode("organ")
    """
    An ensemble of similar cells and their extracellular matrix from the same origin that together carry out a specific function.
    """
    Tissue = BiologicallyDerivedProductCategoryCode("tissue")
    """
    Body fluid.
    """
    Fluid = BiologicallyDerivedProductCategoryCode("fluid")
    """
    Collection of cells.
    """
    Cells = BiologicallyDerivedProductCategoryCode("cells")
    """
    Biological agent of unspecified type.
    """
    BiologicalAgent = BiologicallyDerivedProductCategoryCode("biologicalAgent")
