from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class BiologicallyDerivedProductStorageScaleCode(FhirValueSetBase):
    """
    BiologicallyDerivedProductStorageScale
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/product-storage-scale
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/product-storage-scale"


class BiologicallyDerivedProductStorageScaleCodeValues:
    """
    Fahrenheit temperature scale.
    """

    Fahrenheit = BiologicallyDerivedProductStorageScaleCode("farenheit")
    """
    Celsius or centigrade temperature scale.
    """
    Celsius = BiologicallyDerivedProductStorageScaleCode("celsius")
    """
    Kelvin absolute thermodynamic temperature scale.
    """
    Kelvin = BiologicallyDerivedProductStorageScaleCode("kelvin")
