from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ClaimCareTeamRoleCodesCode(FhirValueSetBase):
    """
    ClaimCareTeamRoleCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/claim-careteamrole
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/claim-careteamrole"


class ClaimCareTeamRoleCodesCodeValues:
    """
    The primary care provider.
    """

    PrimaryProvider = ClaimCareTeamRoleCodesCode("primary")
    """
    Assisting care provider.
    """
    AssistingProvider = ClaimCareTeamRoleCodesCode("assist")
    """
    Supervising care provider.
    """
    SupervisingProvider = ClaimCareTeamRoleCodesCode("supervisor")
    """
    Other role on the care team.
    """
    Other = ClaimCareTeamRoleCodesCode("other")
