from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ClaimItemTypeCodesCode(FhirValueSetBase):
    """
    ClaimItemTypeCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/fm-itemtype
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/fm-itemtype"


class ClaimItemTypeCodesCodeValues:
    """
    A group of products and/or Services, amount ar the summary or detail level products and services.
    """

    Group = ClaimItemTypeCodesCode("group")
    """
    A billed product line item.
    """
    Product = ClaimItemTypeCodesCode("product")
    """
    A billed service line item.
    """
    Service = ClaimItemTypeCodesCode("service")
