from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ClaimPayeeTypeCodesCode(FhirValueSetBase):
    """
    Claim Payee Type Codes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/payeetype
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/payeetype"


class ClaimPayeeTypeCodesCodeValues:
    """
    The subscriber (policy holder) will be reimbursed.
    """

    Subscriber = ClaimPayeeTypeCodesCode("subscriber")
    """
    Any benefit payable will be paid to the provider (Assignment of Benefit).
    """
    Provider = ClaimPayeeTypeCodesCode("provider")
    """
    Any benefit payable will be paid to a third party such as a guarrantor.
    """
    Provider = ClaimPayeeTypeCodesCode("other")
