from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ClaimProcessingCodesCode(FhirValueSetBase):
    """
    ClaimProcessingCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/remittance-outcome
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/remittance-outcome"


class ClaimProcessingCodesCodeValues:
    """
    The Claim/Pre-authorization/Pre-determination has been received but processing has not begun.
    """

    Queued = ClaimProcessingCodesCode("queued")
    """
    The processing has completed without errors
    """
    ProcessingComplete = ClaimProcessingCodesCode("complete")
    """
    One or more errors have been detected in the Claim
    """
    Error = ClaimProcessingCodesCode("error")
    """
    No errors have been detected in the Claim and some of the adjudication has been performed.
    """
    PartialProcessing = ClaimProcessingCodesCode("partial")
