from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CodeSearchSupportCode(FhirValueSetBase):
    """
    CodeSearchSupport
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/code-search-support
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/code-search-support"


class CodeSearchSupportCodeValues:
    """
    The search for code on ValueSet only includes codes explicitly detailed on includes or expansions.
    """

    ExplicitCodes = CodeSearchSupportCode("explicit")
    """
    The search for code on ValueSet only includes all codes based on the expansion of the value set.
    """
    ImplicitCodes = CodeSearchSupportCode("all")
