from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CodesForImmunizationSiteOfAdministrationCode(FhirValueSetBase):
    """
    CodesForImmunizationSiteOfAdministration
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/immunization-site
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/immunization-site"


class CodesForImmunizationSiteOfAdministrationCodeValues:
    """
    An anatomical location on a human which can be the focus of an act.
    """

    Humanactsite = CodesForImmunizationSiteOfAdministrationCode("_HumanActSite")
    """
    None
    """
    LeftArm = CodesForImmunizationSiteOfAdministrationCode("LA")
    """
    None
    """
    RightArm = CodesForImmunizationSiteOfAdministrationCode("RA")
