from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CommonUCUMUnitsCode(FhirValueSetBase):
    """
    Common UCUM units
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/ucum-common
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/ucum-common"


class CommonUCUMUnitsCodeValues:
    """
    None
    """

    Percent = CommonUCUMUnitsCode("%")
    """
    None
    """
    Percent_100WBC = CommonUCUMUnitsCode("%/100{WBC}")
    """
    None
    """
    Percent0to3Hours = CommonUCUMUnitsCode("%{0to3Hours}")
    """
    None
    """
    PercentAbnormal = CommonUCUMUnitsCode("%{Abnormal}")
    """
    None
    """
    PercentActivity = CommonUCUMUnitsCode("%{Activity}")
    """
    None
    """
    PercentBasalActivity = CommonUCUMUnitsCode("%{BasalActivity}")
    """
    None
    """
    PercentBinding = CommonUCUMUnitsCode("%{Binding}")
    """
    None
    """
    PercentBlockade = CommonUCUMUnitsCode("%{Blockade}")
    """
    None
    """
    PercentCarboxyhemoglobin = CommonUCUMUnitsCode("%{Carboxyhemoglobin}")
    """
    None
    """
    PercentConversion = CommonUCUMUnitsCode("%{Conversion}")
    """
    None
    """
    PercentCound = CommonUCUMUnitsCode("%{Cound}")
    """
    None
    """
    PercentEosSeen = CommonUCUMUnitsCode("%{EosSeen}")
    """
    None
    """
    PercentExcretion = CommonUCUMUnitsCode("%{Excretion}")
    """
    None
    """
    PercentFat = CommonUCUMUnitsCode("%{Fat}")
    """
    None
    """
    PercentFetalErythrocytes = CommonUCUMUnitsCode("%{FetalErythrocytes}")
    """
    None
    """
    PercentHemoglobin = CommonUCUMUnitsCode("%{Hemoglobin}")
    """
    None
    """
    PercentHemoglobinA1C = CommonUCUMUnitsCode("%{HemoglobinA1C}")
    """
    None
    """
    PercentHemoglobinSaturation = CommonUCUMUnitsCode("%{HemoglobinSaturation}")
    """
    None
    """
    PercentHemolysis = CommonUCUMUnitsCode("%{Hemolysis}")
    """
    None
    """
    PercentHumanResponse = CommonUCUMUnitsCode("%{HumanResponse}")
    """
    None
    """
    PercentIndex = CommonUCUMUnitsCode("%{Index}")
    """
    None
    """
    PercentInhibition = CommonUCUMUnitsCode("%{Inhibition}")
    """
    None
    """
    PercentLive = CommonUCUMUnitsCode("%{Live}")
    """
    None
    """
    PercentNegativeControl = CommonUCUMUnitsCode("%{Negative Control}")
    """
    None
    """
    PercentNormal = CommonUCUMUnitsCode("%{Normal}")
    """
    None
    """
    PercentNormalControl = CommonUCUMUnitsCode("%{NormalControl}")
    """
    None
    """
    PercentNormalPooledPlasma = CommonUCUMUnitsCode("%{NormalPooledPlasma}")
    """
    None
    """
    PercentOfAvailable = CommonUCUMUnitsCode("%{ofAvailable}")
    """
    None
    """
    PercentOfBacteria = CommonUCUMUnitsCode("%{ofBacteria}")
    """
    None
    """
    PercentOfLymphocytes = CommonUCUMUnitsCode("%{OfLymphocytes}")
    """
    None
    """
    PercentOfWBCs = CommonUCUMUnitsCode("%{OfWBCs}")
    """
    None
    """
    PercentOxygen = CommonUCUMUnitsCode("%{Oxygen}")
    """
    None
    """
    PercentPositive = CommonUCUMUnitsCode("%{Positive}")
    """
    None
    """
    PercentPrecipitate = CommonUCUMUnitsCode("%{Precipitate}")
    """
    None
    """
    PercentReactivity = CommonUCUMUnitsCode("%{Reactivity}")
    """
    None
    """
    PercentResponse = CommonUCUMUnitsCode("%{response}")
    """
    None
    """
    PercentRisk = CommonUCUMUnitsCode("%{risk}")
    """
    None
    """
    PercentSpermMotility = CommonUCUMUnitsCode("%{SpermMotility}")
    """
    None
    """
    PercentTotal = CommonUCUMUnitsCode("%{Total}")
    """
    None
    """
    PercentTotalProtein = CommonUCUMUnitsCode("%{TotalProtein}")
    """
    None
    """
    PercentTot_Cholesterol = CommonUCUMUnitsCode("%{Tot'Cholesterol}")
    """
    None
    """
    PercentTot_Hgb = CommonUCUMUnitsCode("%{Tot'Hgb}")
    """
    None
    """
    PercentUptake = CommonUCUMUnitsCode("%{Uptake}")
    """
    None
    """
    VolumePercent = CommonUCUMUnitsCode("%{vol}")
    """
    None
    """
    PercentWeightToWeight = CommonUCUMUnitsCode("%{WeightToWeight}")
    """
    None
    """
    Per12_Hour = CommonUCUMUnitsCode("/(12.h)")
    """
    None
    """
    PerArbitraryUnit = CommonUCUMUnitsCode("/[arb'U]")
    """
    None
    """
    PerHighPowerField = CommonUCUMUnitsCode("/[HPF]")
    """
    None
    """
    PerInternationalUnit = CommonUCUMUnitsCode("/[iU]")
    """
    None
    """
    PerLowPowerField = CommonUCUMUnitsCode("/[LPF]")
    """
    None
    """
    PerEntity = CommonUCUMUnitsCode("/{Entity}")
    """
    None
    """
    PerHpf = CommonUCUMUnitsCode("/[HPF]")
    """
    None
    """
    PerLPF = CommonUCUMUnitsCode("/[LPF]")
    """
    None
    """
    PerOif = CommonUCUMUnitsCode("/{oif}")
    """
    None
    """
    PerSpecimen = CommonUCUMUnitsCode("/{Specimen}")
    """
    None
    """
    PerTot = CommonUCUMUnitsCode("/{tot}")
    """
    None
    """
    PerTenGiga = CommonUCUMUnitsCode("/10*10")
    """
    None
    """
    PerTrillion = CommonUCUMUnitsCode("/10*12")
    """
    None
    """
    PerTrillionRedBloodCells = CommonUCUMUnitsCode("/10*12{rbc}")
    """
    None
    """
    PerMillion = CommonUCUMUnitsCode("/10*6")
    """
    None
    """
    PerBillion = CommonUCUMUnitsCode("/10*9")
    """
    None
    """
    Per100 = CommonUCUMUnitsCode("/100")
    """
    None
    """
    Per100Cells = CommonUCUMUnitsCode("/100{cells}")
    """
    None
    """
    Per100Neutrophils = CommonUCUMUnitsCode("/100{neutrophils}")
    """
    None
    """
    Per100Spermatozoa = CommonUCUMUnitsCode("/100{spermatozoa}")
    """
    None
    """
    Per100WBC = CommonUCUMUnitsCode("/100{WBC}")
    """
    None
    """
    Per100WBC = CommonUCUMUnitsCode("/100{WBCs}")
    """
    None
    """
    _Year = CommonUCUMUnitsCode("/a")
    """
    None
    """
    PerCentimeterOfWater = CommonUCUMUnitsCode("/cm[H2O]")
    """
    None
    """
    PerDay = CommonUCUMUnitsCode("/d")
    """
    None
    """
    PerDeciliter = CommonUCUMUnitsCode("/dL")
    """
    None
    """
    PerGram = CommonUCUMUnitsCode("/g")
    """
    None
    """
    PerGramCreat = CommonUCUMUnitsCode("/g{creat}")
    """
    None
    """
    PerGramHgb = CommonUCUMUnitsCode("/g{hgb}")
    """
    None
    """
    PerGramTot_nit = CommonUCUMUnitsCode("/g{tot'nit}")
    """
    None
    """
    PerGramTot_prot = CommonUCUMUnitsCode("/g{tot'prot}")
    """
    None
    """
    PerGramWet_tis = CommonUCUMUnitsCode("/g{wet'tis}")
    """
    None
    """
    PerHour = CommonUCUMUnitsCode("/h")
    """
    None
    """
    PerKilogram = CommonUCUMUnitsCode("/kg")
    """
    None
    """
    PerKilogramBodyWt = CommonUCUMUnitsCode("/kg{body'wt}")
    """
    None
    """
    PerLiter = CommonUCUMUnitsCode("/L")
    """
    None
    """
    PerSquareMeter = CommonUCUMUnitsCode("/m2")
    """
    None
    """
    PerMilligram = CommonUCUMUnitsCode("/mg")
    """
    None
    """
    PerMinute = CommonUCUMUnitsCode("/min")
    """
    None
    """
    PerMilliliter = CommonUCUMUnitsCode("/mL")
    """
    None
    """
    PerCubicMillimeter = CommonUCUMUnitsCode("/mm3")
    """
    None
    """
    PerMillimole = CommonUCUMUnitsCode("/mmol")
    """
    None
    """
    PerMonth = CommonUCUMUnitsCode("/mo")
    """
    None
    """
    PerSecond = CommonUCUMUnitsCode("/s")
    """
    None
    """
    PerEnzymeUnit = CommonUCUMUnitsCode("/U")
    """
    None
    """
    PerMicrogram = CommonUCUMUnitsCode("/ug")
    """
    None
    """
    PerMicroliter = CommonUCUMUnitsCode("/uL")
    """
    None
    """
    PerWeek = CommonUCUMUnitsCode("/wk")
    """
    None
    """
    IgAAnticardiolipinUnit = CommonUCUMUnitsCode("[APL'U]")
    """
    None
    """
    IgAAnticardiolipinUnitPerMilliliter = CommonUCUMUnitsCode("[APL'U]/mL")
    """
    None
    """
    ArbitraryUnit = CommonUCUMUnitsCode("[arb'U]")
    """
    None
    """
    ArbitaryUnit_Liter = CommonUCUMUnitsCode("[arb'U]/L")
    """
    None
    """
    ArbitraryUnitPerMilliliter = CommonUCUMUnitsCode("[arb'U]/mL")
    """
    None
    """
    AllergyUnit = CommonUCUMUnitsCode("[AU]")
    """
    None
    """
    BioequivalentAllergenUnit = CommonUCUMUnitsCode("[BAU]")
    """
    None
    """
    BethesdaUnit = CommonUCUMUnitsCode("[beth'U]")
    """
    None
    """
    BethesdaUnit = CommonUCUMUnitsCode("[beth'U]")
    """
    None
    """
    ColonyFormingUnit = CommonUCUMUnitsCode("[CFU]")
    """
    None
    """
    ColonyFormingUnitPerLiter = CommonUCUMUnitsCode("[CFU]/L")
    """
    None
    """
    ColonyFormingUnitPerMilliliter = CommonUCUMUnitsCode("[CFU]/mL")
    """
    None
    """
    French_catheterGauge_ = CommonUCUMUnitsCode("[Ch]")
    """
    None
    """
    CubicInch = CommonUCUMUnitsCode("[cin_i]")
    """
    None
    """
    Cup = CommonUCUMUnitsCode("[cup_us]")
    """
    None
    """
    DegreeFahrenheit = CommonUCUMUnitsCode("[degF]")
    """
    None
    """
    Dram_USAndBritish_ = CommonUCUMUnitsCode("[dr_av]")
    """
    None
    """
    Drop = CommonUCUMUnitsCode("[drp]")
    """
    None
    """
    Drop_HPF = CommonUCUMUnitsCode("[drp]/[HPF]")
    """
    None
    """
    Drop_Hour = CommonUCUMUnitsCode("[drp]/h")
    """
    None
    """
    Drop_Minute = CommonUCUMUnitsCode("[drp]/min")
    """
    None
    """
    Drop_Milliliter = CommonUCUMUnitsCode("[drp]/mL")
    """
    None
    """
    Drop_Second = CommonUCUMUnitsCode("[drp]/s")
    """
    None
    """
    FluidDram = CommonUCUMUnitsCode("[fdr_us]")
    """
    None
    """
    FluidOunce = CommonUCUMUnitsCode("[foz_br]")
    """
    None
    """
    FluidOunce = CommonUCUMUnitsCode("[foz_us]")
    """
    None
    """
    Feet = CommonUCUMUnitsCode("[ft_i]")
    """
    None
    """
    Fathom = CommonUCUMUnitsCode("[fth_i]")
    """
    None
    """
    Gallon = CommonUCUMUnitsCode("[gal_br]")
    """
    None
    """
    QueenAnne_sWineGallon = CommonUCUMUnitsCode("[gal_us]")
    """
    None
    """
    IgGAnticardiolipinUnit = CommonUCUMUnitsCode("[GPL'U]")
    """
    None
    """
    Grain = CommonUCUMUnitsCode("[gr]")
    """
    None
    """
    Inch_international_ = CommonUCUMUnitsCode("[in_i]")
    """
    None
    """
    InternationalUnit = CommonUCUMUnitsCode("[iU]")
    """
    None
    """
    InternationalUnitPer2Hour = CommonUCUMUnitsCode("[IU]/(2.h)")
    """
    None
    """
    InternationalUnitPer24Hour = CommonUCUMUnitsCode("[IU]/(24.h)")
    """
    None
    """
    InternationalUnitPerBillionRedBloodCells = CommonUCUMUnitsCode("[IU]/10*9{RBCs}")
    """
    None
    """
    InternationalUnitPerDay = CommonUCUMUnitsCode("[IU]/d")
    """
    None
    """
    InternationalUnitPerDeciliter = CommonUCUMUnitsCode("[IU]/dL")
    """
    None
    """
    InternationalUnitPerGram = CommonUCUMUnitsCode("[IU]/g")
    """
    None
    """
    InternationalUnitPerGramOfHemoglobin = CommonUCUMUnitsCode("[IU]/g{Hb}")
    """
    None
    """
    InternationalUnit_GramHgb = CommonUCUMUnitsCode("[iU]/g{Hgb}")
    """
    None
    """
    InternationalUnitPerHour = CommonUCUMUnitsCode("[IU]/h")
    """
    None
    """
    InternationalUnitPerKilogram = CommonUCUMUnitsCode("[IU]/kg")
    """
    None
    """
    InternationalUnitPerKilogramPerDay = CommonUCUMUnitsCode("[IU]/kg/d")
    """
    None
    """
    InternationalUnitPerLiter = CommonUCUMUnitsCode("[IU]/L")
    """
    None
    """
    InternationalUnitPerMinute = CommonUCUMUnitsCode("[IU]/min")
    """
    None
    """
    InternationalUnitPerMilliliter = CommonUCUMUnitsCode("[IU]/mL")
    """
    None
    """
    Pound_USAndBritish_ = CommonUCUMUnitsCode("[lb_av]")
    """
    None
    """
    StatuteMile = CommonUCUMUnitsCode("[mi_i]")
    """
    None
    """
    Mile = CommonUCUMUnitsCode("[mi_us]")
    """
    None
    """
    Minim = CommonUCUMUnitsCode("[min_us]")
    """
    None
    """
    IgMAnticardiolipinUnit = CommonUCUMUnitsCode("[MPL'U]")
    """
    None
    """
    NauticalMile = CommonUCUMUnitsCode("[nmi_i]")
    """
    None
    """
    Ounce_USAndBritish_ = CommonUCUMUnitsCode("[oz_av]")
    """
    None
    """
    Ounce = CommonUCUMUnitsCode("[oz_tr]")
    """
    None
    """
    PH = CommonUCUMUnitsCode("[pH]")
    """
    None
    """
    TheNumberPi_Radian_Minute = CommonUCUMUnitsCode("[pi].rad/min")
    """
    None
    """
    PartPerBillion = CommonUCUMUnitsCode("[ppb]")
    """
    None
    """
    PartPerMillion = CommonUCUMUnitsCode("[ppm]")
    """
    None
    """
    PartPerMillionInVolumePerVolume = CommonUCUMUnitsCode("[ppm]{v/v}")
    """
    None
    """
    PartPerTrillion = CommonUCUMUnitsCode("[pptr]")
    """
    None
    """
    PartsPerThousand = CommonUCUMUnitsCode("[ppth]")
    """
    None
    """
    PartsPerTrillion = CommonUCUMUnitsCode("[pptr]")
    """
    None
    """
    PoundPerSquareInch = CommonUCUMUnitsCode("[psi]")
    """
    None
    """
    Pint = CommonUCUMUnitsCode("[pt_br]")
    """
    None
    """
    Quart = CommonUCUMUnitsCode("[qt_br]")
    """
    None
    """
    Quart = CommonUCUMUnitsCode("[qt_us]")
    """
    None
    """
    SquareFoot_international_ = CommonUCUMUnitsCode("[sft_i]")
    """
    None
    """
    SquareInch_international_ = CommonUCUMUnitsCode("[sin_i]")
    """
    None
    """
    ShortTonU_S_Ton = CommonUCUMUnitsCode("[ston_av]")
    """
    None
    """
    SquareYard = CommonUCUMUnitsCode("[syd_i]")
    """
    None
    """
    Tablespoon_US_ = CommonUCUMUnitsCode("[tbs_us]")
    """
    None
    """
    TuberculinUnit = CommonUCUMUnitsCode("[tb'U]")
    """
    None
    """
    ToddUnit = CommonUCUMUnitsCode("[todd'U]")
    """
    None
    """
    ToddUnit = CommonUCUMUnitsCode("[todd'U]")
    """
    None
    """
    Teaspoon = CommonUCUMUnitsCode("[tsp_us]")
    """
    None
    """
    Yard = CommonUCUMUnitsCode("[yd_i]")
    """
    None
    """
    _OfCalculi = CommonUCUMUnitsCode("{# of calculi}")
    """
    None
    """
    _OfDonorInformativeMarkers = CommonUCUMUnitsCode("{# of donor informative markers}")
    """
    None
    """
    _OfFetuses = CommonUCUMUnitsCode("{# of fetuses}")
    """
    None
    """
    _OfInformativeMarkers = CommonUCUMUnitsCode("{# of informative markers}")
    """
    None
    """
    _ = CommonUCUMUnitsCode("{#}")
    """
    None
    """
    _2Or3Times_Day = CommonUCUMUnitsCode("{2 or 3 times}/d")
    """
    None
    """
    _3Times_Day = CommonUCUMUnitsCode("{3 times}/d")
    """
    None
    """
    _4Times_Day = CommonUCUMUnitsCode("{4 times}/d")
    """
    None
    """
    _5Times_Day = CommonUCUMUnitsCode("{5 times}/d")
    """
    None
    """
    Absorbance = CommonUCUMUnitsCode("{absorbance}")
    """
    None
    """
    Absorbance_U = CommonUCUMUnitsCode("{Absorbance'U}")
    """
    None
    """
    Absorbance_U_Milliliter = CommonUCUMUnitsCode("{Absorbance'U}/mL")
    """
    None
    """
    Activity = CommonUCUMUnitsCode("{activity}")
    """
    None
    """
    ActivityCoefficient = CommonUCUMUnitsCode("{ActivityCoefficient}")
    """
    None
    """
    AHF_U = CommonUCUMUnitsCode("{AHF'U}")
    """
    None
    """
    AntibodyResponse_U = CommonUCUMUnitsCode("{AntibodyResponse'U}")
    """
    None
    """
    Applicator = CommonUCUMUnitsCode("{Applicator}")
    """
    None
    """
    IgAAntiphosphatidylserineUnit = CommonUCUMUnitsCode("{APS'U}")
    """
    None
    """
    AspirinReaction_U = CommonUCUMUnitsCode("{AspirinReaction'U}")
    """
    None
    """
    Bead = CommonUCUMUnitsCode("{Bead}")
    """
    None
    """
    Beats_Minute = CommonUCUMUnitsCode("{Beats}/min")
    """
    None
    """
    Bottle = CommonUCUMUnitsCode("{Bottle}")
    """
    None
    """
    Bowls_Day = CommonUCUMUnitsCode("{Bowls}/d")
    """
    None
    """
    Breaths_Minute = CommonUCUMUnitsCode("{Breaths}/min")
    """
    None
    """
    ComplementActivityEnzymeUnit = CommonUCUMUnitsCode("{CAE'U}")
    """
    None
    """
    CagRepeat = CommonUCUMUnitsCode("{CagRepeat}")
    """
    None
    """
    Can = CommonUCUMUnitsCode("{Can}")
    """
    None
    """
    Cans_Week = CommonUCUMUnitsCode("{Cans}/wk")
    """
    None
    """
    Capsule = CommonUCUMUnitsCode("{Capsule}")
    """
    None
    """
    Cell = CommonUCUMUnitsCode("{Cell}")
    """
    None
    """
    Cells = CommonUCUMUnitsCode("{cells}")
    """
    None
    """
    CellsPerHighPowerField = CommonUCUMUnitsCode("{cells}/[HPF]")
    """
    None
    """
    Cells_Milliliter = CommonUCUMUnitsCode("{Cells}/mL")
    """
    None
    """
    CellsPerMicroliter = CommonUCUMUnitsCode("{cells}/uL")
    """
    None
    """
    CfTiter = CommonUCUMUnitsCode("{CfTiter}")
    """
    None
    """
    Cfu = CommonUCUMUnitsCode("{cfu}")
    """
    None
    """
    Cfu_Milliliter = CommonUCUMUnitsCode("{cfu}/mL")
    """
    None
    """
    CGG_repeats = CommonUCUMUnitsCode("{CGG_repeats}")
    """
    None
    """
    CGG = CommonUCUMUnitsCode("{CGG}")
    """
    None
    """
    ComplementCH100Unit = CommonUCUMUnitsCode("{CH100'U}")
    """
    None
    """
    ClockTime = CommonUCUMUnitsCode("{clock time}")
    """
    None
    """
    Clock_time = CommonUCUMUnitsCode("{clock_time}")
    """
    None
    """
    ComplementActivityEnzyme_U = CommonUCUMUnitsCode("{ComplementActivityEnzyme'U}")
    """
    None
    """
    ComplementCH100_U = CommonUCUMUnitsCode("{ComplementCH100'U}")
    """
    None
    """
    ComplementCH50_U = CommonUCUMUnitsCode("{ComplementCH50'U}")
    """
    None
    """
    CopiesPerMilliliter = CommonUCUMUnitsCode("{copies}/mL")
    """
    None
    """
    CopiesPerMicrogram = CommonUCUMUnitsCode("{copies}/ug")
    """
    None
    """
    Copies_Microliter = CommonUCUMUnitsCode("{Copies}/uL")
    """
    None
    """
    Count = CommonUCUMUnitsCode("{Count}")
    """
    None
    """
    Counts_Minute = CommonUCUMUnitsCode("{Counts}/min")
    """
    None
    """
    Dalton = CommonUCUMUnitsCode("{Dalton}")
    """
    None
    """
    DdTiter = CommonUCUMUnitsCode("{DdTiter}")
    """
    None
    """
    DeltaOpticalDensity = CommonUCUMUnitsCode("{DeltaOpticalDensity}")
    """
    None
    """
    Dilution = CommonUCUMUnitsCode("{Dilution}")
    """
    None
    """
    Disintegrations_Minute = CommonUCUMUnitsCode("{Disintegrations}/min")
    """
    None
    """
    Dose = CommonUCUMUnitsCode("{Dose}")
    """
    None
    """
    Drinks_Day = CommonUCUMUnitsCode("{Drinks}/d")
    """
    None
    """
    Each = CommonUCUMUnitsCode("{Each}")
    """
    None
    """
    EhrlichUnit = CommonUCUMUnitsCode("{Ehrlich'U}")
    """
    None
    """
    EhrlichUnitPer2Hour = CommonUCUMUnitsCode("{Ehrlich'U}/(2.h)")
    """
    None
    """
    EhrlichUnitPer100Gram = CommonUCUMUnitsCode("{Ehrlich'U}/100.g")
    """
    None
    """
    EhrlichUnitPerDay = CommonUCUMUnitsCode("{Ehrlich'U}/d")
    """
    None
    """
    EhrilichUnitPerDeciliter = CommonUCUMUnitsCode("{Ehrlich'U}/dL")
    """
    None
    """
    Ehrlich_U_Milliliter = CommonUCUMUnitsCode("{Ehrlich'U}/mL")
    """
    None
    """
    EIAIndex = CommonUCUMUnitsCode("{EIAIndex}")
    """
    None
    """
    EIATiter = CommonUCUMUnitsCode("{EIATiter}")
    """
    None
    """
    EIAUnit = CommonUCUMUnitsCode("{EIA'U}")
    """
    None
    """
    EIAUnitPerEnzymeUnit = CommonUCUMUnitsCode("{EIA'U}/U")
    """
    None
    """
    ElisaIndex = CommonUCUMUnitsCode("{ElisaIndex}")
    """
    None
    """
    ELISAUnit = CommonUCUMUnitsCode("{ELISA'U}")
    """
    None
    """
    Elisa_U_Milliliter = CommonUCUMUnitsCode("{Elisa'U}/mL")
    """
    None
    """
    ElisaValue = CommonUCUMUnitsCode("{ElisaValue}")
    """
    None
    """
    ErythrocytePerMicroliter = CommonUCUMUnitsCode("{ERY}/uL")
    """
    None
    """
    Events = CommonUCUMUnitsCode("{Events}")
    """
    None
    """
    FluorescenceIntensity_U = CommonUCUMUnitsCode("{FluorescenceIntensity'U}")
    """
    None
    """
    GUnit = CommonUCUMUnitsCode("U{G}")
    """
    None
    """
    GliadinIndexValue = CommonUCUMUnitsCode("{GliadinIndexValue}")
    """
    None
    """
    G_PortionPhospholipids = CommonUCUMUnitsCode("{G-PortionPhospholipids}")
    """
    None
    """
    HaTiter = CommonUCUMUnitsCode("{HaTiter}")
    """
    None
    """
    IfaIndex = CommonUCUMUnitsCode("{IfaIndex}")
    """
    None
    """
    IfaTiter = CommonUCUMUnitsCode("{IfaTiter}")
    """
    None
    """
    IgAAntiphosphatidyleserine_U = CommonUCUMUnitsCode("{IgAAntiphosphatidyleserine'U}")
    """
    None
    """
    IgAPhospholipid_U = CommonUCUMUnitsCode("{IgAPhospholipid'U}")
    """
    None
    """
    IgGAntiphosphatidyleserine_U = CommonUCUMUnitsCode("{IgGAntiphosphatidyleserine'U}")
    """
    None
    """
    IgGIndex = CommonUCUMUnitsCode("{IgGIndex}")
    """
    None
    """
    IgMAntiphosphatidyleserine_U = CommonUCUMUnitsCode("{IgMAntiphosphatidyleserine'U}")
    """
    None
    """
    IgMIndex = CommonUCUMUnitsCode("{IgMIndex}")
    """
    None
    """
    ImmuneComplexUnit = CommonUCUMUnitsCode("{ImmuneComplex'U}")
    """
    None
    """
    ImmuneStatusRatio = CommonUCUMUnitsCode("{ImmuneStatusRatio}")
    """
    None
    """
    Immunity = CommonUCUMUnitsCode("{Immunity}")
    """
    None
    """
    Index_val = CommonUCUMUnitsCode("{Index_val}")
    """
    None
    """
    Index = CommonUCUMUnitsCode("{index}")
    """
    None
    """
    IndexValue = CommonUCUMUnitsCode("{IndexValue}")
    """
    None
    """
    InhaledTobaccoUseAmountYears = CommonUCUMUnitsCode("{InhaledTobaccoUseAmountYears}")
    """
    None
    """
    InhaledTobaccoUsePacks_Day = CommonUCUMUnitsCode("{InhaledTobaccoUsePacks}/d")
    """
    None
    """
    InternationalNormalizedRatio = CommonUCUMUnitsCode("{INR}")
    """
    None
    """
    INR_unit = CommonUCUMUnitsCode("{INR'unit}")
    """
    None
    """
    JuvenileDiabetesFoundationUnit = CommonUCUMUnitsCode("{JDF'U}")
    """
    None
    """
    JuvenileDiabetesFoundationUnitPerLiter = CommonUCUMUnitsCode("{JDF'U}/L")
    """
    None
    """
    JuvenileDiabetesFound_U = CommonUCUMUnitsCode("{JuvenileDiabetesFound'U}")
    """
    None
    """
    KaolinClottingTime = CommonUCUMUnitsCode("{KCT'U}")
    """
    None
    """
    KronusUnitPerLiter = CommonUCUMUnitsCode("{KRONU'U}/L")
    """
    None
    """
    KronusUnitPerMilliliter = CommonUCUMUnitsCode("{KRONU'U}/mL")
    """
    None
    """
    LgCopies_Milliliter = CommonUCUMUnitsCode("{lgCopies}/ml")
    """
    None
    """
    Log_base10_CopiesPerMilliliter = CommonUCUMUnitsCode("{log_copies}/mL")
    """
    None
    """
    Log_base10_InternationalUnitPerMilliliter = CommonUCUMUnitsCode("{log_IU}/mL")
    """
    None
    """
    LymeIndexValue = CommonUCUMUnitsCode("{LymeIndexValue}")
    """
    None
    """
    M_o_M_ = CommonUCUMUnitsCode("{M.o.M.}")
    """
    None
    """
    MultipleOfTheMedian = CommonUCUMUnitsCode("{M.o.M}")
    """
    None
    """
    Markers = CommonUCUMUnitsCode("{Markers}")
    """
    None
    """
    Minidrp = CommonUCUMUnitsCode("{minidrp}")
    """
    None
    """
    Molecule_Platelet = CommonUCUMUnitsCode("{Molecule}/{Platelet}")
    """
    None
    """
    M_PortionPhospholipids = CommonUCUMUnitsCode("{M-PortionPhospholipids}")
    """
    None
    """
    IgMAntiphosphatidylserineUnit = CommonUCUMUnitsCode("{MPS'U}")
    """
    None
    """
    IgMAntiphosphatidylserineUnitPerMilliliter = CommonUCUMUnitsCode("{MPS'U}/mL")
    """
    None
    """
    MultOfMean = CommonUCUMUnitsCode("{MultOfMean}")
    """
    None
    """
    NonspecificOunce = CommonUCUMUnitsCode("{NonspecificOunce}")
    """
    None
    """
    Number = CommonUCUMUnitsCode("{Number}")
    """
    None
    """
    OpticalDensityUnit = CommonUCUMUnitsCode("{OD_unit}")
    """
    None
    """
    Once_Day = CommonUCUMUnitsCode("{Once}/d")
    """
    None
    """
    OpticalDensity = CommonUCUMUnitsCode("{OpticalDensity}")
    """
    None
    """
    OpticalDensityIndex = CommonUCUMUnitsCode("{OpticalDensityIndex}")
    """
    None
    """
    OpticalDensityRatio = CommonUCUMUnitsCode("{OpticalDensityRatio}")
    """
    None
    """
    P2Y12ReactionUnits = CommonUCUMUnitsCode("{P2Y12 Reaction Units}")
    """
    None
    """
    Package = CommonUCUMUnitsCode("{Package}")
    """
    None
    """
    Packs_Day = CommonUCUMUnitsCode("{Packs}/d")
    """
    None
    """
    PackYears = CommonUCUMUnitsCode("{PackYears}")
    """
    None
    """
    Patch = CommonUCUMUnitsCode("{Patch}")
    """
    None
    """
    Percentile = CommonUCUMUnitsCode("{Percentile}")
    """
    None
    """
    Pill = CommonUCUMUnitsCode("{Pill}")
    """
    None
    """
    Pouches_Week = CommonUCUMUnitsCode("{Pouches}/wk")
    """
    None
    """
    RadioactiveT3UptakeRatio = CommonUCUMUnitsCode("{RadioactiveT3UptakeRatio}")
    """
    None
    """
    Ratio = CommonUCUMUnitsCode("{ratio}")
    """
    None
    """
    RedBloodCellPerMicroliter = CommonUCUMUnitsCode("{RBC}/uL")
    """
    None
    """
    RecTiter = CommonUCUMUnitsCode("{RecTiter}")
    """
    None
    """
    Relative_U = CommonUCUMUnitsCode("{Relative'U}")
    """
    None
    """
    RelativeViscosity = CommonUCUMUnitsCode("{RelativeViscosity}")
    """
    None
    """
    RPI_U = CommonUCUMUnitsCode("{RPI'U}")
    """
    None
    """
    RubellaVirus = CommonUCUMUnitsCode("{RubellaVirus}")
    """
    None
    """
    SatIndex = CommonUCUMUnitsCode("{SatIndex}")
    """
    None
    """
    Scoop = CommonUCUMUnitsCode("{Scoop}")
    """
    None
    """
    ScoreOf = CommonUCUMUnitsCode("{ScoreOf}")
    """
    None
    """
    Shift = CommonUCUMUnitsCode("{shift}")
    """
    None
    """
    SpermatozoaPerMilliliter = CommonUCUMUnitsCode("{spermatozoa}/mL")
    """
    None
    """
    Spray = CommonUCUMUnitsCode("{spray}")
    """
    None
    """
    StandardDeviation = CommonUCUMUnitsCode("{StandardDeviation}")
    """
    None
    """
    StandardIgA_U = CommonUCUMUnitsCode("{StandardIgA'U}")
    """
    None
    """
    StandardIgG_U = CommonUCUMUnitsCode("{StandardIgG'U}")
    """
    None
    """
    StandardIgM_U = CommonUCUMUnitsCode("{StandardIgM'U}")
    """
    None
    """
    StdDeviation_U = CommonUCUMUnitsCode("{StdDeviation'U}")
    """
    None
    """
    StimulatingIndex = CommonUCUMUnitsCode("{StimulatingIndex}")
    """
    None
    """
    Streptozyme_U = CommonUCUMUnitsCode("{Streptozyme'U}")
    """
    None
    """
    ThyroxinUptake_U = CommonUCUMUnitsCode("{ThyroxinUptake'U}")
    """
    None
    """
    TIBC_U = CommonUCUMUnitsCode("{TIBC'U}")
    """
    None
    """
    Times_Week = CommonUCUMUnitsCode("{Times}/wk")
    """
    None
    """
    Tine_U = CommonUCUMUnitsCode("{Tine'U}")
    """
    None
    """
    Titer = CommonUCUMUnitsCode("{titer}")
    """
    None
    """
    ToxoplasmaIndexValue = CommonUCUMUnitsCode("{ToxoplasmaIndexValue}")
    """
    None
    """
    Vial = CommonUCUMUnitsCode("{Vial}")
    """
    None
    """
    Volume_Vvolume = CommonUCUMUnitsCode("{Volume}/{Vvolume}")
    """
    None
    """
    WeeksDays = CommonUCUMUnitsCode("{WeeksDays}")
    """
    None
    """
    WhiteBloodCell = CommonUCUMUnitsCode("{WhiteBloodCell}")
    """
    None
    """
    OnePerDay = CommonUCUMUnitsCode("1/d")
    """
    None
    """
    OnePerMinute = CommonUCUMUnitsCode("1/min")
    """
    None
    """
    TrillionPerLiter = CommonUCUMUnitsCode("10*12/L")
    """
    None
    """
    Thousand = CommonUCUMUnitsCode("10*3")
    """
    None
    """
    ThousandRedBloodCells = CommonUCUMUnitsCode("10*3.{RBC}")
    """
    None
    """
    ThousandPer_Unit = CommonUCUMUnitsCode("10*3.U")
    """
    None
    """
    ThousandPerLiter = CommonUCUMUnitsCode("10*3/L")
    """
    None
    """
    ThousandPerMilliLiter = CommonUCUMUnitsCode("10*3/mL")
    """
    None
    """
    ThousandsPerMicroLiter = CommonUCUMUnitsCode("10*3/uL")
    """
    None
    """
    ThousandCopiesPerMilliLiter = CommonUCUMUnitsCode("10*3{Copies}/mL")
    """
    None
    """
    _theNumberTenForArbitraryPowers_3_Polarization_U = CommonUCUMUnitsCode(
        "10*-3{Polarization'U}"
    )
    """
    None
    """
    OneHundredThousand = CommonUCUMUnitsCode("10*5")
    """
    None
    """
    Million = CommonUCUMUnitsCode("10*6")
    """
    None
    """
    MillionInternationalUnit = CommonUCUMUnitsCode("10*6.[iU]")
    """
    None
    """
    MillionEquivalentsPerMilliLiter = CommonUCUMUnitsCode("10*6.eq/mL")
    """
    None
    """
    _theNumberTenForArbitraryPowers_6_Unit = CommonUCUMUnitsCode("10*6.U")
    """
    None
    """
    MillionPerSpecimen = CommonUCUMUnitsCode("10*6/{Specimen}")
    """
    None
    """
    MillionPerKilogram = CommonUCUMUnitsCode("10*6/kg")
    """
    None
    """
    MillionPerLiter = CommonUCUMUnitsCode("10*6/L")
    """
    None
    """
    MillionPerMilliliter = CommonUCUMUnitsCode("10*6/mL")
    """
    None
    """
    _theNumberTenForArbitraryPowers_6_millimeter_3_ = CommonUCUMUnitsCode("10*6/mm3")
    """
    None
    """
    MillionPerMicroliter = CommonUCUMUnitsCode("10*6/uL")
    """
    None
    """
    _theNumberTenForArbitraryPowers_6_Immunofluorescence_U = CommonUCUMUnitsCode(
        "10*-6{Immunofluorescence'U}"
    )
    """
    None
    """
    TenToEighth = CommonUCUMUnitsCode("10*8")
    """
    None
    """
    BillionPerLiter = CommonUCUMUnitsCode("10*9/L")
    """
    None
    """
    BillionPerMilliliter = CommonUCUMUnitsCode("10*9/mL")
    """
    None
    """
    BillionPerMicroliter = CommonUCUMUnitsCode("10*9/uL")
    """
    None
    """
    _10LiterPerMinutePerSquareMeter = CommonUCUMUnitsCode("10.L/(min.m2)")
    """
    None
    """
    _10LiterPerMinute = CommonUCUMUnitsCode("10.L/min")
    """
    None
    """
    _10_MicroNewton_Second_Centimeter_meter_2_ = CommonUCUMUnitsCode("10.uN.s/(cm.m2)")
    """
    None
    """
    _10_MicroNewton_Second_Centimeter = CommonUCUMUnitsCode("10.uN.s/cm")
    """
    None
    """
    _10_MicroNewton_Second_centimeter_2_ = CommonUCUMUnitsCode("10.uN.s/cm2")
    """
    None
    """
    Year = CommonUCUMUnitsCode("a")
    """
    None
    """
    Amp_re_Meter = CommonUCUMUnitsCode("A/m")
    """
    None
    """
    TechnicalAtmosphere = CommonUCUMUnitsCode("att")
    """
    None
    """
    Bar = CommonUCUMUnitsCode("bar")
    """
    None
    """
    DegreeCelsius = CommonUCUMUnitsCode("Cel")
    """
    None
    """
    Centigram = CommonUCUMUnitsCode("cg")
    """
    None
    """
    Centiliter = CommonUCUMUnitsCode("cL")
    """
    None
    """
    Centimeter = CommonUCUMUnitsCode("cm")
    """
    None
    """
    CentimeterOfWater = CommonUCUMUnitsCode("cm[H2O]")
    """
    None
    """
    CentimeterOfWaterColumn_Second_Meter = CommonUCUMUnitsCode("cm[H2O]/(s.m)")
    """
    None
    """
    CentimeterOfWaterPerLiterPerSecond = CommonUCUMUnitsCode("cm[H2O]/L/s")
    """
    None
    """
    CentimeterOfMercury = CommonUCUMUnitsCode("cm[Hg]")
    """
    None
    """
    SquareCentimeter = CommonUCUMUnitsCode("cm2")
    """
    None
    """
    SquareCentimeterPerSecond = CommonUCUMUnitsCode("cm2/s")
    """
    None
    """
    CubicCentimeter = CommonUCUMUnitsCode("cm3")
    """
    None
    """
    CentiPoise = CommonUCUMUnitsCode("cP")
    """
    None
    """
    CentiStokes = CommonUCUMUnitsCode("cSt")
    """
    None
    """
    Day = CommonUCUMUnitsCode("d")
    """
    None
    """
    Decibel = CommonUCUMUnitsCode("dB")
    """
    None
    """
    Degree = CommonUCUMUnitsCode("deg")
    """
    None
    """
    DegreePerSecond = CommonUCUMUnitsCode("deg/s")
    """
    None
    """
    Decigram = CommonUCUMUnitsCode("dg")
    """
    None
    """
    Deciliter = CommonUCUMUnitsCode("dL")
    """
    None
    """
    Decimeter = CommonUCUMUnitsCode("dm")
    """
    None
    """
    SquareDecimeterPerSquareSecond = CommonUCUMUnitsCode("dm2/s2")
    """
    None
    """
    Equivalents = CommonUCUMUnitsCode("eq")
    """
    None
    """
    Equivalents_Liter = CommonUCUMUnitsCode("eq/L")
    """
    None
    """
    Equivalents_Milliliter = CommonUCUMUnitsCode("eq/mL")
    """
    None
    """
    Equivalents_Millimole = CommonUCUMUnitsCode("eq/mmol")
    """
    None
    """
    Equivalents_Micromole = CommonUCUMUnitsCode("eq/umol")
    """
    None
    """
    Erg = CommonUCUMUnitsCode("erg")
    """
    None
    """
    Electronvolt = CommonUCUMUnitsCode("eV")
    """
    None
    """
    Femtogram = CommonUCUMUnitsCode("fg")
    """
    None
    """
    Femtoliter = CommonUCUMUnitsCode("fL")
    """
    None
    """
    Femtoliter_Nanoliter = CommonUCUMUnitsCode("fL/nL")
    """
    None
    """
    Femtometer = CommonUCUMUnitsCode("fm")
    """
    None
    """
    Femtomole = CommonUCUMUnitsCode("fmol")
    """
    None
    """
    FemtomolePerGram = CommonUCUMUnitsCode("fmol/g")
    """
    None
    """
    FemtomolePerLiter = CommonUCUMUnitsCode("fmol/L")
    """
    None
    """
    Femtomole_Milligram = CommonUCUMUnitsCode("fmol/mg")
    """
    None
    """
    Femtomole_Milliliter = CommonUCUMUnitsCode("fmol/mL")
    """
    None
    """
    Gram = CommonUCUMUnitsCode("g")
    """
    None
    """
    Gram_Meter = CommonUCUMUnitsCode("g.m")
    """
    None
    """
    Gram_Meter_Hb_meter_2_ = CommonUCUMUnitsCode("g.m/({hb}.m2)")
    """
    None
    """
    Gram_Meter_Hb = CommonUCUMUnitsCode("g.m/{hb}")
    """
    None
    """
    GramPer100Gram = CommonUCUMUnitsCode("g/(100.g)")
    """
    None
    """
    GramPer12Hour = CommonUCUMUnitsCode("g/(12.h)")
    """
    None
    """
    GramPer24Hour = CommonUCUMUnitsCode("g/(24.h)")
    """
    None
    """
    GramPer3Days = CommonUCUMUnitsCode("g/(3.d)")
    """
    None
    """
    GramPer4Hour = CommonUCUMUnitsCode("g/(4.h)")
    """
    None
    """
    GramPer48Hour = CommonUCUMUnitsCode("g/(48.h)")
    """
    None
    """
    GramPer5Hour = CommonUCUMUnitsCode("g/(5.h)")
    """
    None
    """
    GramPer6Hour = CommonUCUMUnitsCode("g/(6.h)")
    """
    None
    """
    GramPer72Hour = CommonUCUMUnitsCode("g/(72.h)")
    """
    None
    """
    Gram_8_Hour = CommonUCUMUnitsCode("g/(8.h)")
    """
    None
    """
    Gram_8_Kilogram_Hour = CommonUCUMUnitsCode("g/(8.kg.h)")
    """
    None
    """
    Gram_Kilogram_Hour = CommonUCUMUnitsCode("g/(kg.h)")
    """
    None
    """
    Gram_Kilogram_Minute = CommonUCUMUnitsCode("g/(kg.min)")
    """
    None
    """
    Gram_TotalWeight = CommonUCUMUnitsCode("g/{TotalWeight}")
    """
    None
    """
    GramPerDay = CommonUCUMUnitsCode("g/d")
    """
    None
    """
    GramPerDeciliter = CommonUCUMUnitsCode("g/dL")
    """
    None
    """
    GramPerGram = CommonUCUMUnitsCode("g/g")
    """
    None
    """
    Gram_GramCre = CommonUCUMUnitsCode("g/g{Cre}")
    """
    None
    """
    Gram_GramCreat = CommonUCUMUnitsCode("g/g{creat}")
    """
    None
    """
    GramPerGramOfTissue = CommonUCUMUnitsCode("g/g{tissue}")
    """
    None
    """
    GramPerHour = CommonUCUMUnitsCode("g/h")
    """
    None
    """
    GramPerHourPerSquareMeter = CommonUCUMUnitsCode("g/h/m2")
    """
    None
    """
    GramPerKilogram = CommonUCUMUnitsCode("g/kg")
    """
    None
    """
    GramPerKilogramPerDay = CommonUCUMUnitsCode("g/kg/d")
    """
    None
    """
    GramPerLiter = CommonUCUMUnitsCode("g/L")
    """
    None
    """
    GramsPerSquareMeter = CommonUCUMUnitsCode("g/m2")
    """
    None
    """
    GramPerMilligram = CommonUCUMUnitsCode("g/mg")
    """
    None
    """
    GramPerMinute = CommonUCUMUnitsCode("g/min")
    """
    None
    """
    GramPerMilliliter = CommonUCUMUnitsCode("g/mL")
    """
    None
    """
    GramPerMillimole = CommonUCUMUnitsCode("g/mmol")
    """
    None
    """
    Gram_MillimoleCreat = CommonUCUMUnitsCode("g/mmol{creat}")
    """
    None
    """
    GramPerMole = CommonUCUMUnitsCode("g/mol")
    """
    None
    """
    GigaBecquerel = CommonUCUMUnitsCode("GBq")
    """
    None
    """
    Hour = CommonUCUMUnitsCode("h")
    """
    None
    """
    Hectoliter = CommonUCUMUnitsCode("hL")
    """
    None
    """
    Hertz = CommonUCUMUnitsCode("Hz")
    """
    None
    """
    InternationalUnit = CommonUCUMUnitsCode("[iU]")
    """
    None
    """
    Joule = CommonUCUMUnitsCode("J")
    """
    None
    """
    JoulePerLiter = CommonUCUMUnitsCode("J/L")
    """
    None
    """
    Kelvin = CommonUCUMUnitsCode("K")
    """
    None
    """
    Kelvin_Watt = CommonUCUMUnitsCode("K/W")
    """
    None
    """
    KiloInternationalUnitPerLiter = CommonUCUMUnitsCode("k[IU]/L")
    """
    None
    """
    KiloInternationalUnitPerMilliliter = CommonUCUMUnitsCode("k[IU]/mL")
    """
    None
    """
    Katal_Kilogram = CommonUCUMUnitsCode("kat/kg")
    """
    None
    """
    Katal_Liter = CommonUCUMUnitsCode("kat/L")
    """
    None
    """
    KiloBecquerel = CommonUCUMUnitsCode("kBq")
    """
    None
    """
    Kilocalorie = CommonUCUMUnitsCode("kcal")
    """
    None
    """
    Kilocalorie_8_Hour = CommonUCUMUnitsCode("kcal/(8.h)")
    """
    None
    """
    KilocaloriePerHour = CommonUCUMUnitsCode("kcal/h")
    """
    None
    """
    Kilogram = CommonUCUMUnitsCode("kg")
    """
    None
    """
    KilogramMeterPerSecond = CommonUCUMUnitsCode("kg.m/s")
    """
    None
    """
    KilogramPerSecondPerSquareMeter = CommonUCUMUnitsCode("kg/(s.m2)")
    """
    None
    """
    KilogramPerHour = CommonUCUMUnitsCode("kg/h")
    """
    None
    """
    KilogramPerLiter = CommonUCUMUnitsCode("kg/L")
    """
    None
    """
    Kilogram_meter_2_ = CommonUCUMUnitsCode("kg/m2")
    """
    None
    """
    Kilogram_meter_3_ = CommonUCUMUnitsCode("kg/m3")
    """
    None
    """
    Kilogram_Minute = CommonUCUMUnitsCode("kg/min")
    """
    None
    """
    KilogramPerMole = CommonUCUMUnitsCode("kg/mol")
    """
    None
    """
    Kilogram_Second = CommonUCUMUnitsCode("kg/s")
    """
    None
    """
    Kiloliter = CommonUCUMUnitsCode("kL")
    """
    None
    """
    Kilometer = CommonUCUMUnitsCode("km")
    """
    None
    """
    KiloPascal = CommonUCUMUnitsCode("kPa")
    """
    None
    """
    Kilosecond = CommonUCUMUnitsCode("ks")
    """
    None
    """
    KiloenzymeUnitPerGram = CommonUCUMUnitsCode("kU/g")
    """
    None
    """
    KiloUnit_Hour = CommonUCUMUnitsCode("kU/h")
    """
    None
    """
    KiloenzymeUnitPerLiter = CommonUCUMUnitsCode("kU/L")
    """
    None
    """
    KiloEnzymeUnitPerMilliliter = CommonUCUMUnitsCode("kU/mL")
    """
    None
    """
    Liter = CommonUCUMUnitsCode("L")
    """
    None
    """
    Liter_second_2_Second = CommonUCUMUnitsCode("L.s2/s")
    """
    None
    """
    LiterPer8Hour = CommonUCUMUnitsCode("L/(8.h)")
    """
    None
    """
    LiterPerMinutePerSquareMeter = CommonUCUMUnitsCode("L/(min.m2)")
    """
    None
    """
    LiterPerDay = CommonUCUMUnitsCode("L/d")
    """
    None
    """
    LiterPerHour = CommonUCUMUnitsCode("L/h")
    """
    None
    """
    LiterPerKilogram = CommonUCUMUnitsCode("L/kg")
    """
    None
    """
    LiterPerLiter = CommonUCUMUnitsCode("L/L")
    """
    None
    """
    LiterPerMinute = CommonUCUMUnitsCode("L/min")
    """
    None
    """
    Liter_Second = CommonUCUMUnitsCode("L/s")
    """
    None
    """
    Lumen_meter_2_ = CommonUCUMUnitsCode("lm/m2")
    """
    None
    """
    Meter = CommonUCUMUnitsCode("m")
    """
    None
    """
    MeterPerSecond = CommonUCUMUnitsCode("m/s")
    """
    None
    """
    MeterPerSquareSecond = CommonUCUMUnitsCode("m/s2")
    """
    None
    """
    MilliinternationalUnit = CommonUCUMUnitsCode("m[iU]")
    """
    None
    """
    MilliInternationalUnitPerLiter = CommonUCUMUnitsCode("m[IU]/L")
    """
    None
    """
    MilliInternationalUnitPerMilliliter = CommonUCUMUnitsCode("m[IU]/mL")
    """
    None
    """
    SquareMeter = CommonUCUMUnitsCode("m2")
    """
    None
    """
    SquareMeterPerSecond = CommonUCUMUnitsCode("m2/s")
    """
    None
    """
    CubicMeterPerSecond = CommonUCUMUnitsCode("m3/s")
    """
    None
    """
    MilliAmp_re = CommonUCUMUnitsCode("mA")
    """
    None
    """
    Millibar = CommonUCUMUnitsCode("mbar")
    """
    None
    """
    MillibarSecondPerLiter = CommonUCUMUnitsCode("mbar.s/L")
    """
    None
    """
    MegaBecquerel = CommonUCUMUnitsCode("MBq")
    """
    None
    """
    MilliCurie = CommonUCUMUnitsCode("mCi")
    """
    None
    """
    Milliequivalent = CommonUCUMUnitsCode("meq")
    """
    None
    """
    MilliequivalentPer12Hour = CommonUCUMUnitsCode("meq/(12.h)")
    """
    None
    """
    MilliequivalentPer2Hour = CommonUCUMUnitsCode("meq/(2.h)")
    """
    None
    """
    MilliequivalentPer24Hour = CommonUCUMUnitsCode("meq/(24.h)")
    """
    None
    """
    MilliequivalentPer8Hour = CommonUCUMUnitsCode("meq/(8.h)")
    """
    None
    """
    Milliequivalents_8_Hour_Kilogram = CommonUCUMUnitsCode("meq/(8.h.kg)")
    """
    None
    """
    Milliequivalents_Kilogram_Day = CommonUCUMUnitsCode("meq/(kg.d)")
    """
    None
    """
    Milliequivalents_Specimen = CommonUCUMUnitsCode("meq/{Specimen}")
    """
    None
    """
    MilliequivalentPerDay = CommonUCUMUnitsCode("meq/d")
    """
    None
    """
    MilliequivalentPerDeciliter = CommonUCUMUnitsCode("meq/dL")
    """
    None
    """
    MilliequivalentPerGram = CommonUCUMUnitsCode("meq/g")
    """
    None
    """
    Milliequivalents_GramCre = CommonUCUMUnitsCode("meq/g{Cre}")
    """
    None
    """
    MilliequivalentPerHour = CommonUCUMUnitsCode("meq/h")
    """
    None
    """
    MilliequivalentPerKilogram = CommonUCUMUnitsCode("meq/kg")
    """
    None
    """
    MilliequivalentPerKilogramPerHour = CommonUCUMUnitsCode("meq/kg/h")
    """
    None
    """
    Milliequivalents_Kilogram_Minute = CommonUCUMUnitsCode("meq/kg/min")
    """
    None
    """
    MilliequivalentPerLiter = CommonUCUMUnitsCode("meq/L")
    """
    None
    """
    MilliequivalentPerSquareMeter = CommonUCUMUnitsCode("meq/m2")
    """
    None
    """
    MilliequivalentPerMinute = CommonUCUMUnitsCode("meq/min")
    """
    None
    """
    MilliequivalentPerMilliliter = CommonUCUMUnitsCode("meq/mL")
    """
    None
    """
    Milligram = CommonUCUMUnitsCode("mg")
    """
    None
    """
    MilligramPer10Hour = CommonUCUMUnitsCode("mg/(10.h)")
    """
    None
    """
    MilligramPer12Hour = CommonUCUMUnitsCode("mg/(12.h)")
    """
    None
    """
    MilligramPer18Hour = CommonUCUMUnitsCode("mg/(18.h)")
    """
    None
    """
    MilligramPer2Hour = CommonUCUMUnitsCode("mg/(2.h)")
    """
    None
    """
    MilligramPer24Hour = CommonUCUMUnitsCode("mg/(24.h)")
    """
    None
    """
    MilligramPer72Hour = CommonUCUMUnitsCode("mg/(72.h)")
    """
    None
    """
    MilligramPer8Hour = CommonUCUMUnitsCode("mg/(8.h)")
    """
    None
    """
    Milligram_8_Hour_Kilogram = CommonUCUMUnitsCode("mg/(8.h.kg)")
    """
    None
    """
    Milligram_Kilogram_Hour = CommonUCUMUnitsCode("mg/(kg.h)")
    """
    None
    """
    Milligram_Hgb_Gram = CommonUCUMUnitsCode("mg/{Hgb}/g")
    """
    None
    """
    Milligram_Specimen = CommonUCUMUnitsCode("mg/{Specimen}")
    """
    None
    """
    Milligram_Tot_Volume = CommonUCUMUnitsCode("mg/{Tot'Volume}")
    """
    None
    """
    Milligram_Volume = CommonUCUMUnitsCode("mg/{Volume}")
    """
    None
    """
    MilligramPerDay = CommonUCUMUnitsCode("mg/d")
    """
    None
    """
    Milligram_Day_173_theNumberTenForArbitraryPowers_2_meter_2_ = CommonUCUMUnitsCode(
        "mg/d/(173.10*-2.m2)"
    )
    """
    None
    """
    MilligramPerDeciliter = CommonUCUMUnitsCode("mg/dL")
    """
    None
    """
    MilligramPerGram = CommonUCUMUnitsCode("mg/g")
    """
    None
    """
    Milligram_GramCre = CommonUCUMUnitsCode("mg/g{Cre}")
    """
    None
    """
    MilligramPerGramOfCreatinine = CommonUCUMUnitsCode("mg/g{creat}")
    """
    None
    """
    MilligramPerHour = CommonUCUMUnitsCode("mg/h")
    """
    None
    """
    MilligramPerKilogram = CommonUCUMUnitsCode("mg/kg")
    """
    None
    """
    Milligram_Kilogram_24_Hour = CommonUCUMUnitsCode("mg/kg/(24.h)")
    """
    None
    """
    MilligramPerKilogramPerDay = CommonUCUMUnitsCode("mg/kg/d")
    """
    None
    """
    MilligramPerKilogramPerMinute = CommonUCUMUnitsCode("mg/kg/min")
    """
    None
    """
    MilligramPerLiter = CommonUCUMUnitsCode("mg/L")
    """
    None
    """
    MilligramPerSquareMeter = CommonUCUMUnitsCode("mg/m2")
    """
    None
    """
    MilligramPerCubicMeter = CommonUCUMUnitsCode("mg/m3")
    """
    None
    """
    MilligramPerMilligram = CommonUCUMUnitsCode("mg/mg")
    """
    None
    """
    Milligram_MilligramCre = CommonUCUMUnitsCode("mg/mg{cre}")
    """
    None
    """
    MilligramPerMinute = CommonUCUMUnitsCode("mg/min")
    """
    None
    """
    MilligramPerMilliliter = CommonUCUMUnitsCode("mg/mL")
    """
    None
    """
    MilligramPerMillimole = CommonUCUMUnitsCode("mg/mmol")
    """
    None
    """
    Milligram_MillimoleCre = CommonUCUMUnitsCode("mg/mmol{Cre}")
    """
    None
    """
    MilligramPerMillimoleOfCreatinine = CommonUCUMUnitsCode("mg/mmol{creat}")
    """
    None
    """
    MilligramPerWeek = CommonUCUMUnitsCode("mg/wk")
    """
    None
    """
    MilligramPhenylketones_Deciliter = CommonUCUMUnitsCode("mg{Phenylketones}/dL")
    """
    None
    """
    Minute = CommonUCUMUnitsCode("min")
    """
    None
    """
    Milliliter = CommonUCUMUnitsCode("mL")
    """
    None
    """
    Milliliter_H_b_meter_2_ = CommonUCUMUnitsCode("mL/({h'b}.m2)")
    """
    None
    """
    MilliliterPer10Hour = CommonUCUMUnitsCode("mL/(10.h)")
    """
    None
    """
    MilliliterPer12Hour = CommonUCUMUnitsCode("mL/(12.h)")
    """
    None
    """
    MilliliterPer2Hour = CommonUCUMUnitsCode("mL/(2.h)")
    """
    None
    """
    MilliliterPer24Hour = CommonUCUMUnitsCode("mL/(24.h)")
    """
    None
    """
    MilliliterPer4Hour = CommonUCUMUnitsCode("mL/(4.h)")
    """
    None
    """
    MilliliterPer72Hour = CommonUCUMUnitsCode("mL/(72.h)")
    """
    None
    """
    MilliliterPer8Hour = CommonUCUMUnitsCode("mL/(8.h)")
    """
    None
    """
    Milliliter_Kilogram_Minute = CommonUCUMUnitsCode("mL/(kg.min)")
    """
    None
    """
    MilliliterPerSquareInch_international_ = CommonUCUMUnitsCode("mL/[sin_i]")
    """
    None
    """
    MilliLitersPerHeartbeat_SIVolumeUnits_ = CommonUCUMUnitsCode("mL/{h'b}")
    """
    None
    """
    Milliliter_CentimeterOfWaterColumn = CommonUCUMUnitsCode("mL/cm[H2O]")
    """
    None
    """
    MilliliterPerDay = CommonUCUMUnitsCode("mL/d")
    """
    None
    """
    MilliliterPerDeciliter = CommonUCUMUnitsCode("mL/dL")
    """
    None
    """
    MilliliterPerHour = CommonUCUMUnitsCode("mL/h")
    """
    None
    """
    MilliliterPerKilogram = CommonUCUMUnitsCode("mL/kg")
    """
    None
    """
    MilliliterPerKilogramPer8Hour = CommonUCUMUnitsCode("mL/kg/(8.h)")
    """
    None
    """
    MilliliterPerKilogramPerDay = CommonUCUMUnitsCode("mL/kg/d")
    """
    None
    """
    MilliliterPerKilogramPerHour = CommonUCUMUnitsCode("mL/kg/h")
    """
    None
    """
    MilliliterPerKilogramPerMinute = CommonUCUMUnitsCode("mL/kg/min")
    """
    None
    """
    MilliliterPerLiter = CommonUCUMUnitsCode("mL/L")
    """
    None
    """
    MilliliterPerSquareMeter = CommonUCUMUnitsCode("mL/m2")
    """
    None
    """
    MilliliterPerMillibar = CommonUCUMUnitsCode("mL/mbar")
    """
    None
    """
    MilliliterPerMinute = CommonUCUMUnitsCode("mL/min")
    """
    None
    """
    Milliliter_Minute_173_theNumberTenForArbitraryPowers_2_meter_2_ = (
        CommonUCUMUnitsCode("mL/min/(173.10*-2.m2)")
    )
    """
    None
    """
    MilliliterPerMinutePer1_73SquareMeter = CommonUCUMUnitsCode("mL/min/{1.73_m2}")
    """
    None
    """
    MilliliterPerMinutePerSquareMeter = CommonUCUMUnitsCode("mL/min/m2")
    """
    None
    """
    MilliliterPerMillimeter = CommonUCUMUnitsCode("mL/mm")
    """
    None
    """
    MilliliterPerSecond = CommonUCUMUnitsCode("mL/s")
    """
    None
    """
    Millimeter = CommonUCUMUnitsCode("mm")
    """
    None
    """
    MillimeterPerHour = CommonUCUMUnitsCode("mm/h")
    """
    None
    """
    MillimeterPerMinute = CommonUCUMUnitsCode("mm/min")
    """
    None
    """
    MillimeterOfWater = CommonUCUMUnitsCode("mm[H2O]")
    """
    None
    """
    MillimeterOfMercury = CommonUCUMUnitsCode("mm[Hg]")
    """
    None
    """
    SquareMillimeter = CommonUCUMUnitsCode("mm2")
    """
    None
    """
    CubicMillimeter = CommonUCUMUnitsCode("mm3")
    """
    None
    """
    Millimole = CommonUCUMUnitsCode("mmol")
    """
    None
    """
    MillimolePer12Hour = CommonUCUMUnitsCode("mmol/(12.h)")
    """
    None
    """
    MillimolePer18Hour = CommonUCUMUnitsCode("mmol/(18.h)")
    """
    None
    """
    MillimolePer2Hour = CommonUCUMUnitsCode("mmol/(2.h)")
    """
    None
    """
    MillimolePer24Hour = CommonUCUMUnitsCode("mmol/(24.h)")
    """
    None
    """
    MillimolePer6Hour = CommonUCUMUnitsCode("mmol/(6.h)")
    """
    None
    """
    MillimolePer8Hour = CommonUCUMUnitsCode("mmol/(8.h)")
    """
    None
    """
    Millimole_8_Hour_Kilogram = CommonUCUMUnitsCode("mmol/(8.h.kg)")
    """
    None
    """
    Millimole_Tot_Volume = CommonUCUMUnitsCode("mmol/{Tot'Volume}")
    """
    None
    """
    MillimolePerDay = CommonUCUMUnitsCode("mmol/d")
    """
    None
    """
    MillimolePerDeciliter = CommonUCUMUnitsCode("mmol/dL")
    """
    None
    """
    MillimolePerGram = CommonUCUMUnitsCode("mmol/g")
    """
    None
    """
    MillimolePerGramOfCreatinine = CommonUCUMUnitsCode("mmol/g{creat}")
    """
    None
    """
    MillimolePerGramOfHemoglobin = CommonUCUMUnitsCode("mmol/g{hemoglobin}")
    """
    None
    """
    MillimolePerHour = CommonUCUMUnitsCode("mmol/h")
    """
    None
    """
    MillimolePerHourPerMilligramOfHemoglobin = CommonUCUMUnitsCode("mmol/h/mg{Hb}")
    """
    None
    """
    MillimolePerHourPerMilligramOfProtein = CommonUCUMUnitsCode("mmol/h/mg{protein}")
    """
    None
    """
    MillimolePerKilogram = CommonUCUMUnitsCode("mmol/kg")
    """
    None
    """
    MillimolePerKilogramPerDay = CommonUCUMUnitsCode("mmol/kg/d")
    """
    None
    """
    MillimolePerKilogramPerHour = CommonUCUMUnitsCode("mmol/kg/h")
    """
    None
    """
    MillimolePerKilogramPerMinute = CommonUCUMUnitsCode("mmol/kg/min")
    """
    None
    """
    MillimolePerKilogramOfWater = CommonUCUMUnitsCode("mmol/kg{H2O}")
    """
    None
    """
    MillimolePerLiter = CommonUCUMUnitsCode("mmol/L")
    """
    None
    """
    MillimolePerLiterPerSecond = CommonUCUMUnitsCode("mmol/L/s")
    """
    None
    """
    Millimole_Meter = CommonUCUMUnitsCode("mmol/m")
    """
    None
    """
    MillimolePerSquareMeter = CommonUCUMUnitsCode("mmol/m2")
    """
    None
    """
    MillimolePerMinute = CommonUCUMUnitsCode("mmol/min")
    """
    None
    """
    MillimolePerMillimole = CommonUCUMUnitsCode("mmol/mmol")
    """
    None
    """
    MillimolePerMole = CommonUCUMUnitsCode("mmol/mol")
    """
    None
    """
    MillimolePerMoleOfCreatinine = CommonUCUMUnitsCode("mmol/mol{creat}")
    """
    None
    """
    MillimolePerSecondPerLiter = CommonUCUMUnitsCode("mmol/s/L")
    """
    None
    """
    Month = CommonUCUMUnitsCode("mo")
    """
    None
    """
    Mole = CommonUCUMUnitsCode("mol")
    """
    None
    """
    MolePerDay = CommonUCUMUnitsCode("mol/d")
    """
    None
    """
    MolePerKilogram = CommonUCUMUnitsCode("mol/kg")
    """
    None
    """
    MolePerKilogramPerSecond = CommonUCUMUnitsCode("mol/kg/s")
    """
    None
    """
    MolePerLiter = CommonUCUMUnitsCode("mol/L")
    """
    None
    """
    MolePerCubicMeter = CommonUCUMUnitsCode("mol/m3")
    """
    None
    """
    MolePerMilliliter = CommonUCUMUnitsCode("mol/mL")
    """
    None
    """
    MolePerMole = CommonUCUMUnitsCode("mol/mol")
    """
    None
    """
    Mole_MoleCreat = CommonUCUMUnitsCode("mol/mol{creat}")
    """
    None
    """
    MolePerSecond = CommonUCUMUnitsCode("mol/s")
    """
    None
    """
    Milliosmole = CommonUCUMUnitsCode("mosm")
    """
    None
    """
    MilliosmolePerKilogram = CommonUCUMUnitsCode("mosm/kg")
    """
    None
    """
    MilliosmolePerLiter = CommonUCUMUnitsCode("mosm/L")
    """
    None
    """
    Millipascal = CommonUCUMUnitsCode("mPa")
    """
    None
    """
    Millisecond = CommonUCUMUnitsCode("ms")
    """
    None
    """
    MillienzymeUnit = CommonUCUMUnitsCode("mU")
    """
    None
    """
    MillienzymeUnitPerGram = CommonUCUMUnitsCode("mU/g")
    """
    None
    """
    MilliUnit_GramHgb = CommonUCUMUnitsCode("mU/g{Hgb}")
    """
    None
    """
    MillienzymeUnitPerLiter = CommonUCUMUnitsCode("mU/L")
    """
    None
    """
    MilliUnit_Milligram = CommonUCUMUnitsCode("mU/mg")
    """
    None
    """
    MilliUnit_MilligramCre = CommonUCUMUnitsCode("mU/mg{Cre}")
    """
    None
    """
    MilliUnit_Minute = CommonUCUMUnitsCode("mU/min")
    """
    None
    """
    MillienzymeUnitPerMilliliter = CommonUCUMUnitsCode("mU/mL")
    """
    None
    """
    MillienzymeUnitPerMilliliterPerMinute = CommonUCUMUnitsCode("mU/mL/min")
    """
    None
    """
    MillienzymeUnitPerMillimoleOfCreatinine = CommonUCUMUnitsCode("mU/mmol{creatinine}")
    """
    None
    """
    MillienzymeUnitPerMillimoleOfRedBloodCells = CommonUCUMUnitsCode("mU/mmol{RBCs}")
    """
    None
    """
    MilliVolt = CommonUCUMUnitsCode("mV")
    """
    None
    """
    Newton = CommonUCUMUnitsCode("N")
    """
    None
    """
    NewtonCentimeter = CommonUCUMUnitsCode("N.cm")
    """
    None
    """
    NewtonSecond = CommonUCUMUnitsCode("N.s")
    """
    None
    """
    NanoCurie = CommonUCUMUnitsCode("nCi")
    """
    None
    """
    Nanogram = CommonUCUMUnitsCode("ng")
    """
    None
    """
    NanogramPer24Hour = CommonUCUMUnitsCode("ng/(24.h)")
    """
    None
    """
    NanogramPer8Hour = CommonUCUMUnitsCode("ng/(8.h)")
    """
    None
    """
    Nanogram_8_Hour_Kilogram = CommonUCUMUnitsCode("ng/(8.h.kg)")
    """
    None
    """
    Nanogram_Kilogram_Day = CommonUCUMUnitsCode("ng/(kg.d)")
    """
    None
    """
    Nanogram_Kilogram_Hour = CommonUCUMUnitsCode("ng/(kg.h)")
    """
    None
    """
    Nanogram_Kilogram_Minute = CommonUCUMUnitsCode("ng/(kg.min)")
    """
    None
    """
    NanogramPerMillion = CommonUCUMUnitsCode("ng/10*6")
    """
    None
    """
    NanogramPerDay = CommonUCUMUnitsCode("ng/d")
    """
    None
    """
    NanogramPerDeciliter = CommonUCUMUnitsCode("ng/dL")
    """
    None
    """
    Nanogram_Deciliter_Hour = CommonUCUMUnitsCode("ng/dL/h")
    """
    None
    """
    NanogramPerGram = CommonUCUMUnitsCode("ng/g")
    """
    None
    """
    Nanogram_GramCre = CommonUCUMUnitsCode("ng/g{Cre}")
    """
    None
    """
    NanogramPerGramOfCreatinine = CommonUCUMUnitsCode("ng/g{creat}")
    """
    None
    """
    NanogramPerHour = CommonUCUMUnitsCode("ng/h")
    """
    None
    """
    NanogramPerKilogram = CommonUCUMUnitsCode("ng/kg")
    """
    None
    """
    NanogramPerKilogramPer8Hour = CommonUCUMUnitsCode("ng/kg/(8.h)")
    """
    None
    """
    NanogramPerKilogramPerHour = CommonUCUMUnitsCode("ng/kg/h")
    """
    None
    """
    NanogramPerKilogramPerMinute = CommonUCUMUnitsCode("ng/kg/min")
    """
    None
    """
    NanogramPerLiter = CommonUCUMUnitsCode("ng/L")
    """
    None
    """
    NanogramPerSquareMeter = CommonUCUMUnitsCode("ng/m2")
    """
    None
    """
    NanogramPerMilligram = CommonUCUMUnitsCode("ng/mg")
    """
    None
    """
    NanogramPerMilligramPerHour = CommonUCUMUnitsCode("ng/mg/h")
    """
    None
    """
    Nanogram_MilligramProtein = CommonUCUMUnitsCode("ng/mg{Protein}")
    """
    None
    """
    NanogramPerMinute = CommonUCUMUnitsCode("ng/min")
    """
    None
    """
    NanogramPerMillliiter = CommonUCUMUnitsCode("ng/mL")
    """
    None
    """
    NanogramPerMilliliterPerHour = CommonUCUMUnitsCode("ng/mL/h")
    """
    None
    """
    Nanogram_MilliliterRbc = CommonUCUMUnitsCode("ng/mL{rbc}")
    """
    None
    """
    NanogramPerSecond = CommonUCUMUnitsCode("ng/s")
    """
    None
    """
    Nanokatal = CommonUCUMUnitsCode("nkat")
    """
    None
    """
    Nanoliter = CommonUCUMUnitsCode("nL")
    """
    None
    """
    Nanometer = CommonUCUMUnitsCode("nm")
    """
    None
    """
    NanometerPerSecondPerLiter = CommonUCUMUnitsCode("nm/s/L")
    """
    None
    """
    Nanomole = CommonUCUMUnitsCode("nmol")
    """
    None
    """
    NanomolePer24Hour = CommonUCUMUnitsCode("nmol/(24.h)")
    """
    None
    """
    NanomolePerDay = CommonUCUMUnitsCode("nmol/d")
    """
    None
    """
    NanomolePerDeciliter = CommonUCUMUnitsCode("nmol/dL")
    """
    None
    """
    NanomolePerGram = CommonUCUMUnitsCode("nmol/g")
    """
    None
    """
    Nanomole_GramCre = CommonUCUMUnitsCode("nmol/g{Cre}")
    """
    None
    """
    NanomolePerGramOfCreatinine = CommonUCUMUnitsCode("nmol/g{creat}")
    """
    None
    """
    NanomolePerGramOfDryWeight = CommonUCUMUnitsCode("nmol/g{dry_wt}")
    """
    None
    """
    NanomolePerHourPerLiter = CommonUCUMUnitsCode("nmol/h/L")
    """
    None
    """
    NanomolePerHourPerMilligramOfProtein = CommonUCUMUnitsCode("nmol/h/mg{protein}")
    """
    None
    """
    NanomolePerHourPerMilliliter = CommonUCUMUnitsCode("nmol/h/mL")
    """
    None
    """
    NanomolePerLiter = CommonUCUMUnitsCode("nmol/L")
    """
    None
    """
    NanomolePerLiterPerMillimoleOfCreatinine = CommonUCUMUnitsCode("nmol/L/mmol{creat}")
    """
    None
    """
    NanomolePerLiterPerSecond = CommonUCUMUnitsCode("nmol/L/s")
    """
    None
    """
    NanomolePerLiterOfRedBloodCells = CommonUCUMUnitsCode("nmol/L{RBCs}")
    """
    None
    """
    NanomolePerMeterPerMilligramOfProtein = CommonUCUMUnitsCode("nmol/m/mg{protein}")
    """
    None
    """
    NanomolePerMilligram = CommonUCUMUnitsCode("nmol/mg")
    """
    None
    """
    NanomolePerMilligramPerHour = CommonUCUMUnitsCode("nmol/mg/h")
    """
    None
    """
    NanomolePerMinutePerMilligramOfHemoglobin = CommonUCUMUnitsCode(
        "nmol/min/mg{hemoglobin}"
    )
    """
    None
    """
    NanomolePerMinutePerMilligramOfProtein = CommonUCUMUnitsCode("nmol/min/mg{protein}")
    """
    None
    """
    NanomolePerMinutePerMilliliter = CommonUCUMUnitsCode("nmol/min/mL")
    """
    None
    """
    NanomolePerMilliliter = CommonUCUMUnitsCode("nmol/mL")
    """
    None
    """
    NanomolePerMilliliterPerHour = CommonUCUMUnitsCode("nmol/mL/h")
    """
    None
    """
    NanomolePerMilliliterPerMinute = CommonUCUMUnitsCode("nmol/mL/min")
    """
    None
    """
    NanomolePerMillimole = CommonUCUMUnitsCode("nmol/mmol")
    """
    None
    """
    Nanomole_MillimoleCre = CommonUCUMUnitsCode("nmol/mmol{Cre}")
    """
    None
    """
    NanomolePerMillimoleOfCreatinine = CommonUCUMUnitsCode("nmol/mmol{creat}")
    """
    None
    """
    NanomolePerMole = CommonUCUMUnitsCode("nmol/mol")
    """
    None
    """
    NanomolePerNanomole = CommonUCUMUnitsCode("nmol/nmol")
    """
    None
    """
    NanomolePerSecond = CommonUCUMUnitsCode("nmol/s")
    """
    None
    """
    NanomolePerSecondPerLiter = CommonUCUMUnitsCode("nmol/s/L")
    """
    None
    """
    NanomolePerMicromoleOfCreatinine = CommonUCUMUnitsCode("nmol/umol{creat}")
    """
    None
    """
    Nanosecond = CommonUCUMUnitsCode("ns")
    """
    None
    """
    Ohm = CommonUCUMUnitsCode("Ohm")
    """
    None
    """
    OsmolePerKilogram = CommonUCUMUnitsCode("osm/kg")
    """
    None
    """
    OsmolePerLiter = CommonUCUMUnitsCode("osm/L")
    """
    None
    """
    Pascal = CommonUCUMUnitsCode("Pa")
    """
    None
    """
    Picogram = CommonUCUMUnitsCode("pg")
    """
    None
    """
    PicogramPerDeciliter = CommonUCUMUnitsCode("pg/dL")
    """
    None
    """
    PicogramPerLiter = CommonUCUMUnitsCode("pg/L")
    """
    None
    """
    PicogramPerMilligram = CommonUCUMUnitsCode("pg/mg")
    """
    None
    """
    PicogramPerMilliliter = CommonUCUMUnitsCode("pg/mL")
    """
    None
    """
    PicogramPerMillimeter = CommonUCUMUnitsCode("pg/mm")
    """
    None
    """
    Picokatal = CommonUCUMUnitsCode("pkat")
    """
    None
    """
    Picoliter = CommonUCUMUnitsCode("pL")
    """
    None
    """
    Picometer = CommonUCUMUnitsCode("pm")
    """
    None
    """
    Picomole = CommonUCUMUnitsCode("pmol")
    """
    None
    """
    PicomolePerDay = CommonUCUMUnitsCode("pmol/d")
    """
    None
    """
    PicomolePerDeciliter = CommonUCUMUnitsCode("pmol/dL")
    """
    None
    """
    PicomolePerGram = CommonUCUMUnitsCode("pmol/g")
    """
    None
    """
    PicomolePerHourPerMilligramOfProtein = CommonUCUMUnitsCode("pmol/h/mg{protein}")
    """
    None
    """
    PicomolePerHourPerMilliliter = CommonUCUMUnitsCode("pmol/h/mL")
    """
    None
    """
    PicomolePerLiter = CommonUCUMUnitsCode("pmol/L")
    """
    None
    """
    PicomolePerMilligramOfProtein = CommonUCUMUnitsCode("pmol/mg{protein}")
    """
    None
    """
    PicomolePerMinute = CommonUCUMUnitsCode("pmol/min")
    """
    None
    """
    PicomolePerMinutePerMilligramOfProtein = CommonUCUMUnitsCode("pmol/min/mg{protein}")
    """
    None
    """
    PicomolePerMilliliter = CommonUCUMUnitsCode("pmol/mL")
    """
    None
    """
    PicomolePerMillimole = CommonUCUMUnitsCode("pmol/mmol")
    """
    None
    """
    PicomolePerMillimoleOfCreatinine = CommonUCUMUnitsCode("pmol/mmol{creat}")
    """
    None
    """
    PicomolePerMole = CommonUCUMUnitsCode("pmol/mol")
    """
    None
    """
    PicomolePerMicromole = CommonUCUMUnitsCode("pmol/umol")
    """
    None
    """
    PicomolePerMicromoleOfCreatinine = CommonUCUMUnitsCode("pmol/umol{creat}")
    """
    None
    """
    Picosecond = CommonUCUMUnitsCode("ps")
    """
    None
    """
    Picotesla = CommonUCUMUnitsCode("pT")
    """
    None
    """
    Second = CommonUCUMUnitsCode("s")
    """
    None
    """
    Stokes = CommonUCUMUnitsCode("St")
    """
    None
    """
    Tonne = CommonUCUMUnitsCode("t")
    """
    None
    """
    EnzymeUnit = CommonUCUMUnitsCode("U")
    """
    None
    """
    EnzymeUnitPer1Hour = CommonUCUMUnitsCode("U/(1.h)")
    """
    None
    """
    EnzymeUnitPer12Hour = CommonUCUMUnitsCode("U/(12.h)")
    """
    None
    """
    EnzymeUnitPer18Hour = CommonUCUMUnitsCode("U/(18.h)")
    """
    None
    """
    EnzymeUnitPer2Hour = CommonUCUMUnitsCode("U/(2.h)")
    """
    None
    """
    EnzymeUnitPer24Hour = CommonUCUMUnitsCode("U/(24.h)")
    """
    None
    """
    EnzymeUnitPer10BillionCells = CommonUCUMUnitsCode("U/10*10{cells}")
    """
    None
    """
    EnzymeUnitPerTrillion = CommonUCUMUnitsCode("U/10*12")
    """
    None
    """
    EnzymeUnitPerMillion = CommonUCUMUnitsCode("U/10*6")
    """
    None
    """
    EnzymeUnitPerBillion = CommonUCUMUnitsCode("U/10*9")
    """
    None
    """
    EnzymeUnitPerDay = CommonUCUMUnitsCode("U/d")
    """
    None
    """
    EnzymeUnitPerDeciliter = CommonUCUMUnitsCode("U/dL")
    """
    None
    """
    EnzymeUnitPerGram = CommonUCUMUnitsCode("U/g")
    """
    None
    """
    Unit_GramCre = CommonUCUMUnitsCode("U/g{Cre}")
    """
    None
    """
    EnzymeUnitPerGramOfHemoglobin = CommonUCUMUnitsCode("U/g{Hb}")
    """
    None
    """
    EnzymeUnitPerGramOfHemoglobin = CommonUCUMUnitsCode("U/g{hemoglobin}")
    """
    None
    """
    UnitsPerGramHemoglobin = CommonUCUMUnitsCode("U/g{Hgb}")
    """
    None
    """
    EnzymeUnitPerHour = CommonUCUMUnitsCode("U/h")
    """
    None
    """
    Unit_Kilogram_Hour = CommonUCUMUnitsCode("U/kg/h")
    """
    None
    """
    EnzymeUnitPerKilogramOfHemoglobin = CommonUCUMUnitsCode("U/kg{Hb}")
    """
    None
    """
    EnzymeUnitPerKilogramOfHemoglobin = CommonUCUMUnitsCode("U/kg{hemoglobin}")
    """
    None
    """
    EnzymeUnitPerLiter = CommonUCUMUnitsCode("U/L")
    """
    None
    """
    EnzymeUnitPerMinute = CommonUCUMUnitsCode("U/min")
    """
    None
    """
    EnzymeUnitPerMilliliter = CommonUCUMUnitsCode("U/mL")
    """
    None
    """
    Unit_MilliliterRBC = CommonUCUMUnitsCode("U/mL{RBC}")
    """
    None
    """
    EnzymeUnitPerMilliliterOfRedBloodCells = CommonUCUMUnitsCode("U/mL{RBCs}")
    """
    None
    """
    EnzymeUnitPerMillimoleOfCreatinine = CommonUCUMUnitsCode("U/mmol{creat}")
    """
    None
    """
    EnzymeUnitPerMole = CommonUCUMUnitsCode("U/mol")
    """
    None
    """
    EnzymeUnitPerSecond = CommonUCUMUnitsCode("U/s")
    """
    None
    """
    EnzymeUnitPerMicromole = CommonUCUMUnitsCode("U/umol")
    """
    None
    """
    MicroInternationalUnit = CommonUCUMUnitsCode("u[IU]")
    """
    None
    """
    MicrointernationalUnitPerLiter = CommonUCUMUnitsCode("u[IU]/L")
    """
    None
    """
    MicroInternationalUnitPerMilliliter = CommonUCUMUnitsCode("u[IU]/mL")
    """
    None
    """
    Microequivalents = CommonUCUMUnitsCode("ueq")
    """
    None
    """
    MicroequivalentPerLiter = CommonUCUMUnitsCode("ueq/L")
    """
    None
    """
    MicroequivalentPerMilliliter = CommonUCUMUnitsCode("ueq/mL")
    """
    None
    """
    Microgram = CommonUCUMUnitsCode("ug")
    """
    None
    """
    MicrogramPer24Hour = CommonUCUMUnitsCode("ug/(24.h)")
    """
    None
    """
    MicrogramPer8Hour = CommonUCUMUnitsCode("ug/(8.h)")
    """
    None
    """
    Microgram_Kilogram_Day = CommonUCUMUnitsCode("ug/(kg.d)")
    """
    None
    """
    Microgram_Kilogram_Hour = CommonUCUMUnitsCode("ug/(kg.h)")
    """
    None
    """
    Microgram_Specimen = CommonUCUMUnitsCode("ug/{Specimen}")
    """
    None
    """
    MicroGramsPerTotalVolume = CommonUCUMUnitsCode("ug/{TotalVolume}")
    """
    None
    """
    MicrogramPerDay = CommonUCUMUnitsCode("ug/d")
    """
    None
    """
    MicrogramPerDeciliter = CommonUCUMUnitsCode("ug/dL")
    """
    None
    """
    Microgram_DeciliterRbc = CommonUCUMUnitsCode("ug/dL{rbc}")
    """
    None
    """
    MicrogramPerGram = CommonUCUMUnitsCode("ug/g")
    """
    None
    """
    Microgram_GramCre = CommonUCUMUnitsCode("ug/g{Cre}")
    """
    None
    """
    MicrogramPerGramOfCreatinine = CommonUCUMUnitsCode("ug/g{creat}")
    """
    None
    """
    Microgram_GramDryWeight = CommonUCUMUnitsCode("ug/g{DryWeight}")
    """
    None
    """
    Microgram_GramHgb = CommonUCUMUnitsCode("ug/g{Hgb}")
    """
    None
    """
    Microgram_GramTissue = CommonUCUMUnitsCode("ug/g{Tissue}")
    """
    None
    """
    MicrogramPerHour = CommonUCUMUnitsCode("ug/h")
    """
    None
    """
    MicrogramPerKilogram = CommonUCUMUnitsCode("ug/kg")
    """
    None
    """
    MicrogramPerKilogramPer8Hour = CommonUCUMUnitsCode("ug/kg/(8.h)")
    """
    None
    """
    MicrogramPerKilogramPerDay = CommonUCUMUnitsCode("ug/kg/d")
    """
    None
    """
    MicrogramPerKilogramPerHour = CommonUCUMUnitsCode("ug/kg/h")
    """
    None
    """
    MicrogramPerKilogramPerMinute = CommonUCUMUnitsCode("ug/kg/min")
    """
    None
    """
    MicrogramPerLiter = CommonUCUMUnitsCode("ug/L")
    """
    None
    """
    MicrogramPerLiterPer24Hour = CommonUCUMUnitsCode("ug/L/(24.h)")
    """
    None
    """
    Microgram_LiterDDU = CommonUCUMUnitsCode("ug/L{DDU}")
    """
    None
    """
    MicrogramPerSquareMeter = CommonUCUMUnitsCode("ug/m2")
    """
    None
    """
    MicrogramPerMilligram = CommonUCUMUnitsCode("ug/mg")
    """
    None
    """
    Microgram_MilligramCre = CommonUCUMUnitsCode("ug/mg{Cre}")
    """
    None
    """
    MicrogramPerMilligramOfCreatinine = CommonUCUMUnitsCode("ug/mg{creat}")
    """
    None
    """
    MicrogramPerMinute = CommonUCUMUnitsCode("ug/min")
    """
    None
    """
    MicrogramPerMilliliter = CommonUCUMUnitsCode("ug/mL")
    """
    None
    """
    Microgram_MilliliterFEU = CommonUCUMUnitsCode("ug/mL{FEU}")
    """
    None
    """
    MicrogramPerMillimole = CommonUCUMUnitsCode("ug/mmol")
    """
    None
    """
    MicrogramPerNanogram = CommonUCUMUnitsCode("ug/ng")
    """
    None
    """
    MicrogramT4_Deciliter = CommonUCUMUnitsCode("ug{T4}/dL")
    """
    None
    """
    Microkatal = CommonUCUMUnitsCode("ukat")
    """
    None
    """
    Microliter = CommonUCUMUnitsCode("uL")
    """
    None
    """
    MicroliterPer2Hour = CommonUCUMUnitsCode("uL/(2.h)")
    """
    None
    """
    MicroliterPerHour = CommonUCUMUnitsCode("uL/h")
    """
    None
    """
    Micrometer = CommonUCUMUnitsCode("um")
    """
    None
    """
    MicrometerPerSecond = CommonUCUMUnitsCode("um/s")
    """
    None
    """
    Micromole = CommonUCUMUnitsCode("umol")
    """
    None
    """
    MicromolePer24Hour = CommonUCUMUnitsCode("umol/(24.h)")
    """
    None
    """
    MicromolePerDay = CommonUCUMUnitsCode("umol/d")
    """
    None
    """
    MicromolePerDeciliter = CommonUCUMUnitsCode("umol/dL")
    """
    None
    """
    MicromolePerGram = CommonUCUMUnitsCode("umol/g")
    """
    None
    """
    Micromole_GramCre = CommonUCUMUnitsCode("umol/g{Cre}")
    """
    None
    """
    MicromolePerGramOfCreatinine = CommonUCUMUnitsCode("umol/g{creat}")
    """
    None
    """
    MicromolePerGramOfHemoglobin = CommonUCUMUnitsCode("umol/g{Hb}")
    """
    None
    """
    MicromolePerGramOfHemoglobin = CommonUCUMUnitsCode("umol/g{hemoglobin}")
    """
    None
    """
    Micromole_GramHgb = CommonUCUMUnitsCode("umol/g{Hgb}")
    """
    None
    """
    MicromolePerHour = CommonUCUMUnitsCode("umol/h")
    """
    None
    """
    Micromole_Hour_Gram = CommonUCUMUnitsCode("umol/h/g")
    """
    None
    """
    MicromolePerHourPerLiter = CommonUCUMUnitsCode("umol/h/L")
    """
    None
    """
    MicromolePerHourPerMilligramOfProtein = CommonUCUMUnitsCode("umol/h/mg{protein}")
    """
    None
    """
    MicromolePerKilogram = CommonUCUMUnitsCode("umol/kg")
    """
    None
    """
    MicromolePerLiter = CommonUCUMUnitsCode("umol/L")
    """
    None
    """
    MicromolePerLiterPerHour = CommonUCUMUnitsCode("umol/L/h")
    """
    None
    """
    MicromolePerLiterOfRedBloodCells = CommonUCUMUnitsCode("umol/L{rbc}")
    """
    None
    """
    Micromole_Meter = CommonUCUMUnitsCode("umol/m")
    """
    None
    """
    MicromolePerMilligram = CommonUCUMUnitsCode("umol/mg")
    """
    None
    """
    Micromole_MilligramCre = CommonUCUMUnitsCode("umol/mg{Cre}")
    """
    None
    """
    MicromolePerMinute = CommonUCUMUnitsCode("umol/min")
    """
    None
    """
    MicromolePerMinutePerGram = CommonUCUMUnitsCode("umol/min/g")
    """
    None
    """
    Micromole_Minute_GramProt = CommonUCUMUnitsCode("umol/min/g{prot}")
    """
    None
    """
    MicromolePerMinutePerGramOfProtein = CommonUCUMUnitsCode("umol/min/g{protein}")
    """
    None
    """
    MicromolePerMinutePerLiter = CommonUCUMUnitsCode("umol/min/L")
    """
    None
    """
    MicromolePerMilliliter = CommonUCUMUnitsCode("umol/mL")
    """
    None
    """
    MicromolePerMilliliterPerMinute = CommonUCUMUnitsCode("umol/mL/min")
    """
    None
    """
    MicromolePerMillimole = CommonUCUMUnitsCode("umol/mmol")
    """
    None
    """
    MicromolePerMole = CommonUCUMUnitsCode("umol/mol")
    """
    None
    """
    Micromole_MoleCre = CommonUCUMUnitsCode("umol/mol{Cre}")
    """
    None
    """
    MicromolePerMoleOfCreatinine = CommonUCUMUnitsCode("umol/mol{creat}")
    """
    None
    """
    MicromolePerMoleOfHemoglobin = CommonUCUMUnitsCode("umol/mol{Hb}")
    """
    None
    """
    MicromolePerMicromole = CommonUCUMUnitsCode("umol/umol")
    """
    None
    """
    MicroOhm = CommonUCUMUnitsCode("uOhm")
    """
    None
    """
    Microsecond = CommonUCUMUnitsCode("us")
    """
    None
    """
    MicroUnit = CommonUCUMUnitsCode("uU")
    """
    None
    """
    MicroEnzymeUnitPerGram = CommonUCUMUnitsCode("uU/g")
    """
    None
    """
    MicroEnzymeUnitPerLiter = CommonUCUMUnitsCode("uU/L")
    """
    None
    """
    MicroEnzymeUnitPerMilliliter = CommonUCUMUnitsCode("uU/mL")
    """
    None
    """
    Microvolt = CommonUCUMUnitsCode("uV")
    """
    None
    """
    Volt = CommonUCUMUnitsCode("V")
    """
    None
    """
    Week = CommonUCUMUnitsCode("wk")
    """
    None
    """
    _10MicronewtonSecondPerCentimeterToTheFifthPowerPerSquareMeter = (
        CommonUCUMUnitsCode("10.uN.s/(cm5.m2)")
    )
    """
    None
    """
    _10ThousandPerMicroliter = CommonUCUMUnitsCode("10*4/uL")
    """
    None
    """
    _24Hour = CommonUCUMUnitsCode("24.h")
    """
    None
    """
    Amp_re = CommonUCUMUnitsCode("A")
    """
    None
    """
    AspirinResponseUnit = CommonUCUMUnitsCode("{ARU}")
    """
    None
    """
    StandardAtmosphere = CommonUCUMUnitsCode("atm")
    """
    None
    """
    AttogramPerCell = CommonUCUMUnitsCode("ag/{cell}")
    """
    None
    """
    Becquerel = CommonUCUMUnitsCode("Bq")
    """
    None
    """
    BindingIndex = CommonUCUMUnitsCode("{binding_index}")
    """
    None
    """
    BodanskyUnit = CommonUCUMUnitsCode("[bdsk'U]")
    """
    None
    """
    CAGTrinucleotideRepeats = CommonUCUMUnitsCode("{CAG_repeats}")
    """
    None
    """
    Calorie = CommonUCUMUnitsCode("cal")
    """
    None
    """
    CentimeterOfWaterPerSecondPerMeter = CommonUCUMUnitsCode("cm[H2O]/s/m")
    """
    None
    """
    ChangeIn_delta_OpticalDensity = CommonUCUMUnitsCode("{delta_OD}")
    """
    None
    """
    Copies = CommonUCUMUnitsCode("{copies}")
    """
    None
    """
    Count = CommonUCUMUnitsCode("{count}")
    """
    None
    """
    CountsPerMinute = CommonUCUMUnitsCode("{CPM}")
    """
    None
    """
    CountsPerMinutePerThousandCells = CommonUCUMUnitsCode("{CPM}/10*3{cell}")
    """
    None
    """
    DekaliterPerMinute = CommonUCUMUnitsCode("daL/min")
    """
    None
    """
    DekaliterPerMinutePerSquareMeter = CommonUCUMUnitsCode("daL/min/m2")
    """
    None
    """
    Dilution = CommonUCUMUnitsCode("{dilution}")
    """
    None
    """
    DyneSecondPerCentimeter = CommonUCUMUnitsCode("dyn.s/cm")
    """
    None
    """
    DyneSecondPerCentimeterPerSquareMeter = CommonUCUMUnitsCode("dyn.s/(cm.m2)")
    """
    None
    """
    EhrlichUnitPer100Gram = CommonUCUMUnitsCode("{Ehrlich'U}/100.g")
    """
    None
    """
    EIAIndex = CommonUCUMUnitsCode("{EIA_index}")
    """
    None
    """
    EIATiter = CommonUCUMUnitsCode("{EIA_titer}")
    """
    None
    """
    EIAValue = CommonUCUMUnitsCode("{EV}")
    """
    None
    """
    EnzymeUnitPer10 = CommonUCUMUnitsCode("U/10")
    """
    None
    """
    EnzymeUnitPer10Billion = CommonUCUMUnitsCode("U/10*10")
    """
    None
    """
    EnzymeUnitPer10GramOfFeces = CommonUCUMUnitsCode("U/(10.g){feces}")
    """
    None
    """
    EnzymeUnitPerGramOfCreatinine = CommonUCUMUnitsCode("U/g{creat}")
    """
    None
    """
    EnzymeUnitPerGramOfProtein = CommonUCUMUnitsCode("U/g{protein}")
    """
    None
    """
    EnzymeUnitPerLiterAt25DegCelsius = CommonUCUMUnitsCode("U{25Cel}/L")
    """
    None
    """
    EnzymeUnitPerLiterAt37DegCelsius = CommonUCUMUnitsCode("U{37Cel}/L")
    """
    None
    """
    EnzymeUnitPerTrillionRedBloodCells = CommonUCUMUnitsCode("U/10*12{RBCs}")
    """
    None
    """
    Farad = CommonUCUMUnitsCode("F")
    """
    None
    """
    FemtomolePerMilligramOfCytosolProtein = CommonUCUMUnitsCode(
        "fmol/mg{cytosol_protein}"
    )
    """
    None
    """
    FemtomolePerMilligramOfProtein = CommonUCUMUnitsCode("fmol/mg{protein}")
    """
    None
    """
    FluorescentIntensityUnit = CommonUCUMUnitsCode("{FIU}")
    """
    None
    """
    Fraction = CommonUCUMUnitsCode("{fraction}")
    """
    None
    """
    GAATrinucleotideRepeats = CommonUCUMUnitsCode("{GAA_repeats}")
    """
    None
    """
    GenomesPerMilliliter = CommonUCUMUnitsCode("{genomes}/mL")
    """
    None
    """
    Globules_drops_PerHighPowerField = CommonUCUMUnitsCode("{Globules}/[HPF]")
    """
    None
    """
    GramMeterPerHeartBeat = CommonUCUMUnitsCode("g.m/{beat}")
    """
    None
    """
    GramOfCreatinine = CommonUCUMUnitsCode("g{creat}")
    """
    None
    """
    GramOfHemoglobin = CommonUCUMUnitsCode("g{Hb}")
    """
    None
    """
    GramOfTotalNitrogen = CommonUCUMUnitsCode("g{total_nit}")
    """
    None
    """
    GramOfTotalProtein = CommonUCUMUnitsCode("g{total_prot}")
    """
    None
    """
    GramOfWetTissue = CommonUCUMUnitsCode("g{wet_tissue}")
    """
    None
    """
    GramPerKilogramPer8Hour = CommonUCUMUnitsCode("g/kg/(8.h)")
    """
    None
    """
    GramPer8HourShift = CommonUCUMUnitsCode("g/(8.h){shift}")
    """
    None
    """
    GramPerCubicCentimeter = CommonUCUMUnitsCode("g/cm3")
    """
    None
    """
    GramPerGramOfGlobulin = CommonUCUMUnitsCode("g/g{globulin}")
    """
    None
    """
    GramPerKilogramPer8HourShift = CommonUCUMUnitsCode("g/kg/(8.h){shift}")
    """
    None
    """
    GramPerKilogramPerHour = CommonUCUMUnitsCode("g/kg/h")
    """
    None
    """
    GramPerKilogramPerMinute = CommonUCUMUnitsCode("g/kg/min")
    """
    None
    """
    GramPerMoleOfCreatinine = CommonUCUMUnitsCode("g/mol{creat}")
    """
    None
    """
    GramPerSpecimen = CommonUCUMUnitsCode("g/{specimen}")
    """
    None
    """
    GramPerTotalOutput = CommonUCUMUnitsCode("g/{total_output}")
    """
    None
    """
    GramPerTotalWeight = CommonUCUMUnitsCode("g/{total_weight}")
    """
    None
    """
    Gray = CommonUCUMUnitsCode("Gy")
    """
    None
    """
    HeartBeatsPerMinute = CommonUCUMUnitsCode("{beats}/min")
    """
    None
    """
    Henry = CommonUCUMUnitsCode("H")
    """
    None
    """
    HighPowerField = CommonUCUMUnitsCode("[HPF]")
    """
    None
    """
    IgGAnticardiolipinUnitPerMilliliter_ = CommonUCUMUnitsCode("[GPL'U]/mL")
    """
    None
    """
    IgGAntiphosphatidylserineUnit = CommonUCUMUnitsCode("{GPS'U}")
    """
    None
    """
    IgMAnticardiolipinUnitPerMilliliter_ = CommonUCUMUnitsCode("[MPL'U]/mL")
    """
    None
    """
    ImmuneStatusRatio = CommonUCUMUnitsCode("{ISR}")
    """
    None
    """
    ImmunofluorescenceAssayIndex = CommonUCUMUnitsCode("{IFA_index}")
    """
    None
    """
    ImmunofluorescenceAssayTiter = CommonUCUMUnitsCode("{IFA_titer}")
    """
    None
    """
    Inch_international_OfWater = CommonUCUMUnitsCode("[in_i'H2O]")
    """
    None
    """
    IndexValue = CommonUCUMUnitsCode("{index_val}")
    """
    None
    """
    InfluenzaHemagglutinationTiter = CommonUCUMUnitsCode("{HA_titer}")
    """
    None
    """
    InternationalUnit = CommonUCUMUnitsCode("[IU]")
    """
    None
    """
    InternationalUnitPerLiterAt37DegreesCelsius = CommonUCUMUnitsCode("[IU]/L{37Cel}")
    """
    None
    """
    InternationalUnitPerMilligramOfCreatinine = CommonUCUMUnitsCode("[IU]/mg{creat}")
    """
    None
    """
    Katal = CommonUCUMUnitsCode("kat")
    """
    None
    """
    KiloEnzymeUnit = CommonUCUMUnitsCode("kU")
    """
    None
    """
    KiloEnzymeUnitPerLiterClass = CommonUCUMUnitsCode("kU/L{class}")
    """
    None
    """
    KilocaloriePerDay = CommonUCUMUnitsCode("kcal/d")
    """
    None
    """
    KilocaloriePerKilogramPer24Hour = CommonUCUMUnitsCode("kcal/kg/(24.h)")
    """
    None
    """
    KilocaloriePerOunce_US_British_ = CommonUCUMUnitsCode("kcal/[oz_av]")
    """
    None
    """
    KingArmstrongUnit = CommonUCUMUnitsCode("[ka'U]")
    """
    None
    """
    LiterPer24Hour = CommonUCUMUnitsCode("L/(24.h)")
    """
    None
    """
    LiterPerSecondPerSquareSecond = CommonUCUMUnitsCode("L/s/s2")
    """
    None
    """
    Log_base10_CopiesPerMilliliter = CommonUCUMUnitsCode("{Log_copies}/mL")
    """
    None
    """
    Log_base10_InternationalUnit = CommonUCUMUnitsCode("{Log_IU}")
    """
    None
    """
    Log_base10_InternationalUnitPerMilliliter = CommonUCUMUnitsCode("{Log_IU}/mL")
    """
    None
    """
    LogBase10 = CommonUCUMUnitsCode("{Log}")
    """
    None
    """
    LowPowerField = CommonUCUMUnitsCode("[LPF]")
    """
    None
    """
    Lumen = CommonUCUMUnitsCode("lm")
    """
    None
    """
    LumenSquareMeter = CommonUCUMUnitsCode("lm.m2")
    """
    None
    """
    LymeIndexValue = CommonUCUMUnitsCode("{Lyme_index_value}")
    """
    None
    """
    MacLaganUnit = CommonUCUMUnitsCode("[mclg'U]")
    """
    None
    """
    Megasecond = CommonUCUMUnitsCode("Ms")
    """
    None
    """
    MicrogramPerGramOfFeces = CommonUCUMUnitsCode("ug/g{feces}")
    """
    None
    """
    MicrogramFibrinogenEquivalentUnitPerMilliliter = CommonUCUMUnitsCode("ug{FEU}/mL")
    """
    None
    """
    MicrogramPer100Gram = CommonUCUMUnitsCode("ug/(100.g)")
    """
    None
    """
    MicrogramPerCubicMeter = CommonUCUMUnitsCode("ug/m3")
    """
    None
    """
    MicrogramPerDeciliterOfRedBloodCells = CommonUCUMUnitsCode("ug/dL{RBCs}")
    """
    None
    """
    MicrogramPerGramOfDryTissue = CommonUCUMUnitsCode("ug/g{dry_tissue}")
    """
    None
    """
    MicrogramPerGramOfDryWeight = CommonUCUMUnitsCode("ug/g{dry_wt}")
    """
    None
    """
    MicrogramPerGramOfHair = CommonUCUMUnitsCode("ug/g{hair}")
    """
    None
    """
    MicrogramPerGramOfHemoglobin = CommonUCUMUnitsCode("ug/g{Hb}")
    """
    None
    """
    MicrogramPerGramOfTissue = CommonUCUMUnitsCode("ug/g{tissue}")
    """
    None
    """
    MicrogramPerLiterOfRedBloodCells = CommonUCUMUnitsCode("ug/L{RBCs}")
    """
    None
    """
    MicrogramPerMilliliterClass = CommonUCUMUnitsCode("ug/mL{class}")
    """
    None
    """
    MicrogramPerMilliliterEquivalent = CommonUCUMUnitsCode("ug/mL{eqv}")
    """
    None
    """
    MicrogramPerMillimoleOfCreatinine = CommonUCUMUnitsCode("ug/mmol{creat}")
    """
    None
    """
    MicrogramPerSpecimen = CommonUCUMUnitsCode("ug/{specimen}")
    """
    None
    """
    MicrogramPerSquareFoot_international_ = CommonUCUMUnitsCode("ug/[sft_i]")
    """
    None
    """
    MicromoleBoneCollagenEquivalentPerMole = CommonUCUMUnitsCode("umol{BCE}/mol")
    """
    None
    """
    MicromolePer2Hour = CommonUCUMUnitsCode("umol/(2.h)")
    """
    None
    """
    MicromolePer8Hour = CommonUCUMUnitsCode("umol/(8.h)")
    """
    None
    """
    MicromolePerDeciliterOfGlomerularFiltrate = CommonUCUMUnitsCode("umol/dL{GF}")
    """
    None
    """
    MicromolePerKilogramOfFeces = CommonUCUMUnitsCode("umol/kg{feces}")
    """
    None
    """
    MicromolePerLiterOfRedBloodCells = CommonUCUMUnitsCode("umol/L{RBCs}")
    """
    None
    """
    MicromolePerMicromoleOfCreatinine = CommonUCUMUnitsCode("umol/umol{creat}")
    """
    None
    """
    MicromolePerMilligramOfCreatinine = CommonUCUMUnitsCode("umol/mg{creat}")
    """
    None
    """
    MicromolePerMillimoleOfCreatinine = CommonUCUMUnitsCode("umol/mmol{creat}")
    """
    None
    """
    MicromolePerMinutePerGramOfMucosa = CommonUCUMUnitsCode("umol/min/g{mucosa}")
    """
    None
    """
    MilliEnzymeUnitPerMillimoleOfCreatinine = CommonUCUMUnitsCode("mU/mmol{creat}")
    """
    None
    """
    MilliEnzymeUnitPerGramOfHemoglobin = CommonUCUMUnitsCode("mU/g{Hb}")
    """
    None
    """
    MilliEnzymeUnitPerGramOfProtein = CommonUCUMUnitsCode("mU/g{protein}")
    """
    None
    """
    MilliEnzymeUnitPerMilligramOfCreatinine = CommonUCUMUnitsCode("mU/mg{creat}")
    """
    None
    """
    MillibarPerLiterPerSecond = CommonUCUMUnitsCode("mbar/L/s")
    """
    None
    """
    MilliequivalentPerGramOfCreatinine = CommonUCUMUnitsCode("meq/g{creat}")
    """
    None
    """
    MilliequivalentPerSpecimen = CommonUCUMUnitsCode("meq/{specimen}")
    """
    None
    """
    MilliequivalentPerTotalVolume = CommonUCUMUnitsCode("meq/{total_volume}")
    """
    None
    """
    MilligramFibrinogenEquivalentUnitPerLiter = CommonUCUMUnitsCode("mg{FEU}/L")
    """
    None
    """
    MilligramPer6Hour = CommonUCUMUnitsCode("mg/(6.h)")
    """
    None
    """
    MilligramPerCollection = CommonUCUMUnitsCode("mg/{collection}")
    """
    None
    """
    MilligramPerDayPer1_73SquareMeter = CommonUCUMUnitsCode("mg/d/{1.73_m2}")
    """
    None
    """
    MilligramPerDeciliterOfRedBloodCells = CommonUCUMUnitsCode("mg/dL{RBCs}")
    """
    None
    """
    MilligramPerGramOfDryTissue = CommonUCUMUnitsCode("mg/g{dry_tissue}")
    """
    None
    """
    MilligramPerGramOfFeces = CommonUCUMUnitsCode("mg/g{feces}")
    """
    None
    """
    MilligramPerGramOfTissue = CommonUCUMUnitsCode("mg/g{tissue}")
    """
    None
    """
    MilligramPerGramOfWetTissue = CommonUCUMUnitsCode("mg/g{wet_tissue}")
    """
    None
    """
    MilligramPerKilogramPer8Hour = CommonUCUMUnitsCode("mg/kg/(8.h)")
    """
    None
    """
    MilligramPerKilogramPerHour = CommonUCUMUnitsCode("mg/kg/h")
    """
    None
    """
    MilligramPerLiterOfRedBloodCells = CommonUCUMUnitsCode("mg/L{RBCs}")
    """
    None
    """
    MilligramPerMilligramOfCreatinine = CommonUCUMUnitsCode("mg/mg{creat}")
    """
    None
    """
    MilligramPerSpecimen = CommonUCUMUnitsCode("mg/{specimen}")
    """
    None
    """
    MilligramPerTotalOutput = CommonUCUMUnitsCode("mg/{total_output}")
    """
    None
    """
    MilligramPerTotalVolume = CommonUCUMUnitsCode("mg/{total_volume}")
    """
    None
    """
    MilliliterOfFetalRedBloodCells = CommonUCUMUnitsCode("mL{fetal_RBCs}")
    """
    None
    """
    MilliliterPer5Hour = CommonUCUMUnitsCode("mL/(5.h)")
    """
    None
    """
    MilliliterPer6Hour = CommonUCUMUnitsCode("mL/(6.h)")
    """
    None
    """
    MilliliterPerHeartBeat = CommonUCUMUnitsCode("mL/{beat}")
    """
    None
    """
    MilliliterPerHeartBeatPerSquareMeter = CommonUCUMUnitsCode("mL/{beat}/m2")
    """
    None
    """
    MillimolePer5Hour = CommonUCUMUnitsCode("mmol/(5.h)")
    """
    None
    """
    MillimolePerEjaculate = CommonUCUMUnitsCode("mmol/{ejaculate}")
    """
    None
    """
    MillimolePerKilogramPer8Hour = CommonUCUMUnitsCode("mmol/kg/(8.h)")
    """
    None
    """
    MillimolePerLiterOfRedBloodCells = CommonUCUMUnitsCode("mmol/L{RBCs}")
    """
    None
    """
    MillimolePerMillimoleOfUrea = CommonUCUMUnitsCode("mmol/mmol{urea}")
    """
    None
    """
    MillimolePerMillmoleOfCreatinine = CommonUCUMUnitsCode("mmol/mmol{creat}")
    """
    None
    """
    MillimolePerSpecimen = CommonUCUMUnitsCode("mmol/{specimen}")
    """
    None
    """
    MillimolePerTotalVolume = CommonUCUMUnitsCode("mmol/{total_vol}")
    """
    None
    """
    MillionColonyFormingUnitPerLiter = CommonUCUMUnitsCode("10*6.[CFU]/L")
    """
    None
    """
    MillionInternationalUnit = CommonUCUMUnitsCode("10*6.[IU]")
    """
    None
    """
    MillionPer24Hour = CommonUCUMUnitsCode("10*6/(24.h)")
    """
    None
    """
    MillipascalSecond = CommonUCUMUnitsCode("mPa.s")
    """
    None
    """
    MinidropPerMinute = CommonUCUMUnitsCode("{minidrop}/min")
    """
    None
    """
    MinidropPerSecond = CommonUCUMUnitsCode("{minidrop}/s")
    """
    None
    """
    MoleculePerPlatelet = CommonUCUMUnitsCode("{molecule}/{platelet}")
    """
    None
    """
    Month_day_year = CommonUCUMUnitsCode("{mm/dd/yyyy}")
    """
    None
    """
    Mutation = CommonUCUMUnitsCode("{mutation}")
    """
    None
    """
    NanoenzymeUnitPerMilliliter = CommonUCUMUnitsCode("nU/mL")
    """
    None
    """
    NanoenzymeUnitPerRedBloodCell = CommonUCUMUnitsCode("nU/{RBC}")
    """
    None
    """
    NanogramFibrinogenEquivalentUnitPerMilliliter = CommonUCUMUnitsCode("ng{FEU}/mL")
    """
    None
    """
    NanogramPerEnzymeUnit = CommonUCUMUnitsCode("ng/U")
    """
    None
    """
    NanogramPerMilligramOfCreatinine = CommonUCUMUnitsCode("ng/mg{creat}")
    """
    None
    """
    NanogramPerMilligramOfProtein = CommonUCUMUnitsCode("ng/mg{protein}")
    """
    None
    """
    NanogramPerMilliliterOfRedBloodCells = CommonUCUMUnitsCode("ng/mL{RBCs}")
    """
    None
    """
    NanogramPerMillionRedBloodCells = CommonUCUMUnitsCode("ng/10*6{RBCs}")
    """
    None
    """
    NanomoleBoneCollagenEquivalent = CommonUCUMUnitsCode("nmol{BCE}")
    """
    None
    """
    NanomoleBoneCollagenEquivalentPerLiter = CommonUCUMUnitsCode("nmol{BCE}/L")
    """
    None
    """
    NanomoleBoneCollagenEquivalentPerMillimoleOfCreatinine = CommonUCUMUnitsCode(
        "nmol{BCE}/mmol{creat}"
    )
    """
    None
    """
    NanomoleOf1_2CystinePerMilligramOfProtein = CommonUCUMUnitsCode(
        "nmol{1/2cys}/mg{protein}"
    )
    """
    None
    """
    NanomoleOfATP = CommonUCUMUnitsCode("nmol{ATP}")
    """
    None
    """
    NanomolePerDeciliterOfGlomerularFiltrate = CommonUCUMUnitsCode("nmol/dL{GF}")
    """
    None
    """
    NanomolePerMilligramOfCreatinine = CommonUCUMUnitsCode("nmol/mg{creat}")
    """
    None
    """
    NanomolePerMilligramOfProtein = CommonUCUMUnitsCode("nmol/mg{protein}")
    """
    None
    """
    NanomolePerMilligramOfProteinPerHour = CommonUCUMUnitsCode("nmol/mg{protein}/h")
    """
    None
    """
    NanomolePerMinute = CommonUCUMUnitsCode("nmol/min")
    """
    None
    """
    NanomolePerMinutePerMilligramOfHemoglobin = CommonUCUMUnitsCode("nmol/min/mg{Hb}")
    """
    None
    """
    NanomolePerMinutePerMillionCells = CommonUCUMUnitsCode("nmol/min/10*6{cells}")
    """
    None
    """
    NumberPerHighPowerField = CommonUCUMUnitsCode("{#}/[HPF]")
    """
    None
    """
    NumberPerLiter = CommonUCUMUnitsCode("{#}/L")
    """
    None
    """
    NumberPerLowPowerField = CommonUCUMUnitsCode("{#}/[LPF]")
    """
    None
    """
    NumberPerMicroliter = CommonUCUMUnitsCode("{#}/uL")
    """
    None
    """
    NumberPerMilliliter = CommonUCUMUnitsCode("{#}/mL")
    """
    None
    """
    NumberPerMinute = CommonUCUMUnitsCode("{#}/min")
    """
    None
    """
    OhmMeter = CommonUCUMUnitsCode("Ohm.m")
    """
    None
    """
    Osmole = CommonUCUMUnitsCode("osm")
    """
    None
    """
    PanbioUnit = CommonUCUMUnitsCode("{Pan_Bio'U}")
    """
    None
    """
    Per10ThousandRedBloodCells = CommonUCUMUnitsCode("/10*4{RBCs}")
    """
    None
    """
    PerCubicMeter = CommonUCUMUnitsCode("/m3")
    """
    None
    """
    PerEntity = CommonUCUMUnitsCode("/{entity}")
    """
    None
    """
    PerGramOfHemoglobin = CommonUCUMUnitsCode("/g{Hb}")
    """
    None
    """
    PerGramOfTotalNitrogen = CommonUCUMUnitsCode("/g{tot_nit}")
    """
    None
    """
    PerGramOfTotalProtein = CommonUCUMUnitsCode("/g{tot_prot}")
    """
    None
    """
    PerGramOfWetTissue = CommonUCUMUnitsCode("/g{wet_tis}")
    """
    None
    """
    PerInternationalUnit = CommonUCUMUnitsCode("/[IU]")
    """
    None
    """
    PerKilogramOfBodyWeight = CommonUCUMUnitsCode("/kg{body_wt}")
    """
    None
    """
    PerMillimeter = CommonUCUMUnitsCode("/mm")
    """
    None
    """
    PerMillimoleOfCreatinine = CommonUCUMUnitsCode("/mmol{creat}")
    """
    None
    """
    PerOilImmersionField = CommonUCUMUnitsCode("/{OIF}")
    """
    None
    """
    PerThousand = CommonUCUMUnitsCode("/10*3")
    """
    None
    """
    PerThousandRedBloodCells = CommonUCUMUnitsCode("/10*3.{RBCs}")
    """
    None
    """
    PerTrillionRedBloodCells = CommonUCUMUnitsCode("/10*12{RBCs}")
    """
    None
    """
    PercentLossOfAcetylcholineReceptor = CommonUCUMUnitsCode("%{loss_AChR}")
    """
    None
    """
    PercentPenetration = CommonUCUMUnitsCode("%{penetration}")
    """
    None
    """
    PercentAbnormal = CommonUCUMUnitsCode("%{abnormal}")
    """
    None
    """
    PercentActivity = CommonUCUMUnitsCode("%{activity}")
    """
    None
    """
    PercentAggregation = CommonUCUMUnitsCode("%{aggregation}")
    """
    None
    """
    PercentAt60Minute = CommonUCUMUnitsCode("%{at_60_min}")
    """
    None
    """
    PercentBasalActivity = CommonUCUMUnitsCode("%{basal_activity}")
    """
    None
    """
    PercentBinding = CommonUCUMUnitsCode("%{binding}")
    """
    None
    """
    PercentBlockade = CommonUCUMUnitsCode("%{blockade}")
    """
    None
    """
    PercentBlocked = CommonUCUMUnitsCode("%{blocked}")
    """
    None
    """
    PercentBound = CommonUCUMUnitsCode("%{bound}")
    """
    None
    """
    PercentBreakdown = CommonUCUMUnitsCode("%{breakdown}")
    """
    None
    """
    PercentDeficient = CommonUCUMUnitsCode("%{deficient}")
    """
    None
    """
    PercentDose = CommonUCUMUnitsCode("%{dose}")
    """
    None
    """
    PercentExcretion = CommonUCUMUnitsCode("%{excretion}")
    """
    None
    """
    PercentHemoglobin = CommonUCUMUnitsCode("%{Hb}")
    """
    None
    """
    PercentHemolysis = CommonUCUMUnitsCode("%{hemolysis}")
    """
    None
    """
    PercentIndex = CommonUCUMUnitsCode("%{index}")
    """
    None
    """
    PercentInhibition = CommonUCUMUnitsCode("%{inhibition}")
    """
    None
    """
    PercentLoss = CommonUCUMUnitsCode("%{loss}")
    """
    None
    """
    PercentLysis = CommonUCUMUnitsCode("%{lysis}")
    """
    None
    """
    PercentNormal = CommonUCUMUnitsCode("%{normal}")
    """
    None
    """
    PercentNormalPooledPlasma = CommonUCUMUnitsCode("%{normal_pooled_plasma}")
    """
    None
    """
    PercentOfBacteria = CommonUCUMUnitsCode("%{bacteria}")
    """
    None
    """
    PercentOfBaseline = CommonUCUMUnitsCode("%{baseline}")
    """
    None
    """
    PercentOfCells = CommonUCUMUnitsCode("%{cells}")
    """
    None
    """
    PercentOfRedBloodCells = CommonUCUMUnitsCode("%{RBCs}")
    """
    None
    """
    PercentOfWhiteBloodCells = CommonUCUMUnitsCode("%{WBCs}")
    """
    None
    """
    PercentPositive = CommonUCUMUnitsCode("%{positive}")
    """
    None
    """
    PercentReactive = CommonUCUMUnitsCode("%{reactive}")
    """
    None
    """
    PercentRecovery = CommonUCUMUnitsCode("%{recovery}")
    """
    None
    """
    PercentReference = CommonUCUMUnitsCode("%{reference}")
    """
    None
    """
    PercentResidual = CommonUCUMUnitsCode("%{residual}")
    """
    None
    """
    PercentSaturation = CommonUCUMUnitsCode("%{saturation}")
    """
    None
    """
    PercentTotal = CommonUCUMUnitsCode("%{total}")
    """
    None
    """
    PercentUptake = CommonUCUMUnitsCode("%{uptake}")
    """
    None
    """
    PercentViable = CommonUCUMUnitsCode("%{viable}")
    """
    None
    """
    Percentile = CommonUCUMUnitsCode("{percentile}")
    """
    None
    """
    Phenotype = CommonUCUMUnitsCode("{phenotype}")
    """
    None
    """
    Picoampere = CommonUCUMUnitsCode("pA")
    """
    None
    """
    PicogramPerCell = CommonUCUMUnitsCode("pg/{cell}")
    """
    None
    """
    PicogramPerMilligramOfCreatinine = CommonUCUMUnitsCode("pg/mg{creat}")
    """
    None
    """
    PicogramPerRedBloodCell = CommonUCUMUnitsCode("pg/{RBC}")
    """
    None
    """
    PicomolePer24Hour = CommonUCUMUnitsCode("pmol/(24.h)")
    """
    None
    """
    PicomolePerRedBloodCell = CommonUCUMUnitsCode("pmol/{RBC}")
    """
    None
    """
    Pint = CommonUCUMUnitsCode("[pt_us]")
    """
    None
    """
    RelativePercent = CommonUCUMUnitsCode("%{relative}")
    """
    None
    """
    RelativeSaturation = CommonUCUMUnitsCode("{relative_saturation}")
    """
    None
    """
    RubellaVirus = CommonUCUMUnitsCode("{Rubella_virus}")
    """
    None
    """
    Saturation = CommonUCUMUnitsCode("{saturation}")
    """
    None
    """
    SecondPerControl = CommonUCUMUnitsCode("s/{control}")
    """
    None
    """
    Siemens = CommonUCUMUnitsCode("S")
    """
    None
    """
    Sievert = CommonUCUMUnitsCode("Sv")
    """
    None
    """
    SignalToCutoffRatio = CommonUCUMUnitsCode("{s_co_ratio}")
    """
    None
    """
    StandardDeviation = CommonUCUMUnitsCode("{STDV}")
    """
    None
    """
    Tesla = CommonUCUMUnitsCode("T")
    """
    None
    """
    ThousandCopiesPerMilliliter = CommonUCUMUnitsCode("10*3{copies}/mL")
    """
    None
    """
    ThousandRedBloodCells = CommonUCUMUnitsCode("10*3{RBCs}")
    """
    None
    """
    Thyroid_stimulatingImmunoglobulinIndex = CommonUCUMUnitsCode("{TSI_index}")
    """
    None
    """
    Weber = CommonUCUMUnitsCode("Wb")
    """
    None
    """
    WhiteBloodCells = CommonUCUMUnitsCode("{WBCs}")
    """
    None
    """
    _1_ = CommonUCUMUnitsCode("1")
    """
    None
    """
    Minute = CommonUCUMUnitsCode("'")
    """
    None
    """
    Second = CommonUCUMUnitsCode("''")
    """
    None
    """
    PercentOfSlope = CommonUCUMUnitsCode("%[slope]")
    """
    None
    """
    PercentBound = CommonUCUMUnitsCode("%{Bound}")
    """
    None
    """
    Per100Spermatozoa = CommonUCUMUnitsCode("/100{Spermatozoa}")
    """
    None
    """
    PerGramHemoglobin = CommonUCUMUnitsCode("/g{HGB}")
    """
    None
    """
    Acre = CommonUCUMUnitsCode("[acr_br]")
    """
    None
    """
    Acre = CommonUCUMUnitsCode("[acr_us]")
    """
    None
    """
    AmbA1Units = CommonUCUMUnitsCode("[Amb'a'1'U]")
    """
    None
    """
    Barrel = CommonUCUMUnitsCode("[bbl_us]")
    """
    None
    """
    BoardFoot = CommonUCUMUnitsCode("[bf_i]")
    """
    None
    """
    BritishThermalUnit = CommonUCUMUnitsCode("[Btu]")
    """
    None
    """
    BritishThermalUnitAt39_F = CommonUCUMUnitsCode("[Btu_39]")
    """
    None
    """
    BritishThermalUnitAt59_F = CommonUCUMUnitsCode("[Btu_59]")
    """
    None
    """
    BritishThermalUnitAt60_F = CommonUCUMUnitsCode("[Btu_60]")
    """
    None
    """
    InternationalTableBritishThermalUnit = CommonUCUMUnitsCode("[Btu_IT]")
    """
    None
    """
    MeanBritishThermalUnit = CommonUCUMUnitsCode("[Btu_m]")
    """
    None
    """
    ThermochemicalBritishThermalUnit = CommonUCUMUnitsCode("[Btu_th]")
    """
    None
    """
    Bushel = CommonUCUMUnitsCode("[bu_br]")
    """
    None
    """
    Bushel = CommonUCUMUnitsCode("[bu_us]")
    """
    None
    """
    VelocityOfLight = CommonUCUMUnitsCode("[c]")
    """
    None
    """
    NutritionLabelCalories = CommonUCUMUnitsCode("[Cal]")
    """
    None
    """
    CaratOfGoldAlloys = CommonUCUMUnitsCode("[car_Au]")
    """
    None
    """
    MetricCarat = CommonUCUMUnitsCode("[car_m]")
    """
    None
    """
    CELLCULTUREINFECTIOUSDOSE50_ = CommonUCUMUnitsCode("[CCID_50]")
    """
    None
    """
    CubicFoot = CommonUCUMUnitsCode("[cft_i]")
    """
    None
    """
    Gunter_sChain = CommonUCUMUnitsCode("[ch_br]")
    """
    None
    """
    Gunter_sChainSurveyor_sChain = CommonUCUMUnitsCode("[ch_us]")
    """
    None
    """
    CiceroDidot_sPica = CommonUCUMUnitsCode("[cicero]")
    """
    None
    """
    CircularMil = CommonUCUMUnitsCode("[cml_i]")
    """
    None
    """
    Cord = CommonUCUMUnitsCode("[cr_i]")
    """
    None
    """
    Cord = CommonUCUMUnitsCode("[crd_us]")
    """
    None
    """
    CubicYard = CommonUCUMUnitsCode("[cyd_i]")
    """
    None
    """
    D_ANTIGENUNITS = CommonUCUMUnitsCode("[D'ag'U]")
    """
    None
    """
    DidotDidot_sPoint = CommonUCUMUnitsCode("[didot]")
    """
    None
    """
    Diopter = CommonUCUMUnitsCode("[diop]")
    """
    None
    """
    DryPint = CommonUCUMUnitsCode("[dpt_us]")
    """
    None
    """
    DryQuart = CommonUCUMUnitsCode("[dqt_us]")
    """
    None
    """
    DramDrachm = CommonUCUMUnitsCode("[dr_ap]")
    """
    None
    """
    DyeUnit = CommonUCUMUnitsCode("[dye'U]")
    """
    None
    """
    ElementaryCharge = CommonUCUMUnitsCode("[e]")
    """
    None
    """
    PermittivityOfVacuum = CommonUCUMUnitsCode("[eps_0]")
    """
    None
    """
    FluidDram = CommonUCUMUnitsCode("[fdr_br]")
    """
    None
    """
    FOCUS_FORMINGUNITS = CommonUCUMUnitsCode("[FFU]")
    """
    None
    """
    Foot = CommonUCUMUnitsCode("[ft_br]")
    """
    None
    """
    Foot = CommonUCUMUnitsCode("[ft_us]")
    """
    None
    """
    Fathom = CommonUCUMUnitsCode("[fth_br]")
    """
    None
    """
    Fathom = CommonUCUMUnitsCode("[fth_us]")
    """
    None
    """
    Furlong = CommonUCUMUnitsCode("[fur_us]")
    """
    None
    """
    NewtonianConstantOfGravitation = CommonUCUMUnitsCode("[G]")
    """
    None
    """
    HistoricalWinchesterGallon = CommonUCUMUnitsCode("[gal_wi]")
    """
    None
    """
    Gill = CommonUCUMUnitsCode("[gil_br]")
    """
    None
    """
    Gill = CommonUCUMUnitsCode("[gil_us]")
    """
    None
    """
    PlanckConstant = CommonUCUMUnitsCode("[h]")
    """
    None
    """
    Hand = CommonUCUMUnitsCode("[hd_i]")
    """
    None
    """
    HounsfieldUnit = CommonUCUMUnitsCode("[hnsf'U]")
    """
    None
    """
    Horsepower = CommonUCUMUnitsCode("[HP]")
    """
    None
    """
    HOMEOPATHICPOTENCYOFCENTESIMALSERIES = CommonUCUMUnitsCode("[hp_C]")
    """
    None
    """
    HOMEOPATHICPOTENCYOFMILLESIMALSERIES = CommonUCUMUnitsCode("[hp_M]")
    """
    None
    """
    HOMEOPATHICPOTENCYOFQUINTAMILLESIMALSERIES = CommonUCUMUnitsCode("[hp_Q]")
    """
    None
    """
    HOMEOPATHICPOTENCYOFDECIMALSERIES = CommonUCUMUnitsCode("[hp_X]")
    """
    None
    """
    Inch = CommonUCUMUnitsCode("[in_br]")
    """
    None
    """
    InchOfMercuryColumn = CommonUCUMUnitsCode("[in_i'Hg]")
    """
    None
    """
    Inch = CommonUCUMUnitsCode("[in_us]")
    """
    None
    """
    InternationalUnitsPerDeciLiter = CommonUCUMUnitsCode("[iU]/dL")
    """
    None
    """
    InternationalUnitsPerGram = CommonUCUMUnitsCode("[iU]/g")
    """
    None
    """
    InternationalUnitsPerKilogram = CommonUCUMUnitsCode("[iU]/kg")
    """
    None
    """
    InternationalUnitsPerLiter = CommonUCUMUnitsCode("[iU]/L")
    """
    None
    """
    InternationalUnitsPerMilliLiter = CommonUCUMUnitsCode("[iU]/mL")
    """
    None
    """
    BoltzmannConstant = CommonUCUMUnitsCode("[k]")
    """
    None
    """
    Knot = CommonUCUMUnitsCode("[kn_br]")
    """
    None
    """
    Knot = CommonUCUMUnitsCode("[kn_i]")
    """
    None
    """
    KunkelUnit = CommonUCUMUnitsCode("[knk'U]")
    """
    None
    """
    Pound = CommonUCUMUnitsCode("[lb_ap]")
    """
    None
    """
    Pound = CommonUCUMUnitsCode("[lb_tr]")
    """
    None
    """
    PoundForce = CommonUCUMUnitsCode("[lbf_av]")
    """
    None
    """
    LongHunderdweightBritishHundredweight = CommonUCUMUnitsCode("[lcwt_av]")
    """
    None
    """
    LIMITOFFLOCCULATION = CommonUCUMUnitsCode("[Lf]")
    """
    None
    """
    LigneFrenchLine = CommonUCUMUnitsCode("[ligne]")
    """
    None
    """
    LinkForGunter_sChain = CommonUCUMUnitsCode("[lk_br]")
    """
    None
    """
    LinkForGunter_sChain = CommonUCUMUnitsCode("[lk_us]")
    """
    None
    """
    Line = CommonUCUMUnitsCode("[lne]")
    """
    None
    """
    LongTonBritishTon = CommonUCUMUnitsCode("[lton_av]")
    """
    None
    """
    Light_year = CommonUCUMUnitsCode("[ly]")
    """
    None
    """
    ElectronMass = CommonUCUMUnitsCode("[m_e]")
    """
    None
    """
    ProtonMass = CommonUCUMUnitsCode("[m_p]")
    """
    None
    """
    Mesh = CommonUCUMUnitsCode("[mesh_i]")
    """
    None
    """
    MetabolicEquivalent = CommonUCUMUnitsCode("[MET]")
    """
    None
    """
    Mile = CommonUCUMUnitsCode("[mi_br]")
    """
    None
    """
    Mil = CommonUCUMUnitsCode("[mil_i]")
    """
    None
    """
    Mil = CommonUCUMUnitsCode("[mil_us]")
    """
    None
    """
    Minim = CommonUCUMUnitsCode("[min_br]")
    """
    None
    """
    PermeabilityOfVacuum = CommonUCUMUnitsCode("[mu_0]")
    """
    None
    """
    NauticalMile = CommonUCUMUnitsCode("[nmi_br]")
    """
    None
    """
    Ounce_USAndBritish_ = CommonUCUMUnitsCode("[oz_ap]")
    """
    None
    """
    Pace = CommonUCUMUnitsCode("[pc_br]")
    """
    None
    """
    Pica = CommonUCUMUnitsCode("[pca]")
    """
    None
    """
    Printer_sPica = CommonUCUMUnitsCode("[pca_pr]")
    """
    None
    """
    PrismDiopter = CommonUCUMUnitsCode("[p'diop]")
    """
    None
    """
    PLAQUE_FORMINGUNITS = CommonUCUMUnitsCode("[PFU]")
    """
    None
    """
    TheNumberPi = CommonUCUMUnitsCode("[pi]")
    """
    None
    """
    PiedFrenchFoot = CommonUCUMUnitsCode("[pied]")
    """
    None
    """
    Peck = CommonUCUMUnitsCode("[pk_br]")
    """
    None
    """
    Peck = CommonUCUMUnitsCode("[pk_us]")
    """
    None
    """
    Point = CommonUCUMUnitsCode("[pnt]")
    """
    None
    """
    Printer_sPoint = CommonUCUMUnitsCode("[pnt_pr]")
    """
    None
    """
    PROTEINNITROGENUNITS = CommonUCUMUnitsCode("[PNU]")
    """
    None
    """
    PouceFrenchInch = CommonUCUMUnitsCode("[pouce]")
    """
    None
    """
    PeripheralVascularResistanceUnit = CommonUCUMUnitsCode("[PRU]")
    """
    None
    """
    Pennyweight = CommonUCUMUnitsCode("[pwt_tr]")
    """
    None
    """
    Ramden_sChainEngineer_sChain = CommonUCUMUnitsCode("[rch_us]")
    """
    None
    """
    Rod = CommonUCUMUnitsCode("[rd_br]")
    """
    None
    """
    Rod = CommonUCUMUnitsCode("[rd_us]")
    """
    None
    """
    LinkForRamden_sChain = CommonUCUMUnitsCode("[rlk_us]")
    """
    None
    """
    SvedbergUnit = CommonUCUMUnitsCode("[S]")
    """
    None
    """
    Scruple = CommonUCUMUnitsCode("[sc_ap]")
    """
    None
    """
    Section = CommonUCUMUnitsCode("[sct]")
    """
    None
    """
    ShortHundredweightU_S_Hundredweight = CommonUCUMUnitsCode("[scwt_av]")
    """
    None
    """
    SomogyiUnit = CommonUCUMUnitsCode("[smgy'U]")
    """
    None
    """
    SquareMile = CommonUCUMUnitsCode("[smi_us]")
    """
    None
    """
    Smoot = CommonUCUMUnitsCode("[smoot]")
    """
    None
    """
    SquareRod = CommonUCUMUnitsCode("[srd_us]")
    """
    None
    """
    StoneBritishStone = CommonUCUMUnitsCode("[stone_av]")
    """
    None
    """
    TISSUECULTUREINFECTIOUSDOSE50_ = CommonUCUMUnitsCode("[TCID_50]")
    """
    None
    """
    Township = CommonUCUMUnitsCode("[twp]")
    """
    None
    """
    UNITEDSTATESPHARMACOPEIAUNIT = CommonUCUMUnitsCode("[USP'U]")
    """
    None
    """
    Yard = CommonUCUMUnitsCode("[yd_br]")
    """
    None
    """
    Yard = CommonUCUMUnitsCode("[yd_us]")
    """
    None
    """
    CellsPerMicroLiter = CommonUCUMUnitsCode("{Cells}/uL")
    """
    None
    """
    CopiesPerMilliLiter = CommonUCUMUnitsCode("{Copies}/mL")
    """
    None
    """
    CrossingThreshold = CommonUCUMUnitsCode("{Ct}")
    """
    None
    """
    EhrlichUnitsPerDeciLiter = CommonUCUMUnitsCode("{Ehrlich_U}/dL")
    """
    None
    """
    EhrlichUnitsPerDeciLiter_ArbitraryConcentrationUnits_ = CommonUCUMUnitsCode(
        "{EhrlichU}/dL"
    )
    """
    None
    """
    ElisaUnitsPerMilliLiter = CommonUCUMUnitsCode("{Elisa_U}/mL")
    """
    None
    """
    ElisaUnitsPerMilliLiter_ArbitraryConcentrationUnits_ = CommonUCUMUnitsCode(
        "{ElisaU}/mL"
    )
    """
    None
    """
    HOMEOPATHICPOTENCYOFCENTESIMALKORSAKOVIANSERIES = CommonUCUMUnitsCode("{kp_C}")
    """
    None
    """
    RedBloodCellCount = CommonUCUMUnitsCode("{rbc}")
    """
    None
    """
    SpermatozoaPerMilliLiter = CommonUCUMUnitsCode("{Spermatozoa}/mL")
    """
    None
    """
    Tablets = CommonUCUMUnitsCode("{tbl}")
    """
    None
    """
    ParticlesTotalCount = CommonUCUMUnitsCode("{tot}")
    """
    None
    """
    TheNumberTenForArbitraryPowers = CommonUCUMUnitsCode("10*")
    """
    None
    """
    TheNumberTenForArbitraryPowers = CommonUCUMUnitsCode("10^")
    """
    None
    """
    MeanGregorianYear = CommonUCUMUnitsCode("a_g")
    """
    None
    """
    MeanJulianYear = CommonUCUMUnitsCode("a_j")
    """
    None
    """
    TropicalYear = CommonUCUMUnitsCode("a_t")
    """
    None
    """
    _ngstr_m = CommonUCUMUnitsCode("Ao")
    """
    None
    """
    Are = CommonUCUMUnitsCode("ar")
    """
    None
    """
    AstronomicUnit = CommonUCUMUnitsCode("AU")
    """
    None
    """
    Barn = CommonUCUMUnitsCode("b")
    """
    None
    """
    Bel = CommonUCUMUnitsCode("B")
    """
    None
    """
    BelKilowatt = CommonUCUMUnitsCode("B[kW]")
    """
    None
    """
    BelMillivolt = CommonUCUMUnitsCode("B[mV]")
    """
    None
    """
    BelSoundPressure = CommonUCUMUnitsCode("B[SPL]")
    """
    None
    """
    BelMicrovolt = CommonUCUMUnitsCode("B[uV]")
    """
    None
    """
    BelVolt = CommonUCUMUnitsCode("B[V]")
    """
    None
    """
    BelWatt = CommonUCUMUnitsCode("B[W]")
    """
    None
    """
    Baud = CommonUCUMUnitsCode("Bd")
    """
    None
    """
    Biot = CommonUCUMUnitsCode("Bi")
    """
    None
    """
    Bit = CommonUCUMUnitsCode("bit")
    """
    None
    """
    Bit = CommonUCUMUnitsCode("bit_s")
    """
    None
    """
    Byte = CommonUCUMUnitsCode("By")
    """
    None
    """
    Coulomb = CommonUCUMUnitsCode("C")
    """
    None
    """
    CalorieAt15_C = CommonUCUMUnitsCode("cal_[15]")
    """
    None
    """
    CalorieAt20_C = CommonUCUMUnitsCode("cal_[20]")
    """
    None
    """
    InternationalTableCalorie = CommonUCUMUnitsCode("cal_IT")
    """
    None
    """
    MeanCalorie = CommonUCUMUnitsCode("cal_m")
    """
    None
    """
    ThermochemicalCalorie = CommonUCUMUnitsCode("cal_th")
    """
    None
    """
    Candela = CommonUCUMUnitsCode("cd")
    """
    None
    """
    CURIE = CommonUCUMUnitsCode("Ci")
    """
    None
    """
    Circle = CommonUCUMUnitsCode("circ")
    """
    None
    """
    Dyne = CommonUCUMUnitsCode("dyn")
    """
    None
    """
    Gauss = CommonUCUMUnitsCode("G")
    """
    None
    """
    GramPercent = CommonUCUMUnitsCode("g%")
    """
    None
    """
    GramMeterPerHeartbeat = CommonUCUMUnitsCode("g.m/{H.B.}")
    """
    None
    """
    Gal = CommonUCUMUnitsCode("Gal")
    """
    None
    """
    Gilbert = CommonUCUMUnitsCode("Gb")
    """
    None
    """
    Gram_force = CommonUCUMUnitsCode("gf")
    """
    None
    """
    GonGrade = CommonUCUMUnitsCode("gon")
    """
    None
    """
    KiloInternationalUnitsPerMilliLiter = CommonUCUMUnitsCode("k[iU]/mL")
    """
    None
    """
    KilogramOfWetTissue = CommonUCUMUnitsCode("kg{wet'tis}")
    """
    None
    """
    Kayser = CommonUCUMUnitsCode("Ky")
    """
    None
    """
    Lambert = CommonUCUMUnitsCode("Lmb")
    """
    None
    """
    Lux = CommonUCUMUnitsCode("lx")
    """
    None
    """
    MeterOfWaterColumn = CommonUCUMUnitsCode("m[H2O]")
    """
    None
    """
    MeterOfMercuryColumn = CommonUCUMUnitsCode("m[Hg]")
    """
    None
    """
    MilliGramPerTotalVolume = CommonUCUMUnitsCode("mg/{TotalVolume}")
    """
    None
    """
    MilligramsPerMilligramCreatinine = CommonUCUMUnitsCode("mg/mg{Cre}")
    """
    None
    """
    MilligramOfCreatinine = CommonUCUMUnitsCode("mg{creat}")
    """
    None
    """
    Mho = CommonUCUMUnitsCode("mho")
    """
    None
    """
    MilliMolesPerTotalVolume_SubstanceUnits_ = CommonUCUMUnitsCode("mmol/{TotalVolume}")
    """
    None
    """
    MilliMolesPerMoleCreatinine = CommonUCUMUnitsCode("mmol/mol{Cre}")
    """
    None
    """
    MeanGregorianMonth = CommonUCUMUnitsCode("mo_g")
    """
    None
    """
    MeanJulianMonth = CommonUCUMUnitsCode("mo_j")
    """
    None
    """
    SynodalMonth = CommonUCUMUnitsCode("mo_s")
    """
    None
    """
    Maxwell = CommonUCUMUnitsCode("Mx")
    """
    None
    """
    Neper = CommonUCUMUnitsCode("Np")
    """
    None
    """
    Oersted = CommonUCUMUnitsCode("Oe")
    """
    None
    """
    Poise = CommonUCUMUnitsCode("P")
    """
    None
    """
    Parsec = CommonUCUMUnitsCode("pc")
    """
    None
    """
    Phot = CommonUCUMUnitsCode("ph")
    """
    None
    """
    Roentgen = CommonUCUMUnitsCode("R")
    """
    None
    """
    Radian = CommonUCUMUnitsCode("rad")
    """
    None
    """
    RadiationAbsorbedDose = CommonUCUMUnitsCode("RAD")
    """
    None
    """
    RadiationEquivalentMan = CommonUCUMUnitsCode("REM")
    """
    None
    """
    Stilb = CommonUCUMUnitsCode("sb")
    """
    None
    """
    Spere = CommonUCUMUnitsCode("sph")
    """
    None
    """
    Steradian = CommonUCUMUnitsCode("sr")
    """
    None
    """
    Stere = CommonUCUMUnitsCode("st")
    """
    None
    """
    UnifiedAtomicMassUnit = CommonUCUMUnitsCode("u")
    """
    None
    """
    MICROCURIE = CommonUCUMUnitsCode("uCi")
    """
    None
    """
    Watt = CommonUCUMUnitsCode("W")
