from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CommunicationCategoryCode(FhirValueSetBase):
    """
    CommunicationCategory
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/communication-category
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/communication-category"


class CommunicationCategoryCodeValues:
    """
    The communication conveys an alert.
    """

    Alert = CommunicationCategoryCode("alert")
    """
    The communication conveys a notification.
    """
    Notification = CommunicationCategoryCode("notification")
    """
    The communication conveys a reminder.
    """
    Reminder = CommunicationCategoryCode("reminder")
    """
    The communication conveys an instruction.
    """
    Instruction = CommunicationCategoryCode("instruction")
