from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CompartmentTypeCode(FhirValueSetBase):
    """
    CompartmentType
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/compartment-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/compartment-type"


class CompartmentTypeCodeValues:
    """
    The compartment definition is for the patient compartment.
    """

    Patient = CompartmentTypeCode("Patient")
    """
    The compartment definition is for the encounter compartment.
    """
    Encounter = CompartmentTypeCode("Encounter")
    """
    The compartment definition is for the related-person compartment.
    """
    RelatedPerson = CompartmentTypeCode("RelatedPerson")
    """
    The compartment definition is for the practitioner compartment.
    """
    Practitioner = CompartmentTypeCode("Practitioner")
    """
    The compartment definition is for the device compartment.
    """
    Device = CompartmentTypeCode("Device")
