from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ConceptMapEquivalenceCode(FhirValueSetBase):
    """
    ConceptMapEquivalence
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/concept-map-equivalence
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/concept-map-equivalence"


class ConceptMapEquivalenceCodeValues:
    """
    The concepts are related to each other, and have at least some overlap in meaning, but the exact relationship is not known.
    """

    RelatedTo = ConceptMapEquivalenceCode("relatedto")
    """
    There is no match for this concept in the target code system.
    """
    Unmatched = ConceptMapEquivalenceCode("unmatched")
