from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ConceptSubsumptionOutcomeCode(FhirValueSetBase):
    """
    ConceptSubsumptionOutcome
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/concept-subsumption-outcome
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/concept-subsumption-outcome"


class ConceptSubsumptionOutcomeCodeValues:
    """
    The two concepts are equivalent (have the same properties).
    """

    Equivalent = ConceptSubsumptionOutcomeCode("equivalent")
    """
    Coding/code "A" subsumes Coding/code "B" (e.g. B has all the properties A has, and some of it's own).
    """
    Subsumes = ConceptSubsumptionOutcomeCode("subsumes")
    """
    Coding/code "A" is subsumed by Coding/code "B" (e.g. A has all the properties B has, and some of it's own).
    """
    Subsumed_By = ConceptSubsumptionOutcomeCode("subsumed-by")
    """
    Coding/code "A" and Coding/code "B" are disjoint (e.g. each has propeties that the other doesn't have).
    """
    Not_Subsumed = ConceptSubsumptionOutcomeCode("not-subsumed")
