from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ConditionStateCode(FhirValueSetBase):
    """
    ConditionState
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/condition-state
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/condition-state"


class ConditionStateCodeValues:
    """
    The condition is active.
    """

    Active = ConditionStateCode("active")
    """
    The condition is inactive, but not resolved.
    """
    Inactive = ConditionStateCode("inactive")
    """
    The condition is resolved.
    """
    Resolved = ConditionStateCode("resolved")
