from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ConformanceExpectationCode(FhirValueSetBase):
    """
    ConformanceExpectation
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/conformance-expectation
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/conformance-expectation"


class ConformanceExpectationCodeValues:
    """
    Support for the specified capability is required to be considered conformant.
    """

    SHALL = ConformanceExpectationCode("SHALL")
    """
    Support for the specified capability is strongly encouraged, and failure to support it should only occur after careful consideration.
    """
    SHOULD = ConformanceExpectationCode("SHOULD")
    """
    Support for the specified capability is not necessary to be considered conformant, and the requirement should be considered strictly optional.
    """
    MAY = ConformanceExpectationCode("MAY")
    """
    Support for the specified capability is strongly discouraged and should occur only after careful consideration.
    """
    SHOULD_NOT = ConformanceExpectationCode("SHOULD-NOT")
