from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ConsentStateCode(FhirValueSetBase):
    """
    ConsentState
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/consent-state-codes
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/consent-state-codes"


class ConsentStateCodeValues:
    """
    The consent is in development or awaiting use but is not yet intended to be acted upon.
    """

    Pending = ConsentStateCode("draft")
    """
    The consent has been proposed but not yet agreed to by all parties. The negotiation stage.
    """
    Proposed = ConsentStateCode("proposed")
    """
    The consent is to be followed and enforced.
    """
    Active = ConsentStateCode("active")
    """
    The consent has been rejected by one or more of the parties.
    """
    Rejected = ConsentStateCode("rejected")
    """
    The consent is terminated or replaced.
    """
    Inactive = ConsentStateCode("inactive")
    """
    The consent was created wrongly (e.g. wrong patient) and should be ignored.
    """
    EnteredInError = ConsentStateCode("entered-in-error")
