from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ContractActorRoleCodesCode(FhirValueSetBase):
    """
    ContractActorRoleCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/contract-actorrole
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/contract-actorrole"


class ContractActorRoleCodesCodeValues:
    """
    Someone who provides health care related services to people or animals including both clinical and support services.
    """

    Practitioner = ContractActorRoleCodesCode("practitioner")
    """
    A receiver, human or animal, of health care related goods and services.
    """
    Patient = ContractActorRoleCodesCode("patient")
