from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ContractDataMeaningCode(FhirValueSetBase):
    """
    ContractDataMeaning
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/contract-data-meaning
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/contract-data-meaning"


class ContractDataMeaningCodeValues:
    """
    The consent applies directly to the instance of the resource.
    """

    Instance = ContractDataMeaningCode("instance")
    """
    The consent applies directly to the instance of the resource and instances it refers to.
    """
    Related = ContractDataMeaningCode("related")
    """
    The consent applies directly to the instance of the resource and instances that refer to it.
    """
    Dependents = ContractDataMeaningCode("dependents")
    """
    The consent applies to instances of resources that are authored by.
    """
    AuthoredBy = ContractDataMeaningCode("authoredby")
