from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ContractSubtypeCodesCode(FhirValueSetBase):
    """
    ContractSubtypeCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/contract-subtype
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/contract-subtype"


class ContractSubtypeCodesCodeValues:
    """
    Canadian health information disclosure policy.
    """

    Disclosure_CA = ContractSubtypeCodesCode("disclosure-ca")
    """
    United States health information disclosure policy.
    """
    Disclosure_US = ContractSubtypeCodesCode("disclosure-us")
