from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ContractTermTypeCodesCode(FhirValueSetBase):
    """
    ContractTermTypeCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/contract-term-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/contract-term-type"


class ContractTermTypeCodesCodeValues:
    """
    Based on specialized statutes that deal with particular subjects.
    """

    Statutory = ContractTermTypeCodesCode("statutory")
    """
    Execution of the term in the contract is conditional on the execution of other actions.
    """
    SubjectTo = ContractTermTypeCodesCode("subject-to")
