from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ContributorTypeCode(FhirValueSetBase):
    """
    ContributorType
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/contributor-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/contributor-type"


class ContributorTypeCodeValues:
    """
    An author of the content of the module.
    """

    Author = ContributorTypeCode("author")
    """
    An editor of the content of the module.
    """
    Editor = ContributorTypeCode("editor")
    """
    A reviewer of the content of the module.
    """
    Reviewer = ContributorTypeCode("reviewer")
    """
    An endorser of the content of the module.
    """
    Endorser = ContributorTypeCode("endorser")
