from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DataAbsentReasonCode(FhirValueSetBase):
    """
    DataAbsentReason
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/data-absent-reason
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/data-absent-reason"


class DataAbsentReasonCodeValues:
    """
    The value is expected to exist but is not known.
    """

    Unknown = DataAbsentReasonCode("unknown")
    """
    The information is not available due to security, privacy or related reasons.
    """
    Masked = DataAbsentReasonCode("masked")
    """
    There is no proper value for this element (e.g. last menstrual period for a male).
    """
    NotApplicable = DataAbsentReasonCode("not-applicable")
    """
    The source system wasn't capable of supporting this element.
    """
    Unsupported = DataAbsentReasonCode("unsupported")
    """
    The content of the data is represented in the resource narrative.
    """
    AsText = DataAbsentReasonCode("as-text")
    """
    Some system or workflow process error means that the information is not available.
    """
    Error = DataAbsentReasonCode("error")
    """
    The value is not available because the observation procedure (test, etc.) was not performed.
    """
    NotPerformed = DataAbsentReasonCode("not-performed")
    """
    The value is not permitted in this context (e.g. due to profiles, or the base data types).
    """
    NotPermitted = DataAbsentReasonCode("not-permitted")
