from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DefinitionStatusCode(FhirValueSetBase):
    """
    DefinitionStatus
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/definition-status
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/definition-status"


class DefinitionStatusCodeValues:
    """
    The definition is in the design stage and is not yet considered to be "ready for use".
    """

    Draft = DefinitionStatusCode("draft")
    """
    The definition is considered ready for use.
    """
    Active = DefinitionStatusCode("active")
    """
    The definition should no longer be used.
    """
    Withdrawn = DefinitionStatusCode("withdrawn")
    """
    The authoring/source system does not know which of the status values currently applies for this resource.  Note: This concept is not to be used for "other" - one of the listed statuses is presumed to apply,  but the authoring/source system does not know which.
    """
    Unknown = DefinitionStatusCode("unknown")
