from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DefinitionTopicCode(FhirValueSetBase):
    """
    DefinitionTopic
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/definition-topic
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/definition-topic"


class DefinitionTopicCodeValues:
    """
    The definition is related to treatment of the patient.
    """

    Treatment = DefinitionTopicCode("treatment")
    """
    The definition is related to education of the patient.
    """
    Education = DefinitionTopicCode("education")
    """
    The definition is related to assessment of the patient.
    """
    Assessment = DefinitionTopicCode("assessment")
