from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DeviceMetricCalibrationTypeCode(FhirValueSetBase):
    """
    DeviceMetricCalibrationType
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/metric-calibration-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/metric-calibration-type"


class DeviceMetricCalibrationTypeCodeValues:
    """
    Metric calibration method has not been identified.
    """

    Unspecified = DeviceMetricCalibrationTypeCode("unspecified")
    """
    Offset metric calibration method.
    """
    Offset = DeviceMetricCalibrationTypeCode("offset")
    """
    Gain metric calibration method.
    """
    Gain = DeviceMetricCalibrationTypeCode("gain")
    """
    Two-point metric calibration method.
    """
    TwoPoint = DeviceMetricCalibrationTypeCode("two-point")
