from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DeviceMetricCategoryCode(FhirValueSetBase):
    """
    DeviceMetricCategory
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/metric-category
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/metric-category"


class DeviceMetricCategoryCodeValues:
    """
    DeviceObservations generated for this DeviceMetric are measured.
    """

    Measurement = DeviceMetricCategoryCode("measurement")
    """
    DeviceObservations generated for this DeviceMetric is a setting that will influence the behavior of the Device.
    """
    Setting = DeviceMetricCategoryCode("setting")
    """
    DeviceObservations generated for this DeviceMetric are calculated.
    """
    Calculation = DeviceMetricCategoryCode("calculation")
    """
    The category of this DeviceMetric is unspecified.
    """
    Unspecified = DeviceMetricCategoryCode("unspecified")
