from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DeviceSafetyCode(FhirValueSetBase):
    """
    DeviceSafety
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/device-safety
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/device-safety"


class DeviceSafetyCodeValues:
    """
    None
    """

    MagneticResonanceConditional = DeviceSafetyCode("C106046")
    """
    None
    """
    MagneticResonanceSafe = DeviceSafetyCode("C106045")
    """
    None
    """
    MagneticResonanceUnsafe = DeviceSafetyCode("C106047")
    """
    None
    """
    LabelingDoesNotContainMRISafetyInformation = DeviceSafetyCode("C113844")
    """
    None
    """
    LabeledAsContainingNaturalRubberLatex = DeviceSafetyCode("C101673")
    """
    None
    """
    NotMadeWithNaturalRubberLatex = DeviceSafetyCode("C106038")
