from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DeviceUseStatementStatusCode(FhirValueSetBase):
    """
    DeviceUseStatementStatus
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/device-statement-status
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/device-statement-status"


class DeviceUseStatementStatusCodeValues:
    """
    The device is still being used.
    """

    Active = DeviceUseStatementStatusCode("active")
    """
    The device is no longer being used.
    """
    Completed = DeviceUseStatementStatusCode("completed")
    """
    The statement was recorded incorrectly.
    """
    EnteredInError = DeviceUseStatementStatusCode("entered-in-error")
    """
    The device may be used at some time in the future.
    """
    Intended = DeviceUseStatementStatusCode("intended")
    """
    Actions implied by the statement have been permanently halted, before all of them occurred.
    """
    Stopped = DeviceUseStatementStatusCode("stopped")
    """
    Actions implied by the statement have been temporarily halted, but are expected to continue later. May also be called "suspended".
    """
    OnHold = DeviceUseStatementStatusCode("on-hold")
