from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DiagnosisRoleCode(FhirValueSetBase):
    """
    DiagnosisRole
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/diagnosis-role
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/diagnosis-role"


class DiagnosisRoleCodeValues:
    """
    None
    """

    AdmissionDiagnosis = DiagnosisRoleCode("AD")
    """
    None
    """
    DischargeDiagnosis = DiagnosisRoleCode("DD")
    """
    None
    """
    ChiefComplaint = DiagnosisRoleCode("CC")
    """
    None
    """
    ComorbidityDiagnosis = DiagnosisRoleCode("CM")
    """
    None
    """
    Pre_opDiagnosis = DiagnosisRoleCode("pre-op")
    """
    None
    """
    Post_opDiagnosis = DiagnosisRoleCode("post-op")
    """
    None
    """
    Billing = DiagnosisRoleCode("billing")
