from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DoseAndRateTypeCode(FhirValueSetBase):
    """
    DoseAndRateType
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/dose-rate-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/dose-rate-type"


class DoseAndRateTypeCodeValues:
    """
    The dose specified is calculated by the prescriber or the system.
    """

    Calculated = DoseAndRateTypeCode("calculated")
    """
    The dose specified is as ordered by the prescriber.
    """
    Ordered = DoseAndRateTypeCode("ordered")
