from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class EffectEstimateTypeCode(FhirValueSetBase):
    """
    EffectEstimateType
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/effect-estimate-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/effect-estimate-type"


class EffectEstimateTypeCodeValues:
    """
    relative risk (a type of relative effect estimate).
    """

    RelativeRisk = EffectEstimateTypeCode("relative-RR")
    """
    odds ratio (a type of relative effect estimate).
    """
    OddsRatio = EffectEstimateTypeCode("relative-OR")
    """
    hazard ratio (a type of relative effect estimate).
    """
    HazardRatio = EffectEstimateTypeCode("relative-HR")
    """
    absolute risk difference (a type of absolute effect estimate).
    """
    AbsoluteRiskDifference = EffectEstimateTypeCode("absolute-ARD")
    """
    mean difference (a type of absolute effect estimate).
    """
    MeanDifference = EffectEstimateTypeCode("absolute-MeanDiff")
    """
    standardized mean difference (a type of absolute effect estimate).
    """
    StandardizedMeanDifference = EffectEstimateTypeCode("absolute-SMD")
    """
    median difference (a type of absolute effect estimate).
    """
    MedianDifference = EffectEstimateTypeCode("absolute-MedianDiff")
