from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class EncounterTypeCode(FhirValueSetBase):
    """
    EncounterType
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/encounter-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/encounter-type"


class EncounterTypeCodeValues:
    """
    None
    """

    AnnualDiabetesMellitusScreening = EncounterTypeCode("ADMS")
    """
    None
    """
    BoneDrilling_boneMarrowPunctionInClinic = EncounterTypeCode("BD/BM-clin")
    """
    None
    """
    InfantColonScreening_60Minutes = EncounterTypeCode("CCS60")
    """
    None
    """
    OutpatientKenacortInjection = EncounterTypeCode("OKI")
