from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class EnteralRouteCodesCode(FhirValueSetBase):
    """
    EnteralRouteCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/enteral-route
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/enteral-route"


class EnteralRouteCodesCodeValues:
    """
    Route of substance administration classified by administration method.
    """

    Routebymethod = EnteralRouteCodesCode("_RouteByMethod")
    """
    Route of substance administration classified by site.
    """
    Routebysite = EnteralRouteCodesCode("_RouteBySite")
    """
    None
    """
    PO = EnteralRouteCodesCode("PO")
    """
    None
    """
    EFT = EnteralRouteCodesCode("EFT")
    """
    None
    """
    ENTINSTL = EnteralRouteCodesCode("ENTINSTL")
    """
    None
    """
    GT = EnteralRouteCodesCode("GT")
    """
    None
    """
    NGT = EnteralRouteCodesCode("NGT")
    """
    None
    """
    OGT = EnteralRouteCodesCode("OGT")
    """
    None
    """
    GJT = EnteralRouteCodesCode("GJT")
    """
    None
    """
    JJTINSTL = EnteralRouteCodesCode("JJTINSTL")
    """
    None
    """
    OJJ = EnteralRouteCodesCode("OJJ")
