from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class EpisodeOfCareTypeCode(FhirValueSetBase):
    """
    EpisodeOfCareType
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/episodeofcare-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/episodeofcare-type"


class EpisodeOfCareTypeCodeValues:
    """
    None
    """

    HomeAndCommunityCare = EpisodeOfCareTypeCode("hacc")
    """
    None
    """
    PostAcuteCare = EpisodeOfCareTypeCode("pac")
    """
    None
    """
    PostCoordinatedDiabetesProgram = EpisodeOfCareTypeCode("diab")
    """
    None
    """
    DrugAndAlcoholRehabilitation = EpisodeOfCareTypeCode("da")
    """
    None
    """
    Community_basedAgedCare = EpisodeOfCareTypeCode("cacp")
