from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class EvidenceVariableTypeCode(FhirValueSetBase):
    """
    EvidenceVariableType
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/variable-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/variable-type"


class EvidenceVariableTypeCodeValues:
    """
    The variable is dichotomous, such as present or absent.
    """

    Dichotomous = EvidenceVariableTypeCode("dichotomous")
    """
    The variable is a continuous result such as a quantity.
    """
    Continuous = EvidenceVariableTypeCode("continuous")
    """
    The variable is described narratively rather than quantitatively.
    """
    Descriptive = EvidenceVariableTypeCode("descriptive")
