from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExampleHierarchicalValueSetCode(FhirValueSetBase):
    """
    Example Hierarchical ValueSet
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/example-hierarchical
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/example-hierarchical"


class ExampleHierarchicalValueSetCodeValues:
    """
    None
    """

    Invalid = ExampleHierarchicalValueSetCode("invalid")
    """
    None
    """
    Structure = ExampleHierarchicalValueSetCode("structure")
    """
    None
    """
    Required = ExampleHierarchicalValueSetCode("required")
    """
    None
    """
    Value = ExampleHierarchicalValueSetCode("value")
    """
    None
    """
    Processing = ExampleHierarchicalValueSetCode("processing")
    """
    None
    """
    Duplicate = ExampleHierarchicalValueSetCode("duplicate")
    """
    None
    """
    Not_found = ExampleHierarchicalValueSetCode("not-found")
    """
    None
    """
    Conflict = ExampleHierarchicalValueSetCode("conflict")
    """
    None
    """
    Lock = ExampleHierarchicalValueSetCode("lock")
    """
    None
    """
    Exception = ExampleHierarchicalValueSetCode("exception")
    """
    None
    """
    Tbrottled = ExampleHierarchicalValueSetCode("tbrottled")
    """
    None
    """
    Login = ExampleHierarchicalValueSetCode("login")
    """
    None
    """
    Unknown = ExampleHierarchicalValueSetCode("unknown")
