from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class Example_inactiveCode(FhirValueSetBase):
    """
    Example-inactive
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/inactive
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/inactive"


class Example_inactiveCodeValues:
    """
    These are moods describing activities as they progress in the business cycle, from defined, through planned and ordered to completed.
    """

    Actmoodcompletiontrack = Example_inactiveCode("_ActMoodCompletionTrack")
    """
    Definition: An act that expresses condition statements for other acts.
    """
    Actmoodpredicate = Example_inactiveCode("_ActMoodPredicate")
