from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExamplePaymentTypeCodesCode(FhirValueSetBase):
    """
    ExamplePaymentTypeCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/ex-paymenttype
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/ex-paymenttype"


class ExamplePaymentTypeCodesCodeValues:
    """
    Complete (final) payment of the benefit under the Claim less any adjustments.
    """

    Complete = ExamplePaymentTypeCodesCode("complete")
    """
    Partial payment of the benefit under the Claim less any adjustments.
    """
    Partial = ExamplePaymentTypeCodesCode("partial")
