from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExampleProcedureTypeCodesCode(FhirValueSetBase):
    """
    ExampleProcedureTypeCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/ex-procedure-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/ex-procedure-type"


class ExampleProcedureTypeCodesCodeValues:
    """
    The first procedure in a series required to produce and overall patient outcome.
    """

    PrimaryProcedure = ExampleProcedureTypeCodesCode("primary")
    """
    The second procedure in a series required to produce and overall patient outcome.
    """
    SecondaryProcedure = ExampleProcedureTypeCodesCode("secondary")
