from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExampleProviderQualificationCodesCode(FhirValueSetBase):
    """
    ExampleProviderQualificationCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/provider-qualification
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/provider-qualification"


class ExampleProviderQualificationCodesCodeValues:
    """
    Dentist General Practitioner (DDS, DDM).
    """

    Dentist = ExampleProviderQualificationCodesCode("311405")
    """
    Ophthalmologist.
    """
    Ophthalmologist = ExampleProviderQualificationCodesCode("604215")
    """
    Optometrist.
    """
    Optometrist = ExampleProviderQualificationCodesCode("604210")
