from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExampleRelatedClaimRelationshipCodesCode(FhirValueSetBase):
    """
    ExampleRelatedClaimRelationshipCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/related-claim-relationship
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/related-claim-relationship"


class ExampleRelatedClaimRelationshipCodesCodeValues:
    """
    A prior claim instance for the same intended suite of services.
    """

    PriorClaim = ExampleRelatedClaimRelationshipCodesCode("prior")
    """
    A claim for a different suite of services which is related the suite claimed here.
    """
    AssociatedClaim = ExampleRelatedClaimRelationshipCodesCode("associated")
