from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExampleServiceModifierCodesCode(FhirValueSetBase):
    """
    ExampleServiceModifierCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/service-modifiers
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/service-modifiers"


class ExampleServiceModifierCodesCodeValues:
    """
    Services provided on the side of the road or such other non-conventional setting.
    """

    SideOfTheRoad = ExampleServiceModifierCodesCode("sr")
    """
    Services provided outside or normal business hours.
    """
    AfterHours = ExampleServiceModifierCodesCode("ah")
