from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExampleVisionPrescriptionProductCodesCode(FhirValueSetBase):
    """
    ExampleVisionPrescriptionProductCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/vision-product
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/vision-product"


class ExampleVisionPrescriptionProductCodesCodeValues:
    """
    A lens to be fitted to a frame to comprise a pair of glasses.
    """

    Lens = ExampleVisionPrescriptionProductCodesCode("lens")
    """
    A lens to be fitted for wearing directly on an eye.
    """
    ContactLens = ExampleVisionPrescriptionProductCodesCode("contact")
