from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExpressionLanguageCode(FhirValueSetBase):
    """
    ExpressionLanguage
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/expression-language
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/expression-language"


class ExpressionLanguageCodeValues:
    """
    Clinical Quality Language.
    """

    CQL = ExpressionLanguageCode("text/cql")
    """
    FHIRPath.
    """
    FHIRPath = ExpressionLanguageCode("text/fhirpath")
    """
    FHIR's RESTful query syntax - typically independent of base URL.
    """
    FHIRQuery = ExpressionLanguageCode("application/x-fhir-query")
