from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class FamilyHistoryAbsentReasonCode(FhirValueSetBase):
    """
    FamilyHistoryAbsentReason
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/history-absent-reason
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/history-absent-reason"


class FamilyHistoryAbsentReasonCodeValues:
    """
    Patient does not know the subject, e.g. the biological parent of an adopted patient.
    """

    SubjectUnknown = FamilyHistoryAbsentReasonCode("subject-unknown")
    """
    The patient withheld or refused to share the information.
    """
    InformationWithheld = FamilyHistoryAbsentReasonCode("withheld")
    """
    Information cannot be obtained; e.g. unconscious patient.
    """
    UnableToObtain = FamilyHistoryAbsentReasonCode("unable-to-obtain")
    """
    Patient does not have the information now, but can provide the information at a later date.
    """
    Deferred = FamilyHistoryAbsentReasonCode("deferred")
