from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class FinancialTaskInputTypeCodesCode(FhirValueSetBase):
    """
    FinancialTaskInputTypeCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/financial-taskinputtype
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/financial-taskinputtype"


class FinancialTaskInputTypeCodesCodeValues:
    """
    The name of a resource to include in a selection.
    """

    Include = FinancialTaskInputTypeCodesCode("include")
    """
    The name of a resource to not include in a selection.
    """
    Exclude = FinancialTaskInputTypeCodesCode("exclude")
    """
    A reference to the response resource to the original processing of a resource.
    """
    OriginalResponse = FinancialTaskInputTypeCodesCode("origresponse")
    """
    A reference value which must be quoted to authorize an action.
    """
    ReferenceNumber = FinancialTaskInputTypeCodesCode("reference")
    """
    The sequence number associated with an item for reprocessing.
    """
    ItemNumber = FinancialTaskInputTypeCodesCode("item")
    """
    The reference period for the action being requested.
    """
    Period = FinancialTaskInputTypeCodesCode("period")
    """
    The processing status from a check on the processing status of a resource such as the adjudication of a claim.
    """
    StatusCode = FinancialTaskInputTypeCodesCode("status")
