from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class FundsReservationCodesCode(FhirValueSetBase):
    """
    Funds Reservation Codes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/fundsreserve
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/fundsreserve"


class FundsReservationCodesCodeValues:
    """
    The payor is requested to reserve funds for the provision of the named services by any provider for settlement of future claims related to this request.
    """

    Patient = FundsReservationCodesCode("patient")
    """
    The payor is requested to reserve funds solely for the named provider for settlement of future claims related to this request.
    """
    Provider = FundsReservationCodesCode("provider")
    """
    The payor is not being requested to reserve any funds for the settlement of future claims.
    """
    None_ = FundsReservationCodesCode("none")
