from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class GenderStatusCode(FhirValueSetBase):
    """
    GenderStatus
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/animal-genderstatus
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/animal-genderstatus"


class GenderStatusCodeValues:
    """
    The animal has been sterilized, castrated or otherwise made infertile.
    """

    Neutered = GenderStatusCode("neutered")
    """
    The animal's reproductive organs are intact.
    """
    Intact = GenderStatusCode("intact")
    """
    Unable to determine whether the animal has been neutered.
    """
    Unknown = GenderStatusCode("unknown")
