from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class GoalAcceptanceStatusCode(FhirValueSetBase):
    """
    GoalAcceptanceStatus
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/goal-acceptance-status
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/goal-acceptance-status"


class GoalAcceptanceStatusCodeValues:
    """
    Stakeholder supports pursuit of the goal.
    """

    Agree = GoalAcceptanceStatusCode("agree")
    """
    Stakeholder is not in support of the pursuit of the goal.
    """
    Disagree = GoalAcceptanceStatusCode("disagree")
    """
    Stakeholder has not yet made a decision on whether they support the goal.
    """
    Pending = GoalAcceptanceStatusCode("pending")
