from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class GoalCategoryCode(FhirValueSetBase):
    """
    GoalCategory
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/goal-category
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/goal-category"


class GoalCategoryCodeValues:
    """
    Goals related to the consumption of food and/or beverages.
    """

    Dietary = GoalCategoryCode("dietary")
    """
    Goals related to the personal protection of the subject.
    """
    Safety = GoalCategoryCode("safety")
    """
    Goals related to the manner in which the subject acts.
    """
    Behavioral = GoalCategoryCode("behavioral")
    """
    Goals related to the practice of nursing or established by nurses.
    """
    Nursing = GoalCategoryCode("nursing")
    """
    Goals related to the mobility and/or motor capability of the subject.
    """
    Physiotherapy = GoalCategoryCode("physiotherapy")
