from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class GoalPriorityCode(FhirValueSetBase):
    """
    GoalPriority
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/goal-priority
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/goal-priority"


class GoalPriorityCodeValues:
    """
    Indicates that the goal is of considerable importance and should be a primary focus of care delivery.
    """

    HighPriority = GoalPriorityCode("high-priority")
    """
    Indicates that the goal has a reasonable degree of importance and that concrete action should be taken towards the goal.  Attainment is not as critical as high-priority goals.
    """
    MediumPriority = GoalPriorityCode("medium-priority")
    """
    The goal is desirable but is not sufficiently important to devote significant resources to.  Achievement of the goal may be sought when incidental to achieving other goals.
    """
    LowPriority = GoalPriorityCode("low-priority")
