from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class GoalRelationshipTypeCode(FhirValueSetBase):
    """
    GoalRelationshipType
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/goal-relationship-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/goal-relationship-type"


class GoalRelationshipTypeCodeValues:
    """
    Indicates that the target goal is one which must be met before striving for the current goal.
    """

    Predecessor = GoalRelationshipTypeCode("predecessor")
    """
    Indicates that the target goal is a desired objective once the current goal is met.
    """
    Successor = GoalRelationshipTypeCode("successor")
    """
    Indicates that this goal has been replaced by the target goal.
    """
    Replacement = GoalRelationshipTypeCode("replacement")
    """
    Indicates that the target goal is considered to be a "piece" of attaining this goal.
    """
    Milestone = GoalRelationshipTypeCode("milestone")
    """
    Indicates that the relationship is not covered by one of the pre-defined codes.  (An extension may convey more information about the meaning of the relationship.).
    """
    Other = GoalRelationshipTypeCode("other")
