from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class GoalStartEventCode(FhirValueSetBase):
    """
    GoalStartEvent
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/goal-start-event
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/goal-start-event"


class GoalStartEventCodeValues:
    """
    None
    """

    AdmissionToHospital = GoalStartEventCode("32485007")
    """
    None
    """
    DischargeFromHospital = GoalStartEventCode("308283009")
    """
    None
    """
    CompletionTimeOfProcedure = GoalStartEventCode("442137000")
    """
    None
    """
    Childbirth = GoalStartEventCode("386216000")
