from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class GraphCompartmentUseCode(FhirValueSetBase):
    """
    GraphCompartmentUse
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/graph-compartment-use
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/graph-compartment-use"


class GraphCompartmentUseCodeValues:
    """
    This compartment rule is a condition for whether the rule applies.
    """

    Condition = GraphCompartmentUseCode("condition")
    """
    This compartment rule is enforced on any relationships that meet the conditions.
    """
    Requirement = GraphCompartmentUseCode("requirement")
