from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class GroupTypeCode(FhirValueSetBase):
    """
    GroupType
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/group-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/group-type"


class GroupTypeCodeValues:
    """
    Group contains "person" Patient resources.
    """

    Person = GroupTypeCode("person")
    """
    Group contains "animal" Patient resources.
    """
    Animal = GroupTypeCode("animal")
    """
    Group contains healthcare practitioner resources (Practitioner or PractitionerRole).
    """
    Practitioner = GroupTypeCode("practitioner")
    """
    Group contains Device resources.
    """
    Device = GroupTypeCode("device")
    """
    Group contains Medication resources.
    """
    Medication = GroupTypeCode("medication")
    """
    Group contains Substance resources.
    """
    Substance = GroupTypeCode("substance")
