from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ImmunizationRecommendationStatusCodesCode(FhirValueSetBase):
    """
    ImmunizationRecommendationStatusCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/immunization-recommendation-status
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/immunization-recommendation-status"


class ImmunizationRecommendationStatusCodesCodeValues:
    """
    The patient is due for their next vaccination.
    """

    Due = ImmunizationRecommendationStatusCodesCode("due")
    """
    The patient is considered overdue for their next vaccination.
    """
    Overdue = ImmunizationRecommendationStatusCodesCode("overdue")
    """
    The patient is immune to the target disease and further immunization against the disease is not likely to provide benefit.
    """
    Immune = ImmunizationRecommendationStatusCodesCode("immune")
    """
    The patient is contraindicated for futher doses.
    """
    Contraindicated = ImmunizationRecommendationStatusCodesCode("contraindicated")
    """
    The patient is fully protected and no further doses are recommended.
    """
    Complete = ImmunizationRecommendationStatusCodesCode("complete")
