from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ImmunizationRouteCodesCode(FhirValueSetBase):
    """
    ImmunizationRouteCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/immunization-route
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/immunization-route"


class ImmunizationRouteCodesCodeValues:
    """
    Route of substance administration classified by administration method.
    """

    Routebymethod = ImmunizationRouteCodesCode("_RouteByMethod")
    """
    Route of substance administration classified by site.
    """
    Routebysite = ImmunizationRouteCodesCode("_RouteBySite")
    """
    None
    """
    Injection_Intradermal = ImmunizationRouteCodesCode("IDINJ")
    """
    None
    """
    Injection_Intramuscular = ImmunizationRouteCodesCode("IM")
    """
    None
    """
    Inhalation_Nasal = ImmunizationRouteCodesCode("NASINHLC")
    """
    None
    """
    Injection_Intravenous = ImmunizationRouteCodesCode("IVINJ")
    """
    None
    """
    Swallow_Oral = ImmunizationRouteCodesCode("PO")
    """
    None
    """
    Injection_Subcutaneous = ImmunizationRouteCodesCode("SQ")
    """
    None
    """
    Transdermal = ImmunizationRouteCodesCode("TRNSDERM")
