from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class IssueSeverityCode(FhirValueSetBase):
    """
    IssueSeverity
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/issue-severity
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/issue-severity"


class IssueSeverityCodeValues:
    """
    The issue caused the action to fail and no further checking could be performed.
    """

    Fatal = IssueSeverityCode("fatal")
    """
    The issue is sufficiently important to cause the action to fail.
    """
    Error = IssueSeverityCode("error")
    """
    The issue is not important enough to cause the action to fail but may cause it to be performed suboptimally or in a way that is not as desired.
    """
    Warning = IssueSeverityCode("warning")
    """
    The issue has no relation to the degree of success of the action.
    """
    Information = IssueSeverityCode("information")
