from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class LateralityCode(FhirValueSetBase):
    """
    Laterality
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/bodysite-laterality
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/bodysite-laterality"


class LateralityCodeValues:
    """
    None
    """

    UnilateralLeft = LateralityCode("419161000")
    """
    None
    """
    UnilateralRight = LateralityCode("419465000")
    """
    None
    """
    Bilateral = LateralityCode("51440002")
