from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class LinkageTypeCode(FhirValueSetBase):
    """
    LinkageType
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/linkage-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/linkage-type"


class LinkageTypeCodeValues:
    """
    The resource represents the "source of truth" (from the perspective of this Linkage resource) for the underlying event/condition/etc.
    """

    SourceOfTruth = LinkageTypeCode("source")
    """
    The resource represents an alternative view of the underlying event/condition/etc.  The resource may still be actively maintained, even though it is not considered to be the source of truth.
    """
    AlternateRecord = LinkageTypeCode("alternate")
    """
    The resource represents an obsolete record of the underlying event/condition/etc.  It is not expected to be actively maintained.
    """
    Historical_ObsoleteRecord = LinkageTypeCode("historical")
