from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ListStatusCode(FhirValueSetBase):
    """
    ListStatus
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/list-status
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/list-status"


class ListStatusCodeValues:
    """
    The list is considered to be an active part of the patient's record.
    """

    Current = ListStatusCode("current")
    """
    The list is "old" and should no longer be considered accurate or relevant.
    """
    Retired = ListStatusCode("retired")
    """
    The list was never accurate.  It is retained for medico-legal purposes only.
    """
    EnteredInError = ListStatusCode("entered-in-error")
