from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class LocationModeCode(FhirValueSetBase):
    """
    LocationMode
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/location-mode
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/location-mode"


class LocationModeCodeValues:
    """
    The Location resource represents a specific instance of a location (e.g. Operating Theatre 1A).
    """

    Instance = LocationModeCode("instance")
    """
    The Location represents a class of locations (e.g. Any Operating Theatre) although this class of locations could be constrained within a specific boundary (such as organization, or parent location, address etc.).
    """
    Kind = LocationModeCode("kind")
