from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class LocationStatusCode(FhirValueSetBase):
    """
    LocationStatus
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/location-status
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/location-status"


class LocationStatusCodeValues:
    """
    The location is operational.
    """

    Active = LocationStatusCode("active")
    """
    The location is temporarily closed.
    """
    Suspended = LocationStatusCode("suspended")
    """
    The location is no longer used.
    """
    Inactive = LocationStatusCode("inactive")
