from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class LOINCCodesForCholesterolInSerum_or_PlasmaCode(FhirValueSetBase):
    """
    LOINC Codes for Cholesterol in Serum_or_Plasma
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/example-extensional
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/example-extensional"


class LOINCCodesForCholesterolInSerum_or_PlasmaCodeValues:
    """
    None
    """

    Cholesterol_Moles_Volume_ = LOINCCodesForCholesterolInSerum_or_PlasmaCode("14647-2")
    """
    None
    """
    Cholesterol_Mass_Volume_ = LOINCCodesForCholesterolInSerum_or_PlasmaCode("2093-3")
    """
    None
    """
    Cholesterol_MassOrMoles_Volume_ = LOINCCodesForCholesterolInSerum_or_PlasmaCode(
        "35200-5"
    )
    """
    None
    """
    Cholesterol_Percentile_ = LOINCCodesForCholesterolInSerum_or_PlasmaCode("9342-7")
