from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MeasureImprovementNotationCode(FhirValueSetBase):
    """
    MeasureImprovementNotation
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/measure-improvement-notation
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/measure-improvement-notation"


class MeasureImprovementNotationCodeValues:
    """
    Improvement is indicated as an increase in the score or measurement (e.g. Higher score indicates better quality).
    """

    IncreasedScoreIndicatesImprovement = MeasureImprovementNotationCode("increase")
    """
    Improvement is indicated as a decrease in the score or measurement (e.g. Lower score indicates better quality).
    """
    DecreasedScoreIndicatesImprovement = MeasureImprovementNotationCode("decrease")
