from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MeasureReportTypeCode(FhirValueSetBase):
    """
    MeasureReportType
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/measure-report-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/measure-report-type"


class MeasureReportTypeCodeValues:
    """
    An individual report that provides information on the performance for a given measure with respect to a single subject.
    """

    Individual = MeasureReportTypeCode("individual")
    """
    A subject list report that includes a listing of subjects that satisfied each population criteria in the measure.
    """
    SubjectList = MeasureReportTypeCode("subject-list")
    """
    A summary report that returns the number of members in each population criteria for the measure.
    """
    Summary = MeasureReportTypeCode("summary")
    """
    A data collection report that contains data-of-interest for the measure.
    """
    DataCollection = MeasureReportTypeCode("data-collection")
