from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MediaTypeCode(FhirValueSetBase):
    """
    MediaType
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/media-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/media-type"


class MediaTypeCodeValues:
    """
    The media consists of one or more unmoving images, including photographs, computer-generated graphs and charts, and scanned documents
    """

    Image = MediaTypeCode("image")
    """
    The media consists of a series of frames that capture a moving image
    """
    Video = MediaTypeCode("video")
    """
    The media consists of a sound recording
    """
    Audio = MediaTypeCode("audio")
