from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MedicationAdministrationCategoryCodesCode(FhirValueSetBase):
    """
    MedicationAdministration Category Codes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/medication-admin-category
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/medication-admin-category"


class MedicationAdministrationCategoryCodesCodeValues:
    """
    Includes administrations in an inpatient or acute care setting
    """

    Inpatient = MedicationAdministrationCategoryCodesCode("inpatient")
    """
    Includes administrations in an outpatient setting (for example, Emergency Department, Outpatient Clinic, Outpatient Surgery, Doctor's office)
    """
    Outpatient = MedicationAdministrationCategoryCodesCode("outpatient")
    """
    Includes administrations by the patient in their home (this would include long term care or nursing homes, hospices, etc.)
    """
    Community = MedicationAdministrationCategoryCodesCode("community")
