from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MedicationKnowledgeStatusCodesCode(FhirValueSetBase):
    """
    MedicationKnowledge Status Codes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/medicationknowledge-status
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/medicationknowledge-status"


class MedicationKnowledgeStatusCodesCodeValues:
    """
    The medication is available for use.
    """

    Active = MedicationKnowledgeStatusCodesCode("active")
    """
    The medication is not available for use.
    """
    Inactive = MedicationKnowledgeStatusCodesCode("inactive")
    """
    The medication was entered in error.
    """
    EnteredInError = MedicationKnowledgeStatusCodesCode("entered-in-error")
