from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MedicationRequestCourseOfTherapyCodesCode(FhirValueSetBase):
    """
    medicationRequest Course of Therapy Codes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/medicationrequest-course-of-therapy
    """
    codeset: FhirUri = (
        "http://hl7.org/fhir/ValueSet/medicationrequest-course-of-therapy"
    )


class MedicationRequestCourseOfTherapyCodesCodeValues:
    """
    A medication which is expected to be continued beyond the present order and which the patient should be assumed to be taking unless explicitly stopped.
    """

    ContinuousLongTermTherapy = MedicationRequestCourseOfTherapyCodesCode("continuous")
    """
    A medication which the patient is only expected to consume for the duration of the current order and which is not expected to be renewed.
    """
    ShortCourse_acute_Therapy = MedicationRequestCourseOfTherapyCodesCode("acute")
    """
    A medication which is expected to be used on a part time basis at certain times of the year
    """
    Seasonal = MedicationRequestCourseOfTherapyCodesCode("seasonal")
