from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MedicationRequestIntentCode(FhirValueSetBase):
    """
    medicationRequest Intent
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/medicationrequest-intent
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/medicationrequest-intent"


class MedicationRequestIntentCodeValues:
    """
    The request is a suggestion made by someone/something that doesn't have an intention to ensure it occurs and without providing an authorization to act
    """

    Proposal = MedicationRequestIntentCode("proposal")
    """
    The request represents an intention to ensure something occurs without providing an authorization for others to act.
    """
    Plan = MedicationRequestIntentCode("plan")
    """
    The request represents a request/demand and authorization for action
    """
    Order = MedicationRequestIntentCode("order")
    """
    The request represents the original authorization for the medication request.
    """
    OriginalOrder = MedicationRequestIntentCode("original-order")
    """
    The request represents an automatically generated supplemental authorization for action based on a parent authorization together with initial results of the action taken against that parent authorization..
    """
    ReflexOrder = MedicationRequestIntentCode("reflex-order")
    """
    The request represents the view of an authorization instantiated by a fulfilling system representing the details of the fulfiller's intention to act upon a submitted order.
    """
    FillerOrder = MedicationRequestIntentCode("filler-order")
    """
    The request represents an instance for the particular order, for example a medication administration record.
    """
    InstanceOrder = MedicationRequestIntentCode("instance-order")
    """
    The request represents a component or option for a RequestGroup that establishes timing, conditionality and/or  other constraints among a set of requests.
    """
    Option = MedicationRequestIntentCode("option")
