from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MedicationUsageCategoryCodesCode(FhirValueSetBase):
    """
    Medication usage category codes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/medication-statement-category
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/medication-statement-category"


class MedicationUsageCategoryCodesCodeValues:
    """
    Includes orders for medications to be administered or consumed in an inpatient or acute care setting
    """

    Inpatient = MedicationUsageCategoryCodesCode("inpatient")
    """
    Includes orders for medications to be administered or consumed in an outpatient setting (for example, Emergency Department, Outpatient Clinic, Outpatient Surgery, Doctor's office)
    """
    Outpatient = MedicationUsageCategoryCodesCode("outpatient")
    """
    Includes orders for medications to be administered or consumed by the patient in their home (this would include long term care or nursing homes, hospices, etc.).
    """
    Community = MedicationUsageCategoryCodesCode("community")
    """
    Includes statements about medication use, including over the counter medication, provided by the patient, agent or another provider
    """
    PatientSpecified = MedicationUsageCategoryCodesCode("patientspecified")
