from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MessageTransportCode(FhirValueSetBase):
    """
    MessageTransport
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/message-transport
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/message-transport"


class MessageTransportCodeValues:
    """
    The application sends or receives messages using HTTP POST (may be over http: or https:).
    """

    HTTP = MessageTransportCode("http")
    """
    The application sends or receives messages using File Transfer Protocol.
    """
    FTP = MessageTransportCode("ftp")
    """
    The application sends or receives messages using HL7's Minimal Lower Level Protocol.
    """
    MLLP = MessageTransportCode("mllp")
