from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MissingToothReasonCodesCode(FhirValueSetBase):
    """
    MissingToothReasonCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/missing-tooth-reason
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/missing-tooth-reason"


class MissingToothReasonCodesCodeValues:
    """
    Extraction
    """

    E = MissingToothReasonCodesCode("e")
    """
    Congenital
    """
    C = MissingToothReasonCodesCode("c")
    """
    Unknown
    """
    U = MissingToothReasonCodesCode("u")
    """
    Other
    """
    O = MissingToothReasonCodesCode("o")
