from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ModifierTypeCodesCode(FhirValueSetBase):
    """
    ModifierTypeCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/claim-modifiers
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/claim-modifiers"


class ModifierTypeCodesCodeValues:
    """
    Repair of prior service or installation.
    """

    RepairOfPriorServiceOrInstallation = ModifierTypeCodesCode("a")
    """
    Temporary service or installation.
    """
    TemporaryServiceOrInstallation = ModifierTypeCodesCode("b")
    """
    Treatment associated with TMJ.
    """
    TMJTreatment = ModifierTypeCodesCode("c")
    """
    Implant or associated with an implant.
    """
    ImplantOrAssociatedWithAnImplant = ModifierTypeCodesCode("e")
    """
    A Rush service or service performed outside of normal office hours.
    """
    RushOrOutsideOfOfficeHours = ModifierTypeCodesCode("rooh")
    """
    None.
    """
    None_ = ModifierTypeCodesCode("x")
