from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class NetworkTypeCodesCode(FhirValueSetBase):
    """
    NetworkTypeCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/benefit-network
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/benefit-network"


class NetworkTypeCodesCodeValues:
    """
    Services rendered by a Network provider
    """

    InNetwork = NetworkTypeCodesCode("in")
    """
    Services rendered by a provider who is not in the Network
    """
    OutOfNetwork = NetworkTypeCodesCode("out")
