from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ObservationRangeCategoryCode(FhirValueSetBase):
    """
    ObservationRangeCategory
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/observation-range-category
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/observation-range-category"


class ObservationRangeCategoryCodeValues:
    """
    Reference (Normal) Range for Ordinal and Continuous Observations.
    """

    ReferenceRange = ObservationRangeCategoryCode("reference")
    """
    Critical Range for Ordinal and Continuous Observations.
    """
    CriticalRange = ObservationRangeCategoryCode("critical")
    """
    Absolute Range for Ordinal and Continuous Observations. Results outside this range are not possible.
    """
    AbsoluteRange = ObservationRangeCategoryCode("absolute")
