from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class OralProsthoMaterialTypeCodesCode(FhirValueSetBase):
    """
    OralProsthoMaterialTypeCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/oral-prosthodontic-material
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/oral-prosthodontic-material"


class OralProsthoMaterialTypeCodesCodeValues:
    """
    Fixed Bridge
    """

    FixedBridge = OralProsthoMaterialTypeCodesCode("1")
    """
    Maryland Bridge
    """
    MarylandBridge = OralProsthoMaterialTypeCodesCode("2")
    """
    Denture Acrylic
    """
    DentureAcrylic = OralProsthoMaterialTypeCodesCode("3")
    """
    Denture Chrome Cobalt
    """
    DentureChromeCobalt = OralProsthoMaterialTypeCodesCode("4")
