from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class PaymentStatusCodesCode(FhirValueSetBase):
    """
    PaymentStatusCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/payment-status
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/payment-status"


class PaymentStatusCodesCodeValues:
    """
    The payment has been sent physically or electronically.
    """

    Paid = PaymentStatusCodesCode("paid")
    """
    The payment has been received by the payee.
    """
    Cleared = PaymentStatusCodesCode("cleared")
