from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class PaymentTypeCodesCode(FhirValueSetBase):
    """
    PaymentTypeCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/payment-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/payment-type"


class PaymentTypeCodesCodeValues:
    """
    The amount is partial or complete settlement of the amounts due.
    """

    Payment = PaymentTypeCodesCode("payment")
    """
    The amount is an adjustment regarding claims already paid.
    """
    Adjustment = PaymentTypeCodesCode("adjustment")
    """
    The amount is an advance against future claims.
    """
    Advance = PaymentTypeCodesCode("advance")
