from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class PerformerFunctionCodesCode(FhirValueSetBase):
    """
    Performer Function Codes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/performer-function
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/performer-function"


class PerformerFunctionCodesCodeValues:
    """
    Indicates that the target of the participation is involved in some manner in the act, but does not qualify how.
    """

    Participation = PerformerFunctionCodesCode("PART")
    """
    None
    """
    TRANS = PerformerFunctionCodesCode("TRANS")
    """
    None
    """
    PART = PerformerFunctionCodesCode("PART")
    """
    None
    """
    ATND = PerformerFunctionCodesCode("ATND")
    """
    None
    """
    CON = PerformerFunctionCodesCode("CON")
    """
    None
    """
    AUT = PerformerFunctionCodesCode("AUT")
    """
    None
    """
    INF = PerformerFunctionCodesCode("INF")
    """
    None
    """
    ENT = PerformerFunctionCodesCode("ENT")
    """
    None
    """
    WIT = PerformerFunctionCodesCode("WIT")
    """
    None
    """
    PPRF = PerformerFunctionCodesCode("PPRF")
    """
    None
    """
    SPRF = PerformerFunctionCodesCode("SPRF")
    """
    None
    """
    RESP = PerformerFunctionCodesCode("RESP")
    """
    None
    """
    VRF = PerformerFunctionCodesCode("VRF")
    """
    None
    """
    AUTHEN = PerformerFunctionCodesCode("AUTHEN")
    """
    None
    """
    LA = PerformerFunctionCodesCode("LA")
