from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ProcedureDeviceActionCodesCode(FhirValueSetBase):
    """
    ProcedureDeviceActionCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/device-action
    """
    codeset: FhirUri = "http://hl7.org/fhir/device-action"


class ProcedureDeviceActionCodesCodeValues:
    """
    The device was implanted in the patient during the procedure.
    """

    Implanted = ProcedureDeviceActionCodesCode("implanted")
    """
    The device was explanted from the patient during the procedure.
    """
    Explanted = ProcedureDeviceActionCodesCode("explanted")
    """
    The device remains in the patient, but its location, settings, or functionality was changed.
    """
    Manipulated = ProcedureDeviceActionCodesCode("manipulated")
