from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class QuestionnaireItemUsageModeCode(FhirValueSetBase):
    """
    QuestionnaireItemUsageMode
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/questionnaire-usage-mode
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/questionnaire-usage-mode"


class QuestionnaireItemUsageModeCodeValues:
    """
    Render the item regardless of usage mode.
    """

    Capture_Display = QuestionnaireItemUsageModeCode("capture-display")
    """
    Render the item only when capturing data.
    """
    CaptureOnly = QuestionnaireItemUsageModeCode("capture")
    """
    Render the item only when displaying a completed form.
    """
    DisplayOnly = QuestionnaireItemUsageModeCode("display")
    """
    Render the item only when displaying a completed form and the item has been answered (or has child items that have been answered).
    """
    DisplayWhenAnswered = QuestionnaireItemUsageModeCode("display-non-empty")
    """
    Render the item when capturing data or when displaying a completed form and the item has been answered (or has child items that have been answered).
    """
    CaptureOr_IfAnswered_Display = QuestionnaireItemUsageModeCode(
        "capture-display-non-empty"
    )
