from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ReasonMedicationGivenCodesCode(FhirValueSetBase):
    """
    ReasonMedicationGivenCodes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/reason-medication-given-codes
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/reason-medication-given-codes"


class ReasonMedicationGivenCodesCodeValues:
    """
    No reason known.
    """

    None_ = ReasonMedicationGivenCodesCode("a")
    """
    The administration was following an ordered protocol.
    """
    GivenAsOrdered = ReasonMedicationGivenCodesCode("b")
    """
    The administration was needed to treat an emergency.
    """
    Emergency = ReasonMedicationGivenCodesCode("c")
