from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ReferralMethodCode(FhirValueSetBase):
    """
    ReferralMethod
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/service-referral-method
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/service-referral-method"


class ReferralMethodCodeValues:
    """
    Referrals may be accepted by fax.
    """

    Fax = ReferralMethodCode("fax")
    """
    Referrals may be accepted over the phone from a practitioner.
    """
    Phone = ReferralMethodCode("phone")
    """
    Referrals may be accepted via a secure messaging system. To determine the types of secure messaging systems supported, refer to the identifiers collection. Callers will need to understand the specific identifier system used to know that they are able to transmit messages.
    """
    SecureMessaging = ReferralMethodCode("elec")
    """
    Referrals may be accepted via a secure email. To send please encrypt with the services public key.
    """
    SecureEmail = ReferralMethodCode("semail")
    """
    Referrals may be accepted via regular postage (or hand delivered).
    """
    Mail = ReferralMethodCode("mail")
