from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class RejectionCriterionCode(FhirValueSetBase):
    """
    RejectionCriterion
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/rejection-criteria
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/rejection-criteria"


class RejectionCriterionCodeValues:
    """
    blood specimen hemolized.
    """

    HemolizedSpecimen = RejectionCriterionCode("hemolized")
    """
    insufficient quantity of specimen.
    """
    InsufficientSpecimenVolume = RejectionCriterionCode("insufficient")
    """
    specimen container broken.
    """
    BrokenSpecimenContainer = RejectionCriterionCode("broken")
    """
    specimen clotted.
    """
    SpecimenClotted = RejectionCriterionCode("clotted")
    """
    specimen temperature inappropriate.
    """
    SpecimenTemperatureInappropriate = RejectionCriterionCode("wrong-temperature")
