from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class RequestPriorityCode(FhirValueSetBase):
    """
    RequestPriority
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/request-priority
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/request-priority"


class RequestPriorityCodeValues:
    """
    The request has normal priority.
    """

    Routine = RequestPriorityCode("routine")
    """
    The request should be actioned promptly - higher priority than routine.
    """
    Urgent = RequestPriorityCode("urgent")
    """
    The request should be actioned as soon as possible - higher priority than urgent.
    """
    ASAP = RequestPriorityCode("asap")
    """
    The request should be actioned immediately - highest possible priority.  E.g. an emergency.
    """
    STAT = RequestPriorityCode("stat")
