from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ResearchElementTypeCode(FhirValueSetBase):
    """
    ResearchElementType
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/research-element-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/research-element-type"


class ResearchElementTypeCodeValues:
    """
    The element defines the population that forms the basis for research.
    """

    Population = ResearchElementTypeCode("population")
    """
    The element defines an exposure within the population that is being researched.
    """
    Exposure = ResearchElementTypeCode("exposure")
    """
    The element defines an outcome within the population that is being researched.
    """
    Outcome = ResearchElementTypeCode("outcome")
