from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ResearchStudyPrimaryPurposeTypeCode(FhirValueSetBase):
    """
    ResearchStudyPrimaryPurposeType
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/research-study-prim-purp-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/research-study-prim-purp-type"


class ResearchStudyPrimaryPurposeTypeCodeValues:
    """
    One or more interventions are being evaluated for treating a disease, syndrome, or condition.
    """

    Treatment = ResearchStudyPrimaryPurposeTypeCode("treatment")
    """
    One or more interventions are being assessed for preventing the development of a specific disease or health condition.
    """
    Prevention = ResearchStudyPrimaryPurposeTypeCode("prevention")
    """
    One or more interventions are being evaluated for identifying a disease or health condition.
    """
    Diagnostic = ResearchStudyPrimaryPurposeTypeCode("diagnostic")
    """
    One or more interventions are evaluated for maximizing comfort, minimizing side effects, or mitigating against a decline in the participant's health or function.
    """
    SupportiveCare = ResearchStudyPrimaryPurposeTypeCode("supportive-care")
    """
    One or more interventions are assessed or examined for identifying a condition, or risk factors for a condition, in people who are not yet known to have the condition or risk factor.
    """
    Screening = ResearchStudyPrimaryPurposeTypeCode("screening")
    """
    One or more interventions for evaluating the delivery, processes, management, organization, or financing of healthcare.
    """
    HealthServicesResearch = ResearchStudyPrimaryPurposeTypeCode(
        "health-services-research"
    )
    """
    One or more interventions for examining the basic mechanism of action (for example, physiology or biomechanics of an intervention).
    """
    BasicScience = ResearchStudyPrimaryPurposeTypeCode("basic-science")
    """
    An intervention of a device product is being evaluated to determine the feasibility of the product or to test a prototype device and not health outcomes. Such studies are conducted to confirm the design and operating specifications of a device before beginning a full clinical trial.
    """
    DeviceFeasibility = ResearchStudyPrimaryPurposeTypeCode("device-feasibility")
