from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ResearchStudyReasonStoppedCode(FhirValueSetBase):
    """
    ResearchStudyReasonStopped
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/research-study-reason-stopped
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/research-study-reason-stopped"


class ResearchStudyReasonStoppedCodeValues:
    """
    The study prematurely ended because the accrual goal was met.
    """

    AccrualGoalMet = ResearchStudyReasonStoppedCode("accrual-goal-met")
    """
    The study prematurely ended due to toxicity.
    """
    ClosedDueToToxicity = ResearchStudyReasonStoppedCode("closed-due-to-toxicity")
    """
    The study prematurely ended due to lack of study progress.
    """
    ClosedDueToLackOfStudyProgress = ResearchStudyReasonStoppedCode(
        "closed-due-to-lack-of-study-progress"
    )
    """
    The study prematurely ended temporarily per study design.
    """
    TemporarilyClosedPerStudyDesign = ResearchStudyReasonStoppedCode(
        "temporarily-closed-per-study-design"
    )
