from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ServiceProvisionConditionsCode(FhirValueSetBase):
    """
    ServiceProvisionConditions
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/service-provision-conditions
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/service-provision-conditions"


class ServiceProvisionConditionsCodeValues:
    """
    This service is available for no patient cost.
    """

    Free = ServiceProvisionConditionsCode("free")
    """
    There are discounts available on this service for qualifying patients.
    """
    DiscountsAvailable = ServiceProvisionConditionsCode("disc")
    """
    Fees apply for this service.
    """
    FeesApply = ServiceProvisionConditionsCode("cost")
