from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class SpecialValuesCode(FhirValueSetBase):
    """
    SpecialValues
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/special-values
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/special-values"


class SpecialValuesCodeValues:
    """
    Boolean true.
    """

    True_ = SpecialValuesCode("true")
    """
    Boolean false.
    """
    False_ = SpecialValuesCode("false")
    """
    The content is greater than zero, but too small to be quantified.
    """
    TraceAmountDetected = SpecialValuesCode("trace")
    """
    The specific quantity is not known, but is known to be non-zero and is not specified because it makes up the bulk of the material.
    """
    SufficientQuantity = SpecialValuesCode("sufficient")
    """
    The value is no longer available.
    """
    ValueWithdrawn = SpecialValuesCode("withdrawn")
    """
    The are no known applicable values in this context.
    """
    NilKnown = SpecialValuesCode("nil-known")
