from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class SpecimenCollectionCode(FhirValueSetBase):
    """
    SpecimenCollection
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/specimen-collection
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/specimen-collection"


class SpecimenCollectionCodeValues:
    """
    None
    """

    Aspiration_Action = SpecimenCollectionCode("129316008")
    """
    None
    """
    Biopsy_Action = SpecimenCollectionCode("129314006")
    """
    None
    """
    Puncture_Action = SpecimenCollectionCode("129300006")
    """
    None
    """
    Excision_Action = SpecimenCollectionCode("129304002")
    """
    None
    """
    Scraping_Action = SpecimenCollectionCode("129323009")
    """
    None
    """
    UrineSpecimenCollection_CleanCatch = SpecimenCollectionCode("73416001")
    """
    None
    """
    TimedUrineCollection = SpecimenCollectionCode("225113003")
    """
    None
    """
    UrineSpecimenCollection_Catheterized = SpecimenCollectionCode("70777001")
    """
    None
    """
    CollectionOfCoughedSputum = SpecimenCollectionCode("386089008")
    """
    None
    """
    Finger_prickSampling = SpecimenCollectionCode("278450005")
