from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class StructureMapSourceListModeCode(FhirValueSetBase):
    """
    StructureMapSourceListMode
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/map-source-list-mode
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/map-source-list-mode"


class StructureMapSourceListModeCodeValues:
    """
    Only process this rule for the first in the list.
    """

    First = StructureMapSourceListModeCode("first")
    """
    Process this rule for all but the first.
    """
    AllButTheFirst = StructureMapSourceListModeCode("not_first")
    """
    Only process this rule for the last in the list.
    """
    Last = StructureMapSourceListModeCode("last")
    """
    Process this rule for all but the last.
    """
    AllButTheLast = StructureMapSourceListModeCode("not_last")
    """
    Only process this rule is there is only item.
    """
    EnforceOnlyOne = StructureMapSourceListModeCode("only_one")
