from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class SubjectTypeCode(FhirValueSetBase):
    """
    SubjectType
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/subject-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/subject-type"


class SubjectTypeCodeValues:
    """
    None
    """

    Patient = SubjectTypeCode("Patient")
    """
    None
    """
    Practitioner = SubjectTypeCode("Practitioner")
    """
    None
    """
    Organization = SubjectTypeCode("Organization")
    """
    None
    """
    Location = SubjectTypeCode("Location")
    """
    None
    """
    Device = SubjectTypeCode("Device")
