from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class SupplyDeliveryStatusCode(FhirValueSetBase):
    """
    SupplyDeliveryStatus
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/supplydelivery-status
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/supplydelivery-status"


class SupplyDeliveryStatusCodeValues:
    """
    Supply has been requested, but not delivered.
    """

    InProgress = SupplyDeliveryStatusCode("in-progress")
    """
    Supply has been delivered ("completed").
    """
    Delivered = SupplyDeliveryStatusCode("completed")
    """
    Delivery was not completed.
    """
    Abandoned = SupplyDeliveryStatusCode("abandoned")
    """
    This electronic record should never have existed, though it is possible that real-world decisions were based on it. (If real-world activity has occurred, the status should be "abandoned" rather than "entered-in-error".).
    """
    EnteredInError = SupplyDeliveryStatusCode("entered-in-error")
