from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class SupplyTypeCode(FhirValueSetBase):
    """
    SupplyType
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/supplyrequest-kind
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/supplyrequest-kind"


class SupplyTypeCodeValues:
    """
    Supply is stored and requested from central supply.
    """

    CentralSupply = SupplyTypeCode("central")
    """
    Supply is not onsite and must be requested from an outside vendor using a non-stock requisition.
    """
    Non_Stock = SupplyTypeCode("nonstock")
