from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class SystemRestfulInteractionCode(FhirValueSetBase):
    """
    SystemRestfulInteraction
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/system-restful-interaction
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/system-restful-interaction"


class SystemRestfulInteractionCodeValues:
    """
    None
    """

    Transaction = SystemRestfulInteractionCode("transaction")
    """
    None
    """
    Batch = SystemRestfulInteractionCode("batch")
    """
    None
    """
    Search_system = SystemRestfulInteractionCode("search-system")
    """
    None
    """
    History_system = SystemRestfulInteractionCode("history-system")
