from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class TemplateStatusCodeCode(FhirValueSetBase):
    """
    TemplateStatusCode
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/template-status-code
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/template-status-code"


class TemplateStatusCodeCodeValues:
    """
    None
    """

    Draft = TemplateStatusCodeCode("draft")
    """
    None
    """
    UnderPre_publicationReview = TemplateStatusCodeCode("pending")
    """
    None
    """
    Active = TemplateStatusCodeCode("active")
    """
    None
    """
    InReview = TemplateStatusCodeCode("review")
    """
    None
    """
    Cancelled = TemplateStatusCodeCode("cancelled")
    """
    None
    """
    Rejected = TemplateStatusCodeCode("rejected")
    """
    None
    """
    Retired = TemplateStatusCodeCode("retired")
    """
    None
    """
    Terminated = TemplateStatusCodeCode("terminated")
