from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class TestReportParticipantTypeCode(FhirValueSetBase):
    """
    TestReportParticipantType
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/report-participant-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/report-participant-type"


class TestReportParticipantTypeCodeValues:
    """
    The test execution engine.
    """

    TestEngine = TestReportParticipantTypeCode("test-engine")
    """
    A FHIR Client.
    """
    Client = TestReportParticipantTypeCode("client")
    """
    A FHIR Server.
    """
    Server = TestReportParticipantTypeCode("server")
