from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class TestReportResultCode(FhirValueSetBase):
    """
    TestReportResult
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/report-result-codes
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/report-result-codes"


class TestReportResultCodeValues:
    """
    All test operations successfully passed all asserts.
    """

    Pass = TestReportResultCode("pass")
    """
    One or more test operations failed one or more asserts.
    """
    Fail = TestReportResultCode("fail")
    """
    One or more test operations is pending execution completion.
    """
    Pending = TestReportResultCode("pending")
