from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class TestScriptProfileOriginTypeCode(FhirValueSetBase):
    """
    TestScriptProfileOriginType
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/testscript-profile-origin-types
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/testscript-profile-origin-types"


class TestScriptProfileOriginTypeCodeValues:
    """
    General FHIR client used to initiate operations against a FHIR server.
    """

    FHIRClient = TestScriptProfileOriginTypeCode("FHIR-Client")
    """
    A FHIR client acting as a Structured Data Capture Form Filler.
    """
    FHIRSDCFormFiller = TestScriptProfileOriginTypeCode("FHIR-SDC-FormFiller")
