from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class TransactionModeCode(FhirValueSetBase):
    """
    TransactionMode
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/transaction-mode
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/transaction-mode"


class TransactionModeCodeValues:
    """
    Neither batch or transaction is supported.
    """

    None_ = TransactionModeCode("not-supported")
    """
    Batches are  supported.
    """
    BatchesSupported = TransactionModeCode("batch")
    """
    Transactions are supported.
    """
    TransactionsSupported = TransactionModeCode("transaction")
    """
    Both batches and transactions are supported.
    """
    Batches_Transactions = TransactionModeCode("both")
