from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class UnitsOfTimeCode(FhirValueSetBase):
    """
    UnitsOfTime
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/units-of-time
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/units-of-time"


class UnitsOfTimeCodeValues:
    """
    None
    """

    Second = UnitsOfTimeCode("s")
    """
    None
    """
    Minute = UnitsOfTimeCode("min")
    """
    None
    """
    Hour = UnitsOfTimeCode("h")
    """
    None
    """
    Day = UnitsOfTimeCode("d")
    """
    None
    """
    Week = UnitsOfTimeCode("wk")
    """
    None
    """
    Month = UnitsOfTimeCode("mo")
    """
    None
    """
    Year = UnitsOfTimeCode("a")
