from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.base_types.FhirValueSetBase import FhirValueSetBase
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class Validation_statusCode(FhirValueSetBase):
    """
    validation-status
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/verificationresult-validation-status
    """
    codeset: FhirUri = (
        "http://hl7.org/fhir/ValueSet/verificationresult-validation-status"
    )


class Validation_statusCodeValues:
    """
    None
    """

    Successful = Validation_statusCode("successful")
    """
    None
    """
    Failed = Validation_statusCode("failed")
    """
    The validations status has not been determined yet
    """
    Unknown = Validation_statusCode("unknown")
